module.exports = {
  env: {
    browser: true,
    es2021: true
  },
  extends: [
    'plugin:vue/vue3-essential',
    'eslint:recommended',
    '@vue/eslint-config-typescript',
    '@vue/eslint-config-prettier/skip-formatting',
    'plugin:prettier/recommended'
  ],
  overrides: [
    {
      env: {
        browser: true,
        node: true,
        es6: true
      },
      files: ['.eslintrc.{js,cjs}'],
      parserOptions: {
        sourceType: 'script'
      }
    }
  ],
  globals: {
    wx: true
  },
  parserOptions: {
    ecmaVersion: 'latest',
    sourceType: 'module'
  },
  plugins: ['vue'],
  rules: {
    'vue/multi-word-component-names': 'off',
    'element-plus/icons-vue/some-rule': 'off',
    'prettier/prettier': ['error', { endOfLine: 'auto' }]
  },
  ignorePatterns: ['src/mp_ecard_sdk']
}
