interface authType {
  [key: string]: string | undefined
}

export const subjectLocationName: authType = {
  REN_LI_JIA: '人力家',
  LUO_SHU_YUN: '税邦云', // 永州罗数云, 暂时定为税邦云
  // 钉灵工通道
  FEI_YI: '钉灵工-海南飞亿',
  JIN_YUAN: '金园数科',
  XIN_TAI_ZI: '钉灵工-河南薪泰梓',
  ZHENG_QI_ZHI_XING: '安之慧',
  HUI_QI_YUN: '汇企云',
  OTHER: '其他'
}

interface statusType {
  [key: string]: string[]
}

export const statusListMap: statusType = {
  REN_LI_JIA: ['CER_STATUS_2', 'CER_STATUS_4'],
  LUO_SHU_YUN: ['UN_CERT', 'ADD_MEMBER'],
  YEE: ['UN_SIGNED', 'TERMINATED'], //
  FEI_YI: ['UN_SIGNED', 'SIGNED', 'SIGNING', 'UN_CERT'],
  JIN_YUAN: ['UN_SIGNED', 'SIGNED', 'SIGNING', 'UN_CERT'],
  XIN_TAI_ZI: ['UN_SIGNED', 'SIGNED', 'SIGNING', 'UN_CERT'],
  ZHENG_QI_ZHI_XING: ['UN_SIGN', 'SIGN'],
  HUI_QI_YUN: ['UN_SIGN', 'SIGN']
}

export const peddingListMap: statusType = {
  REN_LI_JIA: ['CER_STATUS_1', 'CER_STATUS_3'], // 1, 3
  LUO_SHU_YUN: ['CHECKED_UNBIND', 'CHECKING_UNBIND', 'UNCHECKED_BIND', 'CHECKING_BIND', 'CERT'], // (12, 14跳转绑卡页面, 可点) (16已绑卡, 跳转人脸采集页面, 采集完毕提交, 可点) (13, 15显示状态, 不能点)
  YEE: ['SIGNED'], // 1 不可点
  FEI_YI: ['CERT'], // 1, 3 不可点
  JIN_YUAN: ['CERT'],
  XIN_TAI_ZI: ['CERT'],
  ZHENG_QI_ZHI_XING: ['CERT'], // 安之慧
  HUI_QI_YUN: ['CERT']
}

interface anyType {
  [key: string]: any
}
export const notCertMap: anyType = {
  REN_LI_JIA: ['CER_STATUS_2', 'CER_STATUS_4'],
  LUO_SHU_YUN: ['UN_CERT'],
  YEE: ['UN_SIGNED', 'TERMINATED'], //
  FEI_YI: ['UN_SIGNED'],
  JIN_YUAN: ['UN_SIGNED'],
  XIN_TAI_ZI: ['UN_SIGNED'],
  ZHENG_QI_ZHI_XING: ['UN_SIGN'],
  HUI_QI_YUN: ['UN_SIGN']
}

export const subjectLocationStatusName: anyType = {
  REN_LI_JIA: {
    CER_STATUS_1: '认证成功',
    CER_STATUS_2: '认证失败',
    CER_STATUS_3: '认证中',
    CER_STATUS_4: '未认证'
  },
  LUO_SHU_YUN: {
    UN_CERT: '未认证',
    ADD_MEMBER: '已增员',
    CHECKED_UNBIND: '已认证，未绑卡',
    CHECKING_BIND: '认证中已绑卡',
    CHECKING_UNBIND: '认证中未绑卡',
    CERT: '认证成功',
    UNCHECKED_BIND: '未认证已绑卡'
  },
  YEE: {
    UN_SIGNED: '未签约',
    SIGNED: '已签约',
    TERMINATED: '已解约'
  },
  JIN_YUAN: {
    UN_SIGNED: '未签约',
    CERT: '认证成功',
    SIGNED: '已签约',
    SIGNING: '签约中',
    UN_CERT: '未认证'
  },
  XIN_TAI_ZI: {
    UN_SIGNED: '未签约',
    CERT: '认证成功',
    SIGNED: '已签约',
    SIGNING: '签约中',
    UN_CERT: '未认证'
  },
  ZHENG_QI_ZHI_XING: {
    UN_SIGN: '未签约',
    CERT: '认证成功',
    SIGN: '已签约'
  },
  HUI_QI_YUN: {
    UN_SIGN: '未签约',
    CERT: '认证成功',
    SIGN: '已签约'
  }
}

export const signAgreementMap: anyType = {
  LUO_SHU_YUN: {
    name: '共享经济个体合作协议',
    path: '/pages-sub-packages/agreement/taxhelper'
  },
  FEI_YI: {
    name: '共享经济综合服务协议',
    path: '/pages-sub-packages/agreement/olading'
  },
  JIN_YUAN: {
    name: '共享经济综合服务协议',
    path: '/pages-sub-packages/agreement/jinyuan'
  },
  XIN_TAI_ZI: {
    name: '共享经济综合服务协议',
    path: '/pages-sub-packages/agreement/xintaizi'
  },
  ZHENG_QI_ZHI_XING: {
    name: '灵活用工服务合作协议',
    path: '/pages-sub-packages/agreement/zhengqizhixing'
  },
  HUI_QI_YUN: {
    name: '灵活用工服务合作协议',
    path: '/pages-sub-packages/agreement/huiqiyun'
  }
}
