"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
const service_request_index = require("./service/request/index.js");
const mp_ecard_sdk_main = require("./mp_ecard_sdk/main.js");
require("./service/request/config.js");
require("./service/request/requestInterceptors.js");
require("./store/login.js");
require("./service/modules/common.js");
require("./service/modules/login.js");
require("./service/index.js");
require("./service/modules/newsDetail.js");
require("./service/request/responseInterceptors.js");
require("./mp_ecard_sdk/utils/validate.js");
require("./mp_ecard_sdk/constants/log.js");
require("./mp_ecard_sdk/globalConfig.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/statistics/index.js";
  "./pages/news/index.js";
  "./pages/news-detail/index.js";
  "./pages/mine/index.js";
  "./pages/login/index.js";
  "./pages/login/password.js";
  "./pages/task/task-detail/index.js";
  "./mp_ecard_sdk/index/index.js";
  "./mp_ecard_sdk/protocol/eid/eid.js";
  "./mp_ecard_sdk/protocol/privacy/privacy.js";
  "./mp_ecard_sdk/protocol/service/service.js";
  "./mp_ecard_sdk/protocol/userAccredit/userAccredit.js";
  "./pages-sub-packages/get-task/index.js";
  "./pages-sub-packages/get-task/detail.js";
  "./pages-sub-packages/task-history/index.js";
  "./pages-sub-packages/task-list/index.js";
  "./pages-sub-packages/agreement/platformUsers.js";
  "./pages-sub-packages/agreement/privacyPolicy.js";
  "./pages-sub-packages/agreement/personalInfoAuth.js";
  "./pages-sub-packages/agreement/taxhelper.js";
  "./pages-sub-packages/agreement/olading.js";
  "./pages-sub-packages/agreement/jinyuan.js";
  "./pages-sub-packages/agreement/xintaizi.js";
  "./pages-sub-packages/agreement/zhengqizhixing.js";
  "./pages-sub-packages/agreement/huiqiyun.js";
  "./pages-sub-mine/auth/index.js";
  "./pages-sub-mine/user-info/index.js";
  "./pages-sub-mine/integral-rules/index.js";
  "./pages-sub-mine/task-completion-records/index.js";
  "./pages-sub-mine/agreement/index.js";
  "./pages-sub-mine/feedback/index.js";
  "./pages-sub-mine/quiz/index.js";
  "./pages-sub-mine/quizDetail/index.js";
  "./pages-sub-mine/bind-card/index.js";
  "./pages-sub-mine/changePassword/index.js";
  "./pages-sub-mine/forgotPassword/index.js";
  "./pages-sub-task/task/index.js";
  "./pages-sub-task/location/index.js";
  "./pages-sub-task/sign/index.js";
  "./pages-sub-task/market-research/index.js";
  "./pages-sub-task/conference-training/index.js";
  "./pages-sub-task/common-serve/index.js";
  "./pages-sub-task/location-select/index.js";
  "./pages-sub-task/location-select/index2.js";
  "./pages-sub-task/investigate-varieties/index.js";
  "./pages-sub-task/hospital-drugstore-company/index.js";
  "./pages-sub-task/pharmacy-select/index.js";
  "./pages-sub-task/single-select/index.js";
  "./pages-sub-task/signature/index.js";
  "./pages-sub-admin/managementByObjectives/index.js";
  "./pages-sub-admin/serviceManagement/index.js";
  "./pages-sub-admin/objectivesList/index.js";
  "./pages-sub-admin/objectivesDetailList/index.js";
  "./pages-sub-admin/objectivesAdd/index.js";
  "./pages-sub-service-mangement/serviceDelivery/index.js";
  "./pages-sub-service-mangement/serviceDeliveryAdd/index.js";
  "./pages-sub-service-mangement/stopServiceDelivery/index.js";
  "./pages-sub-service-mangement/assignPoints/index.js";
  "./pages-sub-service-mangement/assignPointsAdd/index.js";
  "./pages-sub-service-mangement/assignPointsAdd/detail.js";
  "./pages-sub-service-mangement/taskAudit/index.js";
  "./pages-sub-service-mangement/quickAudit/index.js";
  "./pages-sub-service-mangement/quickAuditCard/index.js";
  "./pages-sub-service-mangement/taskAuditDetail/index.js";
  "./pages-sub-service-mangement/taskManagement/index.js";
  "./pages-sub-service-mangement/generateReport/index.js";
  "./pages-sub-service-mangement/taskReportapproval/index.js";
  "./pages-sub-service-mangement/servicesToBeReviewed/index.js";
  "./pages-sub-service-mangement/serviceReviewed/index.js";
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "App",
  setup(__props) {
    common_vendor.onLaunch(() => {
      mp_ecard_sdk_main.initEid();
    });
    common_vendor.onShow(() => {
    });
    common_vendor.onHide(() => {
    });
    return () => {
    };
  }
});
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "F:/WorkCode/CNBG/cnbg_mp/src/App.vue"]]);
const tabbar = () => "./components/tabber/index.js";
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.config.globalProperties.uni = common_vendor.index;
  const store = common_vendor.createPinia();
  app.component("Tabbar", tabbar);
  store.use(common_vendor.src_default);
  app.use(store);
  app.use(common_vendor.uvUI);
  service_request_index.Request();
  return {
    app,
    Pinia: common_vendor.Pinia
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
