"use strict";
const common_vendor = require("../../../common/vendor.js");
const _sfc_main = {
  options: {
    virtualHost: true
  },
  props: {
    safeArea: {
      type: Boolean,
      default: true
    },
    boxShadow: {
      type: Boolean,
      default: true
    },
    options: {
      type: [Array, Object],
      default: () => []
    },
    label: {
      type: String,
      default: ""
    }
  },
  computed: {
    list() {
      if (JSON.stringify(this.options) !== "{}" && this.options.length > 0) {
        return Array.isArray(this.options) ? this.options : [this.options];
      } else {
        return [
          {
            label: this.label,
            color: "white",
            background: "#005CEEFF"
          }
        ];
      }
    }
  },
  data() {
    return {
      bottomSafeArea: common_vendor.index.getSystemInfoSync().safeAreaInsets.bottom
    };
  },
  methods: {
    onClick(index) {
      this.$emit("onClick", index);
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($options.list, (button, index, i0) => {
      return {
        a: common_vendor.t(button.label),
        b: button.color,
        c: button.background,
        d: `2rpx solid ${button.borderColor || "transparent"}`,
        e: common_vendor.o(($event) => $options.onClick(index), index),
        f: index
      };
    }),
    b: $props.safeArea && `${$data.bottomSafeArea || 10}px`,
    c: $props.boxShadow ? "0 2px 12px 0 rgba(0, 0, 0, 0.1)" : ""
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/components/dateSelect/k-bottom-button/KBottomButton.vue"]]);
wx.createComponent(Component);
