"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_objectivesList = require("../../service/modules/objectivesList.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uni_th2 = common_vendor.resolveComponent("uni-th");
  const _easycom_uni_tr2 = common_vendor.resolveComponent("uni-tr");
  const _easycom_uni_td2 = common_vendor.resolveComponent("uni-td");
  const _easycom_uni_table2 = common_vendor.resolveComponent("uni-table");
  (_easycom_uni_th2 + _easycom_uni_tr2 + _easycom_uni_td2 + _easycom_uni_table2)();
}
const _easycom_uni_th = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-th/uni-th.js";
const _easycom_uni_tr = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-tr/uni-tr.js";
const _easycom_uni_td = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-td/uni-td.js";
const _easycom_uni_table = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-table/uni-table.js";
if (!Math) {
  (_easycom_uni_th + _easycom_uni_tr + _easycom_uni_td + _easycom_uni_table)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "tableData",
  props: {
    planScore: Number
  },
  setup(__props, { expose }) {
    const porops = __props;
    const tableData = common_vendor.ref([]);
    const getList = async () => {
      var _a;
      const obj = {
        current: 1,
        size: 100,
        status: "3"
      };
      const res = await service_modules_objectivesList.getWmtasktypePageApi(obj);
      tableData.value = (_a = res == null ? void 0 : res.data) == null ? void 0 : _a.records.map((item) => {
        if (item.delFlag == 0) {
          const obj2 = {
            qty: 0,
            subtotal: 0,
            editable: false,
            baseId: item.baseId,
            percentage: 0,
            taskTypeName: item.taskTypeName,
            score: item.score,
            taskTypeId: item.id
          };
          return obj2;
        }
      });
    };
    const showInfo = (item, index) => {
      if (index === 0) {
        return item.baseId;
      }
      if (tableData.value[index - 1].baseId === item.baseId) {
        return "";
      } else {
        return item.baseId;
      }
    };
    const showPercentage = (item, index) => {
      if (index === 0) {
        return item.percentage;
      }
      if (tableData.value[index - 1].baseId === item.baseId) {
        return "";
      } else {
        return item.percentage;
      }
    };
    common_vendor.onMounted(() => {
      getList();
    });
    const totalQty = common_vendor.ref(0);
    const totalsubtotal = common_vendor.ref(0);
    const calculatePercentage = (part, total) => {
      if (total === 0)
        return 0;
      return Number((part / total * 100).toFixed(2));
    };
    const change = (detail, index, row) => {
      tableData.value[index].subtotal = tableData.value[index].qty * tableData.value[index].score;
      totalQty.value = tableData.value.reduce((sum, row2) => Number(sum) + Number(row2.qty), 0);
      totalsubtotal.value = tableData.value.reduce((sum, row2) => Number(sum) + Number(row2.subtotal), 0);
      const allSubtotal = tableData.value.reduce((accumulator, currentValue) => {
        if (currentValue.baseId === row.baseId) {
          return accumulator + currentValue.subtotal;
        }
        return accumulator;
      }, 0);
      const percentage = calculatePercentage(allSubtotal, porops.planScore);
      tableData.value.forEach((item) => {
        if (item.baseId === row.baseId) {
          item.percentage = percentage;
        }
      });
    };
    const getData = () => {
      return tableData.value;
    };
    expose({ getData });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          align: "center",
          width: "50"
        }),
        b: common_vendor.p({
          align: "center"
        }),
        c: common_vendor.p({
          align: "center",
          width: "50"
        }),
        d: common_vendor.p({
          align: "center"
        }),
        e: common_vendor.p({
          align: "center",
          width: "50"
        }),
        f: common_vendor.p({
          align: "center",
          width: "50"
        }),
        g: common_vendor.p({
          align: "center",
          width: "80"
        }),
        h: common_vendor.f(tableData.value, (item, index, i0) => {
          return {
            a: common_vendor.t(index + 1),
            b: "5a8fd012-10-" + i0 + "," + ("5a8fd012-9-" + i0),
            c: common_vendor.t(showInfo(item, index)),
            d: "5a8fd012-11-" + i0 + "," + ("5a8fd012-9-" + i0),
            e: common_vendor.t(showPercentage(item, index)),
            f: item.score != 0 && (item.percentage < 25 || item.percentage > 50) ? 1 : "",
            g: "5a8fd012-12-" + i0 + "," + ("5a8fd012-9-" + i0),
            h: common_vendor.t(item.taskTypeName),
            i: "5a8fd012-13-" + i0 + "," + ("5a8fd012-9-" + i0),
            j: common_vendor.t(item.score),
            k: "5a8fd012-14-" + i0 + "," + ("5a8fd012-9-" + i0),
            l: common_vendor.o((e) => change(e, index, item), item == null ? void 0 : item.taskTypeId),
            m: item.qty,
            n: common_vendor.o(($event) => item.qty = $event.detail.value, item == null ? void 0 : item.taskTypeId),
            o: "5a8fd012-15-" + i0 + "," + ("5a8fd012-9-" + i0),
            p: common_vendor.t(item.subtotal),
            q: "5a8fd012-16-" + i0 + "," + ("5a8fd012-9-" + i0),
            r: item == null ? void 0 : item.taskTypeId,
            s: "5a8fd012-9-" + i0 + ",5a8fd012-0"
          };
        }),
        i: common_vendor.p({
          index: true
        }),
        j: common_vendor.t(totalQty.value),
        k: common_vendor.t(totalsubtotal.value),
        l: common_vendor.p({
          border: true,
          stripe: true,
          emptyText: "暂无更多数据"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5a8fd012"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/components/table/tableData.vue"]]);
wx.createComponent(Component);
