"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_upload = require("../../utils/upload.js");
const wxUtils_index = require("../../wxUtils/index.js");
const wxUtils_QQMapWX = require("../../wxUtils/QQMapWX.js");
require("../../service/modules/uploadFile.js");
require("../../store/login.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
require("../../wxUtils/sdk/qqmap-wx-jssdk.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  props: {
    count: Number
  },
  emits: ["uploadImgInfo"],
  setup(__props, { emit }) {
    const porops = __props;
    const { ctx: _this } = common_vendor.getCurrentInstance();
    const sourceType = common_vendor.ref([]);
    const beforeUploadImg = () => {
      common_vendor.index.showActionSheet({
        itemList: ["相机", "从相册选择"],
        success: function(res) {
          if (res.tapIndex === 0) {
            sourceType.value = ["camera"];
          } else {
            sourceType.value = ["album"];
          }
          uploadImg();
        },
        fail: function(res) {
          console.log("res", res);
        }
      });
    };
    common_vendor.onMounted(() => {
      getLocation();
    });
    const address = common_vendor.ref();
    const getLocation = async () => {
      try {
        const res = await wxUtils_index.getWxLocationApi();
        wxUtils_QQMapWX.qqmapsdk.reverseGeocoder({
          location: {
            latitude: res == null ? void 0 : res.latitude,
            longitude: res == null ? void 0 : res.longitude
          },
          success: function(res2) {
            const result = res2.result;
            address.value = result.address;
          }
        });
      } catch (e) {
        common_vendor.index.showToast({
          title: "获取定位失败",
          icon: "none"
        });
        console.log(e);
      }
    };
    const uploadImg = async () => {
      common_vendor.index.chooseImage({
        count: (porops == null ? void 0 : porops.count) || 9,
        sizeType: ["original", "compressed"],
        sourceType: sourceType.value,
        async success(res) {
          console.log("res", res);
          let tempFiles = res.tempFiles;
          if (sourceType.value[0] === "camera") {
            const path = await addWatermark(tempFiles[0].path);
            if (path) {
              res.tempFiles[0].path = path;
              tempFiles[0].path = path;
            }
          }
          let flag = res.tempFilePaths.every((item) => {
            return item.includes(".jpg") || item.includes(".jpeg") || item.includes(".png");
          });
          if (!flag) {
            common_vendor.index.showToast({
              title: "暂不支持该格式照片，请更换为png或jpg格式",
              icon: "none",
              duration: 3e3
            });
            return;
          }
          const imageValue = [];
          const uploadPromises = tempFiles.map(async (item) => {
            var _a, _b, _c;
            let res2 = await utils_upload.uploadFile(item.path);
            if ((res2 == null ? void 0 : res2.code) === 0) {
              if (sourceType.value[0] === "camera") {
                if ((_a = res2 == null ? void 0 : res2.data) == null ? void 0 : _a.url) {
                  res2.data.url = res2.data.url + ";1";
                }
              } else if (sourceType.value[0] === "album") {
                res2.data.url = res2.data.url + ";2";
              }
              imageValue.push({
                path: (_b = res2 == null ? void 0 : res2.data) == null ? void 0 : _b.url,
                url: "https://cnbg.yaoyi.net" + ((_c = res2 == null ? void 0 : res2.data) == null ? void 0 : _c.url)
              });
            }
          });
          await Promise.all(uploadPromises);
          emit("uploadImgInfo", imageValue);
        }
      });
    };
    const thumbWidth = common_vendor.ref();
    const thumbHeight = common_vendor.ref();
    const addWatermark = (fileUrl) => {
      common_vendor.wx$1.getSystemInfoSync().pixelRatio;
      return new Promise((resolve) => {
        common_vendor.index.getImageInfo({
          src: fileUrl,
          // 替换为你的图片路径
          success: async (res) => {
            thumbWidth.value = res.width;
            thumbHeight.value = res.height;
            let text = address.value;
            let textArr = [];
            let oneRowTextNum = Math.floor(thumbWidth.value / 31);
            if ((text == null ? void 0 : text.length) <= oneRowTextNum) {
              textArr.push(text);
            } else {
              const totalRowNum = Math.ceil(text.length / oneRowTextNum);
              for (let i = 0; i < totalRowNum; i++) {
                textArr.push(text.substr(i * oneRowTextNum, oneRowTextNum));
              }
            }
            const time = new Date().toJSON().substring(0, 10) + " " + new Date().toTimeString().substring(0, 8);
            const ctx = common_vendor.index.createCanvasContext("myCanvas", _this);
            ctx.drawImage(fileUrl, 0, 0, thumbWidth.value, thumbHeight.value);
            ctx.setFontSize(30);
            ctx.setFillStyle("white");
            for (let i = 0; i < textArr.length; i++) {
              ctx.fillText(textArr[i], 10, 72 + i * 40);
            }
            ctx.setFontSize(26);
            ctx.fillText(time, 10, 35);
            ctx.draw(false, () => {
              setTimeout(() => {
                common_vendor.index.canvasToTempFilePath(
                  {
                    fileType: "jpg",
                    canvasId: "myCanvas",
                    success: async (res2) => {
                      resolve(res2.tempFilePath);
                    },
                    fail(err) {
                      console.log(err);
                    }
                  },
                  _this
                );
              }, 600);
            });
          }
        });
      });
    };
    return (_ctx, _cache) => {
      return {
        a: `${thumbWidth.value}px`,
        b: `${thumbHeight.value}px`,
        c: common_vendor.o(beforeUploadImg)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7954e6e8"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/components/uploadImg/index.vue"]]);
wx.createComponent(Component);
