"use strict";
const common_vendor = require("../common/vendor.js");
const store_login = require("../store/login.js");
const store_tabbar = require("../store/tabbar.js");
async function useLogiutFn() {
  const loginStore = store_login.useLoginStore();
  const tabbarStore = store_tabbar.useTabbar();
  if (loginStore.accessToken) {
    await loginStore.logoutFn();
  }
  loginStore.$reset();
  tabbarStore.$reset();
  setTimeout(() => {
    common_vendor.index.reLaunch({
      url: "/pages/login/index"
    });
  }, 500);
}
exports.useLogiutFn = useLogiutFn;
