"use strict";
const common_vendor = require("../../common/vendor.js");
const mp_ecard_sdk_utils_getParameterByName = require("../utils/getParameterByName.js");
const mp_ecard_sdk_constants_log = require("../constants/log.js");
const mp_ecard_sdk_utils_http = require("../utils/http.js");
const index = { data: () => ({ token: "", appName: "test", isAgree: false, redirectUri: "", isNavigating: false, showWebView: true }), onLoad(e) {
  const { token: t } = e;
  this.token = t, this.redirectUri = `${common_vendor.index.eidBaseUrl}/api/v1/Redirect?token=${t}`, this.getConfig(t);
}, methods: { changeAgree(e) {
  const t = !this.isAgree;
  this.isAgree = t;
}, getConfig(e) {
  const t = this;
  mp_ecard_sdk_utils_http.$http({ url: `/api/v1/GetConfig?token=${e}`, token: e, method: "GET", reTry: { tryCount: 3 } }, (o) => {
    if (0 !== o.ErrorCode)
      common_vendor.index.reportLogToEid({ token: e, event: mp_ecard_sdk_constants_log.Log.getConfigFail, errCode: "", errMsg: o.ErrorMsg }), common_vendor.index.showModal({ title: "提示", content: "网络失败，请点击重新尝试", showCancel: false, success() {
        common_vendor.index.navigateBack();
      } });
    else {
      if (common_vendor.index.reportLogToEid({ token: e, event: mp_ecard_sdk_constants_log.Log.getConfig, errCode: o.ErrorCode, errMsg: o.ErrorMsg }), o.Data)
        return void (t.appName = o.Data.AppName);
      const i = o.ErrorMsg;
      common_vendor.index.showModal({ title: "提示", content: i, showCancel: false, success() {
        common_vendor.index.navigateBack();
      } });
    }
  });
}, handleWebViewLoad(e) {
  const t = mp_ecard_sdk_utils_getParameterByName.getParameterByName("success", e.detail.src);
  "true" === t && (this.showWebView = false), common_vendor.index.reportLogToEid({ token: this.token, event: mp_ecard_sdk_constants_log.Log.webViewResult, errMsg: `success参数为${t}` });
}, handleWebViewError(e) {
  this.showWebView = false, common_vendor.index.reportLogToEid({ token: this.token, event: mp_ecard_sdk_constants_log.Log.webViewError, errMsg: e.detail.src });
}, navigateToEid() {
  const e = this.token;
  this.isNavigating = true;
  const t = this;
  common_vendor.index.navigateToMiniProgram({ appId: "wx0e2cb0b052a91c92", path: "pages/huiyan/index", envVersion: common_vendor.index.eidEnvVersion, extraData: { useHuiyan: true, huiyanToken: e }, success() {
    common_vendor.index.eidTokenToCallback = e;
  }, complete(o) {
    t.isNavigating = false, common_vendor.index.reportLogToEid({ token: e, event: mp_ecard_sdk_constants_log.Log.navigateToEid, errMsg: o.errMsg });
  } });
} } };
const _sfc_main = index;
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.showWebView
  }, _ctx.showWebView ? {
    b: _ctx.redirectUri,
    c: common_vendor.o((...args) => _ctx.handleWebViewLoad && _ctx.handleWebViewLoad(...args)),
    d: common_vendor.o((...args) => _ctx.handleWebViewError && _ctx.handleWebViewError(...args))
  } : {
    e: common_vendor.t(" " + _ctx.appName),
    f: _ctx.agreement,
    g: _ctx.isAgree,
    h: common_vendor.o((...args) => _ctx.changeAgree && _ctx.changeAgree(...args)),
    i: common_vendor.o((...args) => _ctx.changeAgree && _ctx.changeAgree(...args)),
    j: common_vendor.o((...args) => _ctx.navigateToEid && _ctx.navigateToEid(...args)),
    k: !_ctx.isAgree || _ctx.isNavigating
  });
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/mp_ecard_sdk/index/index.vue"]]);
wx.createPage(MiniProgramPage);
