"use strict";
const common_vendor = require("../common/vendor.js");
const mp_ecard_sdk_utils_validate = require("./utils/validate.js");
const mp_ecard_sdk_constants_log = require("./constants/log.js");
const mp_ecard_sdk_globalConfig = require("./globalConfig.js");
function initEid(e = "https://eid.faceid.qq.com", o = "release", n = "https://eid-enhance.faceid.qq.com") {
  common_vendor.index.eidBaseUrl = e, common_vendor.index.eidEnvVersion = o, common_vendor.index.eidBackUpUrl = n, common_vendor.index.onAppShow((e2) => {
    const { scene: o2 } = e2;
    if (1038 !== o2)
      return;
    const { referrerInfo: n2 } = e2, { appId: i2, extraData: t2 } = n2;
    if ("wx0e2cb0b052a91c92" !== i2 || !t2)
      return;
    const { verifyDone: r, token: a } = t2;
    r && common_vendor.index.handleEidVerifyDone ? common_vendor.index.eidTokenToCallback && common_vendor.index.eidTokenToCallback === a && (common_vendor.index.eidTokenToCallback = "", common_vendor.index.reportLogToEid({
      token: a,
      event: mp_ecard_sdk_constants_log.Log.navigateBackFromEid,
      errMsg: `从EID核身完成返回，token:${a},verifyDone:${r}`
    }), common_vendor.index.handleEidVerifyDone(t2)) : common_vendor.index.reportLogToEid({
      token: a,
      event: mp_ecard_sdk_constants_log.Log.navigateBackFromEidFail,
      errMsg: `核验未完成或者没有处理核验完成的函数，token:${a},verifyDone:${r}`
    });
  });
  const i = common_vendor.index.getSystemInfoSync(), { version: t } = i;
  common_vendor.index.reportLogToEid = function(e2) {
    const { token: o2 = "", event: n2 = "", errCode: i2 = "", errMsg: r = "", data: a = {} } = e2, s = new Date(), d = {
      Token: o2,
      SourceType: mp_ecard_sdk_constants_log.Log.SourceType,
      SourceVersion: mp_ecard_sdk_constants_log.Log.version,
      EnvVersion: t,
      Timestamp: s.getTime(),
      Event: n2,
      ErrorCode: "number" == typeof i2 ? i2.toString() : i2,
      ErrorMsg: r,
      Data: JSON.stringify(a)
    };
    console.log("开始上报日志：", d), common_vendor.index.request({
      url: `${common_vendor.index.eidBaseUrl}/api/common/ReportEvent`,
      method: "POST",
      data: d,
      success(e3) {
        console.log("上报日志完成：", "payload:", d, "res:", e3);
      }
    });
  };
}
function startEid(e) {
  const { data: o, verifyDoneCallback: n } = e;
  if (!o || !n)
    return common_vendor.index.reportLogToEid({ token: i, event: mp_ecard_sdk_constants_log.Log.startEidFail, errMsg: "传入的参数有误" }), void common_vendor.index.showModal({ title: "提示", content: "传入的参数有误", showCancel: false });
  const { token: i } = o;
  if (!mp_ecard_sdk_utils_validate.validate.isValidateToken(i))
    return common_vendor.index.reportLogToEid({
      token: i,
      event: mp_ecard_sdk_constants_log.Log.startEidFail,
      errMsg: `传入的token有误，token:${i}`
    }), void common_vendor.index.showModal({ title: "提示", content: "传入的token有误", showCancel: false });
  common_vendor.index.handleEidVerifyDone = (e2) => {
    const { token: o2 } = e2;
    common_vendor.index.navigateBack({
      success() {
        common_vendor.index.reportLogToEid({ token: o2, event: mp_ecard_sdk_constants_log.Log.EidVerifyDone, errMsg: `验证完成，token：${o2}` }), n({ token: o2, verifyDone: true });
      }
    });
  }, common_vendor.index.navigateTo({ url: `${mp_ecard_sdk_globalConfig.globalConfig.normalPath}/mp_ecard_sdk/index/index?token=${i}` });
}
exports.initEid = initEid;
exports.startEid = startEid;
