"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_objectivesList = require("../../service/modules/objectivesList.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
const store_login = require("../../store/login.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_line_progress2 = common_vendor.resolveComponent("uv-line-progress");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_line_progress2 + _easycom_uv_picker2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_line_progress = () => "../../node-modules/@climblee/uv-ui/components/uv-line-progress/uv-line-progress.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_line_progress + noData + _easycom_uv_picker + KDatePicker + approvalFlowchart)();
}
const noData = () => "../../components/noData/index.js";
const KDatePicker = () => "../../components/dateSelect/k-date-picker/KDatePicker.js";
const approvalFlowchart = () => "./components/approvalFlowchart.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    let userInfo = loginStore.currentUserInfo;
    const roles = userInfo.roles;
    const customStyle = {
      backgroundColor: "#f6f6f6"
    };
    class Params {
      constructor() {
        __publicField(this, "consigneeId", "");
        __publicField(this, "period", []);
        __publicField(this, "planName", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 10);
      }
    }
    const searchParams = common_vendor.ref(new Params());
    const hasInfo = common_vendor.ref(true);
    const listArr = common_vendor.ref([]);
    const getList = async () => {
      common_vendor.index.showLoading();
      const res = await service_modules_objectivesList.getListApi(searchParams.value);
      if (res.code === 0) {
        searchParams.value.total = res.data.total;
        res.data.records.forEach((item) => {
          if (typeof item.execScoreValue === "number" && typeof item.planScore === "number") {
            let value = (item.execScoreValue / item.planScore).toFixed(2);
            item.percentage = value * 100;
          }
        });
        listArr.value = listArr.value.concat(res.data.records);
        searchParams.value.total = res.data.total;
        hasInfo.value = !!listArr.value.length;
      } else {
        hasInfo.value = false;
      }
      common_vendor.index.hideLoading();
    };
    const pickerCancel = () => {
      if (searchParams.value.consigneeId) {
        searchParams.value.consigneeId = "";
        searchFn();
      }
    };
    common_vendor.onReachBottom(() => {
      if (listArr.value.length === searchParams.value.total)
        return;
      searchParams.value.current++;
      getList();
    });
    const csoList = common_vendor.ref([]);
    const implPlanStateList = common_vendor.ref([]);
    const getDict = async () => {
      service_modules_getDict.getDictByNameApi("impl_plan_state").then((res) => implPlanStateList.value = res.data);
      service_modules_objectivesList.getListDescendant().then((res) => csoList.value = [res.data]);
    };
    const getStatusName = (planState) => {
      var _a;
      const curr = (_a = implPlanStateList.value) == null ? void 0 : _a.find((item) => item.value === planState);
      return curr == null ? void 0 : curr.label;
    };
    const detailClick = (id) => {
      if (isROLE_SERVICE.value)
        return;
      const searchInfo = JSON.stringify(searchParams.value);
      common_vendor.index.navigateTo({
        url: `/pages-sub-admin/objectivesDetailList/index?&searchInfo=${searchInfo}&id=${id}`
      });
    };
    const isYXZX = common_vendor.ref(false);
    const isYQGLY = common_vendor.ref(false);
    const isDLSGLY = common_vendor.ref(false);
    const isROLE_SERVICE = common_vendor.ref(false);
    const addFlag = common_vendor.ref(false);
    common_vendor.onShow(() => {
      if (roles.includes(38)) {
        isYXZX.value = true;
      }
      if (roles.includes(3)) {
        isYQGLY.value = true;
        addFlag.value = true;
      }
      if (roles.includes(4)) {
        isDLSGLY.value = true;
      }
      if (roles.includes(37)) {
        isROLE_SERVICE.value = true;
      }
      listArr.value = [];
      getDict();
      searchParams.value.current = 1;
      getList();
    });
    const searchFn = () => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
    };
    const pickerRef = common_vendor.ref();
    const show = common_vendor.ref(false);
    const searchClick = (type) => {
      if (type === "consigneeId") {
        pickerRef.value.open();
      } else {
        show.value = true;
      }
    };
    const pickerConfim = (e) => {
      searchParams.value.consigneeId = e.value[0].deptId;
      searchFn();
    };
    const getDate = (e) => {
      if (searchParams.value.period.length) {
        searchParams.value.period = [];
      } else {
        searchParams.value.period = e;
      }
      show.value = false;
      searchFn();
    };
    const approvalFlowchartRef = common_vendor.ref();
    const approvalFlowchartFn = (item) => {
      approvalFlowchartRef.value.show(item);
    };
    const toDetail = (type, row) => {
      if (type === 1) {
        common_vendor.index.navigateTo({
          url: `/pages-sub-admin/objectivesAdd/index?&type=${type}`
        });
      } else {
        common_vendor.index.navigateTo({
          url: `/pages-sub-admin/objectivesAdd/index?&type=${type}&planId=${row == null ? void 0 : row.planId}`
        });
      }
    };
    const editDisabled = (item) => {
      if (item.parentId == 0) {
        if (item.planType === "ANN") {
          let flag = item.planState === "INIT" || item.planState === "REJECTED";
          return !flag;
        } else if (item.planType === "QRT") {
          let flag = item.children && item.children.length > 0;
          return flag;
        }
      } else {
        let flag = item.planState === "INIT" || item.planState === "REJECTED";
        return !flag;
      }
    };
    const toEdit = (item) => {
      const flag = editDisabled(item);
      if (flag)
        return;
      const type = item.parentId == 0 ? 1 : 3;
      common_vendor.index.navigateTo({
        url: `/pages-sub-admin/objectivesAdd/index?&type=${type}&btnType=1&planId=${item == null ? void 0 : item.planId}`
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => searchParams.value.planName = $event),
        b: common_vendor.p({
          customStyle,
          clearable: true,
          shape: "circle",
          placeholder: "请输入",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 22px;color: #6eb657",
          modelValue: searchParams.value.planName
        }),
        c: common_vendor.o(searchFn),
        d: addFlag.value
      }, addFlag.value ? {
        e: common_vendor.o(($event) => toDetail(1)),
        f: common_vendor.p({
          name: "plus-circle",
          color: "#6eb657",
          size: "24"
        })
      } : {}, {
        g: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.consigneeId ? "#6eb657" : "#111111",
          size: "14"
        }),
        h: common_vendor.o(($event) => searchClick("consigneeId")),
        i: common_vendor.n(searchParams.value.consigneeId ? "active" : ""),
        j: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.period.length ? "#6eb657" : "#111111",
          size: "14"
        }),
        k: common_vendor.o(($event) => searchClick("period")),
        l: common_vendor.n(searchParams.value.period.length ? "active" : ""),
        m: hasInfo.value
      }, hasInfo.value ? {
        n: common_vendor.f(listArr.value, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.planName),
            b: common_vendor.t(getStatusName(item.planState)),
            c: common_vendor.t(item.consigneeInfo.consigneeName),
            d: common_vendor.t(item.planIssue + " 至 " + item.planExpiry),
            e: common_vendor.t(item.createTime),
            f: "6e73dc05-4-" + i0,
            g: common_vendor.p({
              round: true,
              showText: false,
              percentage: item.percentage,
              activeColor: "#95dc7e",
              inactiveColor: "#f8f8f0"
            }),
            h: common_vendor.t(item.percentage),
            i: common_vendor.t(item.execScoreValue),
            j: common_vendor.t(item.planScore),
            k: common_vendor.o(($event) => approvalFlowchartFn(item), item.id)
          }, isDLSGLY.value ? common_vendor.e({
            l: item.parentId == "0" && item.availScore > 0
          }, item.parentId == "0" && item.availScore > 0 ? {
            m: common_assets._imports_0$1,
            n: common_vendor.o(($event) => toDetail(3, item), item.id)
          } : {}) : {}, isYXZX.value ? common_vendor.e({
            o: item.planState === "INIT" && item.parentId == 0
          }, item.planState === "INIT" && item.parentId == 0 ? {
            p: common_assets._imports_0$2,
            q: common_vendor.o(($event) => toDetail(2, item), item.id)
          } : {}) : {}, isROLE_SERVICE.value ? common_vendor.e({
            r: !item.planDetails || item.planDetails.detailsState === "REJECTED"
          }, !item.planDetails || item.planDetails.detailsState === "REJECTED" ? {
            s: common_assets._imports_2,
            t: common_vendor.o(($event) => toDetail(5, item), item.id)
          } : {}) : {}, {
            v: item.planDetails
          }, item.planDetails ? {
            w: common_assets._imports_2,
            x: common_vendor.o(($event) => toDetail(6, item), item.id)
          } : {}, {
            y: isYQGLY.value && item.parentId == "0"
          }, isYQGLY.value && item.parentId == "0" ? {
            z: editDisabled(item) ? 1 : "",
            A: common_vendor.o(($event) => toEdit(item), item.id)
          } : {}, {
            B: item.id,
            C: common_vendor.o(($event) => detailClick(item.id), item.id)
          });
        }),
        o: isDLSGLY.value,
        p: isYXZX.value,
        q: isROLE_SERVICE.value
      } : {}, {
        r: common_vendor.sr(pickerRef, "6e73dc05-6", {
          "k": "pickerRef"
        }),
        s: common_vendor.o(pickerCancel),
        t: common_vendor.o(pickerConfim),
        v: common_vendor.p({
          cancelText: searchParams.value.consigneeId ? "清空" : "取消",
          columns: csoList.value,
          keyName: "gsmc"
        }),
        w: common_vendor.o(getDate),
        x: common_vendor.o(($event) => show.value = $event),
        y: common_vendor.p({
          type: "month",
          ["is-range"]: true,
          confirmText: searchParams.value.period.length ? "清除" : "确定",
          formatter: "YYYY-MM-DD",
          modelValue: show.value
        }),
        z: common_vendor.sr(approvalFlowchartRef, "6e73dc05-8", {
          "k": "approvalFlowchartRef"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-6e73dc05"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-admin/objectivesList/index.vue"]]);
wx.createPage(MiniProgramPage);
