"use strict";
const pagesSubMine_auth_constants_index = require("../constants/index.js");
function useRadio(certList) {
  const getRadio = (subjectLocationItem) => {
    if (subjectLocationItem === "OTHER")
      return false;
    const current = certList.value.find((item) => item.subjectLocation === subjectLocationItem);
    if (!current)
      return true;
    const certStatus = current.certStatus;
    const callbackStatus = current.callbackStatus;
    if (callbackStatus === "IN_PROGRESS")
      return false;
    const currentList = pagesSubMine_auth_constants_index.statusListMap[subjectLocationItem];
    return currentList.includes(certStatus);
  };
  const IS_IN_PROGRESS = (subjectLocationItem) => {
    const current = certList.value.find((item) => item.subjectLocation === subjectLocationItem);
    if (!current)
      return false;
    const callbackStatus = current.callbackStatus;
    return callbackStatus === "IN_PROGRESS";
  };
  const getStatusText = (subjectLocationItem) => {
    const current = certList.value.find((item) => item.subjectLocation === subjectLocationItem);
    if (!current)
      return false;
    const certStatus = current.certStatus;
    const callbackStatus = current.callbackStatus;
    if (callbackStatus === "IN_PROGRESS")
      return false;
    const currentList = pagesSubMine_auth_constants_index.peddingListMap[subjectLocationItem];
    return currentList.includes(certStatus);
  };
  const getStatusName = (subjectLocationItem) => {
    const current = certList.value.find((item) => item.subjectLocation === subjectLocationItem);
    if (!current)
      return "";
    const certStatus = current.certStatus;
    const currMap = pagesSubMine_auth_constants_index.subjectLocationStatusName[subjectLocationItem];
    return currMap[certStatus];
  };
  return {
    getRadio,
    IS_IN_PROGRESS,
    getStatusText,
    getStatusName
  };
}
exports.useRadio = useRadio;
