"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const store_auth = require("../../store/auth.js");
const pagesSubMine_auth_constants_index = require("./constants/index.js");
const pagesSubMine_auth_hook_useRadio = require("./hook/useRadio.js");
const pagesSubMine_auth_hook_useAutnFn = require("./hook/useAutnFn.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
require("../../utils/index.js");
require("../../mp_ecard_sdk/main.js");
require("../../mp_ecard_sdk/utils/validate.js");
require("../../mp_ecard_sdk/constants/log.js");
require("../../mp_ecard_sdk/globalConfig.js");
require("../../service/modules/auth.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uv_modal2 = common_vendor.resolveComponent("uv-modal");
  (_easycom_uv_input2 + _easycom_uv_button2 + _easycom_uv_modal2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_button = () => "../../node-modules/@climblee/uv-ui/components/uv-button/uv-button.js";
const _easycom_uv_modal = () => "../../node-modules/@climblee/uv-ui/components/uv-modal/uv-modal.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_button + _easycom_uv_modal)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    var _a, _b, _c, _d, _e;
    common_vendor.onLoad(() => {
      common_vendor.index.onAppShow(authBackHandler);
    });
    common_vendor.onUnload(() => {
      common_vendor.index.offAppShow(authBackHandler);
    });
    const loginStore = store_login.useLoginStore();
    const authStore = store_auth.useAuth();
    const currentUserInfo = common_vendor.ref();
    const userInfo = common_vendor.reactive({
      realname: (_a = loginStore.currentUserInfo) == null ? void 0 : _a.realname,
      phone: (_b = loginStore.currentUserInfo) == null ? void 0 : _b.phone,
      idCardNumber: (_c = loginStore.currentUserInfo) == null ? void 0 : _c.idCardNumber,
      bankCardNumber: (_d = loginStore.currentUserInfo) == null ? void 0 : _d.bankCardNumber,
      bankPhone: (_e = loginStore.currentUserInfo) == null ? void 0 : _e.bankPhone
    });
    common_vendor.onShow(async () => {
      var _a2, _b2;
      await loginStore.getUserInfoByCode();
      currentUserInfo.value = loginStore.currentUserInfo;
      userInfo.bankCardNumber = (_a2 = loginStore.currentUserInfo) == null ? void 0 : _a2.bankCardNumber;
      userInfo.bankPhone = (_b2 = loginStore.currentUserInfo) == null ? void 0 : _b2.bankPhone;
      if (authStore.agreementUrl) {
        agreementUrl.value = authStore.agreementUrl;
        signAgreeSuccess();
        authStore.setAgreementUrl("");
      }
    });
    const certList = common_vendor.computed(() => loginStore.currentUserInfo.certList);
    const { getRadio, IS_IN_PROGRESS, getStatusText, getStatusName } = pagesSubMine_auth_hook_useRadio.useRadio(certList);
    const getDisabled = common_vendor.computed(() => {
      var _a2;
      if (!((_a2 = certList == null ? void 0 : certList.value) == null ? void 0 : _a2.length))
        return false;
      let flag = certList.value.every((item) => {
        let currMap = pagesSubMine_auth_constants_index.notCertMap[item.subjectLocation];
        return currMap.includes(item.certStatus);
      });
      return !flag;
    });
    const showSubmitBtn = common_vendor.computed(() => {
      const subjectLocationList = loginStore.currentUserInfo.subjectLocationList;
      const isRadio = subjectLocationList == null ? void 0 : subjectLocationList.map((item) => getRadio(item));
      return isRadio;
    });
    const customStyle = {
      border: "2rpx solid #000",
      height: "50rpx",
      background: "#f8f8f8",
      borderRadius: "10rpx"
    };
    const radioValue = common_vendor.ref();
    const radioChange = (e) => {
      radioValue.value = e.detail.value;
    };
    const bindCardFn = () => {
      common_vendor.index.navigateTo({
        url: "/pages-sub-mine/bind-card/index"
      });
    };
    const {
      checkInfo,
      saveBaseInfo,
      authCertFn,
      signCertFn,
      authBackHandler,
      signAgreeSuccess,
      agereementModal,
      agreemetChecked,
      agreementUrl
    } = pagesSubMine_auth_hook_useAutnFn.useAuthFn(userInfo, radioValue, certList);
    const submitBtn = async () => {
      if (!checkInfo())
        return;
      await saveBaseInfo();
      if (radioValue.value === "REN_LI_JIA") {
        authCertFn();
      } else {
        signCertFn();
      }
    };
    const agreementFn = () => {
      common_vendor.index.navigateTo({
        url: pagesSubMine_auth_constants_index.signAgreementMap[radioValue.value].path
      });
    };
    const agereementConfirm = () => {
      if (!agreemetChecked.value) {
        return common_vendor.index.showToast({
          title: "请先勾选相关协议",
          icon: "none"
        });
      }
      common_vendor.index.navigateTo({
        url: `/pages-sub-task/signature/index`
      });
      agereementCancel();
    };
    const agereementCancel = () => {
      agereementModal.value.close();
      agreemetChecked.value = false;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => userInfo.realname = $event),
        b: common_vendor.p({
          readonly: common_vendor.unref(getDisabled),
          border: "none",
          inputAlign: "right",
          placeholder: "请输入姓名",
          modelValue: userInfo.realname
        }),
        c: common_vendor.o(($event) => userInfo.phone = $event),
        d: common_vendor.p({
          readonly: true,
          type: "number",
          border: "none",
          maxlength: "11",
          inputAlign: "right",
          placeholder: "请输入手机号",
          modelValue: userInfo.phone
        }),
        e: common_vendor.o(($event) => userInfo.idCardNumber = $event),
        f: common_vendor.p({
          readonly: common_vendor.unref(getDisabled),
          type: "idcard",
          border: "none",
          inputAlign: "right",
          placeholder: "请输入身份证号",
          modelValue: userInfo.idCardNumber
        }),
        g: common_vendor.o(bindCardFn),
        h: common_vendor.p({
          type: "default",
          ["custom-style"]: customStyle,
          plain: true,
          size: "mini"
        }),
        i: common_vendor.o(($event) => userInfo.bankCardNumber = $event),
        j: common_vendor.p({
          readonly: common_vendor.unref(getDisabled),
          type: "number",
          border: "none",
          inputAlign: "right",
          placeholder: "请输入银行卡号",
          modelValue: userInfo.bankCardNumber
        }),
        k: common_vendor.o(($event) => userInfo.bankPhone = $event),
        l: common_vendor.p({
          type: "number",
          border: "none",
          inputAlign: "right",
          placeholder: "请输入银行预留手机号",
          modelValue: userInfo.bankPhone
        }),
        m: common_vendor.p({
          type: "default",
          ["custom-style"]: customStyle,
          plain: true,
          size: "mini"
        }),
        n: common_vendor.f(common_vendor.unref(loginStore).currentUserInfo.subjectLocationList, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item && common_vendor.unref(pagesSubMine_auth_constants_index.subjectLocationName)[item]),
            b: common_vendor.unref(getRadio)(item)
          }, common_vendor.unref(getRadio)(item) ? {
            c: item
          } : {}, {
            d: common_vendor.unref(IS_IN_PROGRESS)(item)
          }, common_vendor.unref(IS_IN_PROGRESS)(item) ? {} : {}, {
            e: common_vendor.unref(getStatusText)(item)
          }, common_vendor.unref(getStatusText)(item) ? {
            f: common_vendor.t(common_vendor.unref(getStatusName)(item))
          } : {}, {
            g: item
          });
        }),
        o: common_vendor.o(radioChange),
        p: common_vendor.unref(showSubmitBtn)
      }, common_vendor.unref(showSubmitBtn) ? {
        q: common_vendor.o(submitBtn)
      } : {}, {
        r: common_vendor.unref(agreemetChecked),
        s: common_vendor.o(($event) => agreemetChecked.value = !common_vendor.unref(agreemetChecked)),
        t: common_vendor.t(common_vendor.unref(pagesSubMine_auth_constants_index.signAgreementMap)[radioValue.value] && common_vendor.unref(pagesSubMine_auth_constants_index.signAgreementMap)[radioValue.value].name),
        v: common_vendor.o(agreementFn),
        w: common_vendor.o(agereementCancel),
        x: common_vendor.o(agereementConfirm),
        y: common_vendor.sr(agereementModal, "2657f5e1-7", {
          "k": "agereementModal"
        }),
        z: common_vendor.p({
          title: "业务合作协议",
          showCancelButton: true
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-2657f5e1"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/auth/index.vue"]]);
wx.createPage(MiniProgramPage);
