"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const utils_index = require("../../utils/index.js");
const service_modules_auth = require("../../service/modules/auth.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_form2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_form_item + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const customStyle = {
      height: "120rpx"
    };
    const cardInfo = common_vendor.reactive({
      bankPhone: loginStore.currentUserInfo.bankPhone,
      bankCardNumber: loginStore.currentUserInfo.bankCardNumber
    });
    const submitFn = async () => {
      if (!utils_index.isValidPhoneNumber(cardInfo.bankPhone)) {
        return common_vendor.index.showToast({
          icon: "none",
          title: "请检查手机号"
        });
      }
      if (!utils_index.isValidBankCard(cardInfo.bankCardNumber)) {
        return common_vendor.index.showToast({
          icon: "none",
          title: "请检查银行卡号"
        });
      }
      const data = {
        userId: loginStore.currentUserInfo.userId,
        bankPhone: cardInfo.bankPhone,
        bankCardNumber: cardInfo.bankCardNumber
      };
      const res = await service_modules_auth.saveBankInfoApi(data);
      if (res.code === 0) {
        common_vendor.index.showToast({
          icon: "none",
          title: "保存成功"
        });
      }
      await loginStore.getUserInfoByCode();
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => cardInfo.bankPhone = $event),
        b: common_vendor.p({
          maxlength: "11",
          type: "number",
          border: "none",
          clearable: true,
          modelValue: cardInfo.bankPhone
        }),
        c: common_vendor.p({
          label: "手机号",
          prop: "userInfo.name",
          borderBottom: true,
          labelWidth: "90",
          customStyle
        }),
        d: common_vendor.o(($event) => cardInfo.bankCardNumber = $event),
        e: common_vendor.p({
          type: "number",
          border: "none",
          clearable: true,
          modelValue: cardInfo.bankCardNumber
        }),
        f: common_vendor.p({
          label: "银行卡号",
          prop: "userInfo.name",
          borderBottom: true,
          labelWidth: "90",
          customStyle
        }),
        g: common_vendor.sr("form", "4c1b7dde-0"),
        h: common_vendor.p({
          labelPosition: "left",
          model: cardInfo
        }),
        i: common_vendor.o(submitFn)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-4c1b7dde"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/bind-card/index.vue"]]);
wx.createPage(MiniProgramPage);
