"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const service_modules_mine = require("../../service/modules/mine.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const params = common_vendor.reactive({
      ygContent: "",
      yjUserid: loginStore.currentUserInfo.userId
    });
    const sumCount = common_vendor.ref(0);
    function onInput(e) {
      sumCount.value = e.detail.cursor;
    }
    const onSubmit = async () => {
      if (!params.ygContent) {
        return common_vendor.index.showToast({
          title: "请输入意见反馈内容",
          icon: "none",
          duration: 800
        });
      }
      common_vendor.index.showLoading();
      const res = await service_modules_mine.feedbackApi(params);
      common_vendor.index.hideLoading();
      if (res.data) {
        common_vendor.index.showToast({
          title: "提交成功",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o([($event) => params.ygContent = $event.detail.value, onInput]),
        b: params.ygContent,
        c: common_vendor.t(sumCount.value),
        d: common_vendor.o(onSubmit)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-61a77a4e"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/feedback/index.vue"]]);
wx.createPage(MiniProgramPage);
