"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_login = require("../../service/modules/login.js");
const utils_index = require("../../utils/index.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_code2 = common_vendor.resolveComponent("uv-code");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_form_item2 + _easycom_uv_code2 + _easycom_uv_button2 + _easycom_uv_form2)();
}
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_code = () => "../../node-modules/@climblee/uv-ui/components/uv-code/uv-code.js";
const _easycom_uv_button = () => "../../node-modules/@climblee/uv-ui/components/uv-button/uv-button.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_form_item + _easycom_uv_code + _easycom_uv_button + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const labelStyle = {
      fontSize: "32rpx",
      fontWeight: 600,
      color: "#333"
    };
    let validatePassword = (rule, value, callback) => {
      var regA = /^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[!#$%^&*@])[\da-zA-Z!#$%^&*@]{8,16}$/;
      var regB = /(123|234|345|456|567|678|789|012)/;
      if (!value) {
        callback(new Error("密码不能为空"));
      }
      if (!regA.test(value)) {
        callback(new Error("密码必须是8~16位、必须含有大小写字母、数字、特殊符号"));
      } else if (regB.test(value)) {
        callback(new Error("不能有3个连续数字"));
      } else {
        callback();
      }
    };
    var validateCheckPass = (rule, value, callback) => {
      if (value !== formData.p1) {
        callback(new Error("两次输入密码不一致"));
      } else {
        callback();
      }
    };
    const rules = common_vendor.reactive({
      userName: {
        type: "string",
        required: true,
        trigger: ["blur"]
      },
      code: {
        type: "string",
        required: true,
        trigger: ["blur"]
      },
      p1: {
        type: "string",
        required: true,
        trigger: ["blur"],
        validator: validatePassword
      },
      p2: {
        type: "string",
        required: true,
        validator: validateCheckPass,
        trigger: ["blur"]
      }
    });
    const formRef = common_vendor.ref();
    const formData = common_vendor.reactive({
      userName: "",
      p1: "",
      p2: "",
      code: ""
    });
    const code = common_vendor.ref("获取验证码");
    const codeRef = common_vendor.ref();
    const codeDisabled = common_vendor.ref(false);
    function codeChange(text) {
      code.value = text;
    }
    const codeDisabledChange = (flag) => {
      codeDisabled.value = flag;
    };
    let codeDisabledType = common_vendor.computed(() => {
      return formData.userName && !codeDisabled.value;
    });
    const customStyle = {
      height: "64rpx",
      width: "200rpx",
      background: "rgba(110,182,87, .1)",
      borderRadius: "16rpx",
      color: "#6eb657",
      fontWeight: 500,
      lineHeight: "64rpx",
      fontSize: "28rpx"
    };
    async function getCode() {
      if (!utils_index.isValidPhoneNumber(formData.userName)) {
        return common_vendor.index.showToast({
          title: "请检查手机号码格式",
          icon: "none"
        });
      }
      common_vendor.index.showLoading({
        title: "正在获取验证码"
      });
      const res = await service_modules_login.getMobileUpdApi(formData.userName);
      common_vendor.index.hideLoading();
      if (!res.data) {
        common_vendor.index.showToast({
          title: res.msg,
          icon: "none"
        });
      } else {
        common_vendor.index.showToast({
          title: res.msg,
          icon: "none"
        });
      }
      codeRef.value.start();
    }
    const submit = () => {
      if (!utils_index.isValidPhoneNumber(formData.userName)) {
        return common_vendor.index.showToast({
          title: "请检查手机号码格式",
          icon: "none"
        });
      }
      formRef.value.validate().then(async () => {
        const res = await service_modules_login.postUserUpdApi(formData);
        if (res.code === 0) {
          common_vendor.index.showToast({
            icon: "none",
            title: "修改成功"
          });
          setTimeout(() => {
            common_vendor.index.reLaunch({
              url: "/pages/login/index"
            });
          }, 1e3);
        }
      });
    };
    return (_ctx, _cache) => {
      return {
        a: formData.userName,
        b: common_vendor.o(($event) => formData.userName = $event.detail.value),
        c: common_vendor.p({
          label: "手机号",
          prop: "userName",
          borderBottom: true
        }),
        d: formData.code,
        e: common_vendor.o(($event) => formData.code = $event.detail.value),
        f: common_vendor.sr(codeRef, "5815b2fe-3,5815b2fe-2", {
          "k": "codeRef"
        }),
        g: common_vendor.o(codeChange),
        h: common_vendor.o(($event) => codeDisabledChange(true)),
        i: common_vendor.o(($event) => codeDisabledChange(false)),
        j: common_vendor.p({
          changeText: "Xs"
        }),
        k: common_vendor.o(getCode),
        l: common_vendor.p({
          disabled: codeDisabled.value || !common_vendor.unref(codeDisabledType),
          text: code.value,
          ["custom-style"]: customStyle
        }),
        m: common_vendor.p({
          label: "验证码",
          prop: "code",
          borderBottom: true
        }),
        n: formData.p1,
        o: common_vendor.o(($event) => formData.p1 = $event.detail.value),
        p: common_vendor.p({
          label: "密码",
          prop: "p1",
          borderBottom: true
        }),
        q: formData.p2,
        r: common_vendor.o(($event) => formData.p2 = $event.detail.value),
        s: common_vendor.p({
          label: "确认密码",
          prop: "p2",
          borderBottom: true
        }),
        t: common_vendor.sr(formRef, "5815b2fe-0", {
          "k": "formRef"
        }),
        v: common_vendor.p({
          labelPosition: "top",
          labelWidth: "80",
          labelStyle,
          model: formData,
          rules
        }),
        w: common_vendor.o(submit)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5815b2fe"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/forgotPassword/index.vue"]]);
wx.createPage(MiniProgramPage);
