"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_quiz = require("../../service/modules/quiz.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_image2 = common_vendor.resolveComponent("uv-image");
  const _easycom_uv_radio2 = common_vendor.resolveComponent("uv-radio");
  const _easycom_uv_radio_group2 = common_vendor.resolveComponent("uv-radio-group");
  (_easycom_uv_image2 + _easycom_uv_radio2 + _easycom_uv_radio_group2)();
}
const _easycom_uv_image = () => "../../node-modules/@climblee/uv-ui/components/uv-image/uv-image.js";
const _easycom_uv_radio = () => "../../node-modules/@climblee/uv-ui/components/uv-radio/uv-radio.js";
const _easycom_uv_radio_group = () => "../../node-modules/@climblee/uv-ui/components/uv-radio-group/uv-radio-group.js";
if (!Math) {
  (_easycom_uv_image + _easycom_uv_radio + _easycom_uv_radio_group)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const id = common_vendor.ref("");
    common_vendor.onLoad((e) => {
      if (e == null ? void 0 : e.id) {
        id.value = e.id;
        getDetail();
      }
    });
    const quizItems = common_vendor.ref([]);
    const quiz = common_vendor.ref();
    const submitted = common_vendor.ref(false);
    const getDetail = async () => {
      const res = await service_modules_quiz.quizDetailApi({ quizId: id.value });
      if (res.code === 0) {
        if (!res.data.submitted) {
          res.data.items.forEach((item) => item.answered = "");
        }
        submitted.value = res.data.submitted;
        quizItems.value = res.data.items;
        quiz.value = res.data.quiz;
      }
    };
    const getImgUrl = (path) => "https://cnbg.yaoyi.net" + path;
    const preImg = (path) => {
      const url = getImgUrl(path);
      const arr = [url];
      common_vendor.index.previewImage({
        urls: arr
      });
    };
    const submitFn = async () => {
      var _a;
      const flag = (_a = quizItems.value) == null ? void 0 : _a.every((item) => item.answered);
      if (!flag) {
        return common_vendor.index.showToast({
          title: "请检查是否遗漏",
          icon: "none",
          duration: 800
        });
      }
      let finalMark = quizItems.value.reduce((accumulator, item) => {
        if (item.answer === item.answered) {
          return accumulator + item.mark;
        }
        return accumulator + 0;
      }, 0);
      const obj = {
        quizId: quiz.value.quizId,
        title: quiz.value.title,
        itemQty: quiz.value.expand.itemQty,
        totalMark: quiz.value.expand.totalMark,
        passingMark: quiz.value.expand.passingMark,
        finalMark,
        items: quizItems.value
      };
      const res = await service_modules_quiz.quizResultCreateApi({ quizResults: [obj] });
      if (res.code === 0) {
        common_vendor.index.showToast({
          title: "提交成功",
          icon: "none",
          duration: 800
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g;
      return common_vendor.e({
        a: common_vendor.t((_a = quiz.value) == null ? void 0 : _a.title),
        b: common_vendor.f(quizItems.value, (item, index, i0) => {
          return {
            a: common_vendor.t(index + 1),
            b: common_vendor.t(item.label),
            c: common_vendor.f(item.options, (iten, indey, i1) => {
              return common_vendor.e({
                a: (iten == null ? void 0 : iten.type) === "text"
              }, (iten == null ? void 0 : iten.type) === "text" ? {
                b: common_vendor.t(iten.text)
              } : {}, {
                c: (iten == null ? void 0 : iten.type) === "img"
              }, (iten == null ? void 0 : iten.type) === "img" ? {
                d: common_vendor.o(($event) => preImg(iten == null ? void 0 : iten.text), indey),
                e: "d4ef5933-2-" + i0 + "-" + i1 + "," + ("d4ef5933-1-" + i0 + "-" + i1),
                f: common_vendor.p({
                  src: getImgUrl(iten == null ? void 0 : iten.text),
                  width: "210rpx",
                  height: "180rpx"
                })
              } : {}, {
                g: indey,
                h: "d4ef5933-1-" + i0 + "-" + i1 + "," + ("d4ef5933-0-" + i0),
                i: common_vendor.p({
                  customStyle: {
                    margin: "8px"
                  },
                  label: iten.text,
                  name: iten.no
                })
              });
            }),
            d: "d4ef5933-0-" + i0,
            e: common_vendor.o(($event) => item.answered = $event, item.itemId),
            f: common_vendor.p({
              placement: "column",
              disabled: submitted.value,
              modelValue: item.answered
            }),
            g: item.itemId
          };
        }),
        c: !submitted.value
      }, !submitted.value ? {
        d: common_vendor.o(submitFn)
      } : {
        e: common_vendor.t(((_c = (_b = quiz.value) == null ? void 0 : _b.expand) == null ? void 0 : _c.finalMark) >= ((_e = (_d = quiz.value) == null ? void 0 : _d.expand) == null ? void 0 : _e.passingMark) ? "考试通过" : "考试不通过"),
        f: common_vendor.t((_g = (_f = quiz.value) == null ? void 0 : _f.expand) == null ? void 0 : _g.finalMark)
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d4ef5933"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/quizDetail/index.vue"]]);
wx.createPage(MiniProgramPage);
