"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const utils_formatTime = require("../../utils/formatTime.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_datetime_picker2 = common_vendor.resolveComponent("uv-datetime-picker");
  const _component_u_icon = common_vendor.resolveComponent("u-icon");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  (_easycom_uv_icon2 + _easycom_uv_datetime_picker2 + _component_u_icon + _easycom_uv_popup2)();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_datetime_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-datetime-picker/uv-datetime-picker.js";
const _easycom_uv_popup = () => "../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
if (!Math) {
  (_easycom_uv_icon + noData + _easycom_uv_datetime_picker + _easycom_uv_popup)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    class Params {
      constructor() {
        __publicField(this, "taskRuleId", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 20);
      }
    }
    const params = common_vendor.ref(new Params());
    const dataList = common_vendor.ref([]);
    async function getList() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      let res = await service_modules_getTask.getTaskCompletionList(params.value);
      if (res.data) {
        common_vendor.index.hideLoading();
        params.value.total = res.data.total;
        dataList.value = dataList.value.concat(res.data.records);
      }
    }
    getList();
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.value.total)
        return;
      params.value.current++;
      getList();
    });
    const onDetail = (id) => {
      common_vendor.index.navigateTo({
        url: `/pages/task/task-detail/index?id=${id}`
      });
    };
    const popup = common_vendor.ref();
    const reason = common_vendor.ref("");
    const showReason = (item) => {
      var _a;
      console.log("item", item);
      let str = item.approval_info || item.report_one_approval_info || item.report_drug_approval_info || item.taskStatusInfo || ((_a = item == null ? void 0 : item.checkState) == null ? void 0 : _a.checkMsg);
      reason.value = `"${str}"`;
      popup.value.open();
    };
    const popupClose = () => popup.value.close();
    const datetimePicker = common_vendor.ref();
    const dateValue = common_vendor.ref(Number(new Date()));
    const showDatePicker = () => datetimePicker.value.open();
    const dateStr = common_vendor.reactive({
      year: "",
      month: ""
    });
    const dateConfirm = (e) => {
      const date = common_vendor.dayjs(e.value).format("YYYY-MM");
      let arr = date.split("-");
      params.value = new Params();
      params.value.taskRuleId = date;
      dateStr.year = arr[0];
      dateStr.month = arr[1];
      dataList.value = [];
      getList();
    };
    const clearDate = () => {
      dateStr.year = "";
      dateStr.month = "";
      params.value = new Params();
      dataList.value = [];
      getList();
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t(dateStr.year),
        b: common_vendor.t(dateStr.month),
        c: common_vendor.o(showDatePicker),
        d: dateStr.year
      }, dateStr.year ? {
        e: common_vendor.o(clearDate),
        f: common_vendor.p({
          name: "close-circle",
          color: "#333"
        })
      } : {}, {
        g: dataList.value.length
      }, dataList.value.length ? {
        h: common_vendor.f(dataList.value, (item, k0, i0) => {
          return common_vendor.e({
            a: item.realFlag == "1" || item.taskStatus == "4"
          }, item.realFlag == "1" || item.taskStatus == "4" ? {} : {}, {
            b: common_vendor.t(common_vendor.unref(utils_formatTime.formatTime)(item.createTime)),
            c: item.realFlag == "1" || item.taskStatus == "4"
          }, item.realFlag == "1" || item.taskStatus == "4" ? {
            d: common_vendor.o(($event) => showReason(item), item.id)
          } : {}, {
            e: "757dea3a-1-" + i0,
            f: common_vendor.p({
              name: "arrow-right",
              color: item.realFlag == "1" || item.taskStatus == "4" ? "#999999" : "#fff",
              size: "16"
            }),
            g: common_vendor.n(item.realFlag == "1" || item.taskStatus == "4" ? "disables" : ""),
            h: common_vendor.t(item.taskTypeId),
            i: common_vendor.t(item.score),
            j: item.id,
            k: common_vendor.o(($event) => onDetail(item.id), item.id)
          });
        })
      } : {}, {
        i: common_vendor.sr(datetimePicker, "757dea3a-3", {
          "k": "datetimePicker"
        }),
        j: common_vendor.o(dateConfirm),
        k: common_vendor.o(($event) => dateValue.value = $event),
        l: common_vendor.p({
          mode: "year-month",
          modelValue: dateValue.value
        }),
        m: common_vendor.o(popupClose),
        n: common_vendor.p({
          name: "close",
          color: "#000",
          size: "28"
        }),
        o: common_vendor.t(reason.value),
        p: common_vendor.o(popupClose),
        q: common_vendor.sr(popup, "757dea3a-4", {
          "k": "popup"
        }),
        r: common_vendor.p({
          mode: "bottom",
          round: "10"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-757dea3a"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/task-completion-records/index.vue"]]);
wx.createPage(MiniProgramPage);
