"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const constants_rolesType = require("../../constants/rolesType.js");
const service_modules_uploadFile = require("../../service/modules/uploadFile.js");
const service_modules_userInfo = require("../../service/modules/userInfo.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_image2 = common_vendor.resolveComponent("uv-image");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  (_easycom_uv_image2 + _easycom_uv_icon2)();
}
const _easycom_uv_image = () => "../../node-modules/@climblee/uv-ui/components/uv-image/uv-image.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
if (!Math) {
  (_easycom_uv_image + _easycom_uv_icon)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const userInfo = common_vendor.computed(() => loginStore.currentUserInfo);
    const params = common_vendor.reactive({
      userId: userInfo.value.userId,
      userSign: userInfo.value.userSign || "",
      avatar: userInfo.value.userSign || ""
    });
    const getRolesName = (roles) => {
      if (!(roles == null ? void 0 : roles.length))
        return;
      return constants_rolesType.RoleEnum[roles[0]];
    };
    function avatarUpload() {
      common_vendor.index.chooseImage({
        count: 1,
        sizeType: ["original", "compressed"],
        sourceType: ["album"],
        success(res) {
          common_vendor.index.uploadFile({
            url: service_modules_uploadFile.fileUpload(),
            filePath: res.tempFilePaths[0],
            name: "file",
            header: {
              Authorization: `Bearer ${loginStore.accessToken}`
            },
            success: (uploadFileRes) => {
              let { data } = JSON.parse(uploadFileRes.data);
              const url = "https://cnbg.yaoyi.net" + data.url;
              params.avatar = url;
              submitClick();
            },
            fail(e) {
              console.log(e);
            }
          });
        }
      });
    }
    async function submitClick() {
      const res = await service_modules_userInfo.updateUserInfo(params);
      if (res.code === 0) {
        loginStore.getUserInfoByCode();
        common_vendor.index.showToast({
          title: "更新成功",
          icon: "success"
        });
      }
    }
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f;
      return {
        a: common_vendor.p({
          src: (_a = common_vendor.unref(userInfo)) == null ? void 0 : _a.avatar,
          shape: "circle",
          width: "90rpx",
          height: "90rpx"
        }),
        b: common_vendor.p({
          name: "arrow-right",
          size: "18",
          color: "#bbb"
        }),
        c: common_vendor.o(avatarUpload),
        d: common_vendor.t((_b = common_vendor.unref(userInfo)) == null ? void 0 : _b.realname),
        e: common_vendor.t((_c = common_vendor.unref(userInfo)) == null ? void 0 : _c.idCardNumber),
        f: common_vendor.t((_d = common_vendor.unref(userInfo)) == null ? void 0 : _d.phone),
        g: common_vendor.t(getRolesName((_e = common_vendor.unref(userInfo)) == null ? void 0 : _e.roles)),
        h: common_vendor.t((_f = common_vendor.unref(userInfo)) == null ? void 0 : _f.drugEntName),
        i: params.userSign,
        j: common_vendor.o(($event) => params.userSign = $event.detail.value),
        k: common_vendor.o(submitClick)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-0d9464b4"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/user-info/index.vue"]]);
wx.createPage(MiniProgramPage);
