"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
const utils_index = require("../../utils/index.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uni_th2 = common_vendor.resolveComponent("uni-th");
  const _easycom_uni_tr2 = common_vendor.resolveComponent("uni-tr");
  const _easycom_uni_td2 = common_vendor.resolveComponent("uni-td");
  const _easycom_uni_table2 = common_vendor.resolveComponent("uni-table");
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_modal2 = common_vendor.resolveComponent("uv-modal");
  (_easycom_uv_button2 + _easycom_uni_th2 + _easycom_uni_tr2 + _easycom_uni_td2 + _easycom_uni_table2 + _easycom_uv_input2 + _easycom_uv_modal2)();
}
const _easycom_uv_button = () => "../../node-modules/@climblee/uv-ui/components/uv-button/uv-button.js";
const _easycom_uni_th = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-th/uni-th.js";
const _easycom_uni_tr = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-tr/uni-tr.js";
const _easycom_uni_td = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-td/uni-td.js";
const _easycom_uni_table = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-table/uni-table.js";
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_modal = () => "../../node-modules/@climblee/uv-ui/components/uv-modal/uv-modal.js";
if (!Math) {
  (_easycom_uv_button + _easycom_uni_th + _easycom_uni_tr + _easycom_uni_td + _easycom_uni_table + _easycom_uv_input + _easycom_uv_modal)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "detail",
  setup(__props) {
    const id = common_vendor.ref();
    common_vendor.onLoad((e) => {
      id.value = e == null ? void 0 : e.id;
      getDetail();
      getRules();
    });
    const taskDetail = common_vendor.ref();
    async function getDetail() {
      let res = await service_modules_getTask.getScorePackageInfoById(id.value);
      if (res.code === 0) {
        taskDetail.value = res.data;
      }
    }
    const rulesList = common_vendor.ref();
    async function getRules() {
      let res = await service_modules_getTask.getPkgTaskDetailsApi({
        pkgId: id.value
      });
      if (res.code === 0) {
        rulesList.value = res.data;
      }
    }
    const disabled = common_vendor.ref(false);
    async function getTaskClick() {
      common_vendor.index.showLoading();
      const res = await service_modules_getTask.receivePackage(id.value);
      if (res.code === 0) {
        common_vendor.index.hideLoading();
        common_vendor.index.showToast({
          title: "领取成功",
          icon: "none"
        });
        disabled.value = true;
      }
    }
    const customStyle = {
      background: "#6eb657",
      color: "#ffffff"
    };
    const customBtnStyle = {
      background: "#3fa3f1",
      color: "#ffffff",
      marginBottom: "30rpx"
    };
    const exportModal = common_vendor.ref();
    const exportFn = () => {
      exportModal.value.open();
    };
    const emailValue = common_vendor.ref("");
    const exportModalCancel = () => {
      emailValue.value = "";
      exportModal.value.close();
    };
    const exportModalConfirm = async () => {
      if (!utils_index.validateEmail(emailValue.value)) {
        return common_vendor.index.showToast({
          title: "请输入正确的邮箱",
          icon: "none",
          duration: 1200
        });
      }
      if (id.value) {
        const res = await service_modules_getTask.exportZbInfoFormWeiNewApi({
          id: id.value,
          email: emailValue.value
        });
        if (res.code === 1) {
          common_vendor.index.showToast({
            title: res.msg || "导出失败，请联系管理员",
            icon: "none"
          });
        }
        if (res.code === 0) {
          common_vendor.index.showToast({
            title: "报告将发送至您的邮箱，请注意查收",
            icon: "none"
          });
        }
        exportModalCancel();
      }
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q;
      return common_vendor.e({
        a: common_vendor.t((_a = taskDetail.value) == null ? void 0 : _a.packageName),
        b: common_vendor.t((_b = taskDetail.value) == null ? void 0 : _b.userNum),
        c: ((_c = taskDetail.value) == null ? void 0 : _c.packageType1) === "1"
      }, ((_d = taskDetail.value) == null ? void 0 : _d.packageType1) === "1" ? {
        d: common_vendor.t((_e = taskDetail.value) == null ? void 0 : _e.score)
      } : {
        e: common_vendor.t((_f = taskDetail.value) == null ? void 0 : _f.score)
      }, {
        f: ((_g = taskDetail.value) == null ? void 0 : _g.packageType1) != "1"
      }, ((_h = taskDetail.value) == null ? void 0 : _h.packageType1) != "1" ? {
        g: common_vendor.t((_i = taskDetail.value) == null ? void 0 : _i.taskNum)
      } : {}, {
        h: common_vendor.t((_j = taskDetail.value) == null ? void 0 : _j.termDate),
        i: common_vendor.t((_k = taskDetail.value) == null ? void 0 : _k.packageEntName),
        j: common_vendor.t((_l = taskDetail.value) == null ? void 0 : _l.createTime),
        k: common_vendor.o(($event) => exportFn()),
        l: common_vendor.p({
          customStyle: customBtnStyle
        }),
        m: ((_m = taskDetail.value) == null ? void 0 : _m.exportFlag) === "1",
        n: ((_n = rulesList.value) == null ? void 0 : _n.length) > 0
      }, ((_o = rulesList.value) == null ? void 0 : _o.length) > 0 ? {
        o: common_vendor.p({
          align: "center"
        }),
        p: common_vendor.p({
          align: "center"
        }),
        q: common_vendor.p({
          align: "center",
          width: "80"
        }),
        r: common_vendor.p({
          align: "center",
          width: "80"
        }),
        s: common_vendor.f(rulesList.value, (item, index, i0) => {
          return {
            a: common_vendor.t(item.baseId),
            b: "f424ccd5-8-" + i0 + "," + ("f424ccd5-7-" + i0),
            c: common_vendor.t(item.taskTypeName),
            d: "f424ccd5-9-" + i0 + "," + ("f424ccd5-7-" + i0),
            e: common_vendor.t(item.qty),
            f: "f424ccd5-10-" + i0 + "," + ("f424ccd5-7-" + i0),
            g: common_vendor.t(item.count),
            h: "f424ccd5-11-" + i0 + "," + ("f424ccd5-7-" + i0),
            i: index,
            j: "f424ccd5-7-" + i0 + ",f424ccd5-1"
          };
        }),
        t: common_vendor.p({
          align: "center"
        }),
        v: common_vendor.p({
          align: "center"
        }),
        w: common_vendor.p({
          align: "center"
        }),
        x: common_vendor.p({
          align: "center"
        }),
        y: common_vendor.p({
          border: true,
          stripe: true,
          emptyText: "暂无更多数据"
        })
      } : {}, {
        z: (_p = taskDetail.value) == null ? void 0 : _p.receiveFlag
      }, ((_q = taskDetail.value) == null ? void 0 : _q.receiveFlag) ? {
        A: common_vendor.o(getTaskClick),
        B: common_vendor.p({
          shape: "circle",
          disabled: disabled.value,
          text: disabled.value ? "领取成功" : "领取执行包",
          customStyle
        })
      } : {}, {
        C: common_vendor.o(($event) => emailValue.value = $event),
        D: common_vendor.p({
          placeholder: "请输入邮箱",
          border: "surround",
          w: true,
          modelValue: emailValue.value
        }),
        E: common_vendor.o(exportModalCancel),
        F: common_vendor.o(exportModalConfirm),
        G: common_vendor.sr(exportModal, "f424ccd5-13", {
          "k": "exportModal"
        }),
        H: common_vendor.p({
          title: "报告导出",
          showCancelButton: true
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f424ccd5"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-packages/get-task/detail.vue"]]);
wx.createPage(MiniProgramPage);
