"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
const utils_index = require("../../utils/index.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_datetime_picker2 = common_vendor.resolveComponent("uv-datetime-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_datetime_picker2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_datetime_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-datetime-picker/uv-datetime-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + cardItem + noData + _easycom_uv_datetime_picker)();
}
const cardItem = () => "./component/cardItem.js";
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    class Params {
      constructor() {
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 20);
        __publicField(this, "selType", 1);
        __publicField(this, "selDate", "");
        __publicField(this, "packageName", "");
      }
    }
    const params = common_vendor.ref(new Params());
    const resetParams = () => {
      params.value = new Params();
    };
    const dataList = common_vendor.ref([]);
    const allTotal = common_vendor.ref(0);
    async function getList() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      let res = await service_modules_getTask.getPackageList(params.value);
      if (res.data) {
        params.value.total = res.data.total;
        dataList.value = dataList.value.concat(res.data.records);
        if (params.value.selType === 1) {
          allTotal.value = res.data.total;
        }
      }
      common_vendor.index.hideLoading();
    }
    common_vendor.onShow(() => {
      dataList.value = [];
      getList();
    });
    const customStyle = {
      background: "#f6f6f6",
      border: "none",
      height: "60rpx"
    };
    const tabClick = (act) => {
      if (params.value.selType === act)
        return;
      resetParams();
      dataList.value = [];
      params.value.selType = act;
      getList();
    };
    const datetimePicker = common_vendor.ref();
    const dateValue = common_vendor.ref(Number(new Date()));
    const showDatePicker = () => datetimePicker.value.open();
    const dateStr = common_vendor.reactive({
      year: "",
      month: ""
    });
    const clearDate = () => {
      dateStr.year = "";
      dateStr.month = "";
      dateValue.value = Number(new Date());
      params.value.selDate = "";
      params.value.current = 1;
      dataList.value = [];
      getList();
    };
    const dateConfirm = (e) => {
      const date = common_vendor.dayjs(e.value).format("YYYY-MM");
      params.value.selDate = date;
      let arr = date.split("-");
      dateStr.year = arr[0];
      dateStr.month = arr[1];
      params.value.current = 1;
      dataList.value = [];
      getList();
    };
    const searchValChange = utils_index.debounce(() => {
      params.value.current = 1;
      dataList.value = [];
      getList();
    });
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.value.total)
        return;
      params.value.current++;
      getList();
    });
    async function getTaskClick(item) {
      const res = await service_modules_getTask.receivePackage(item.id);
      if (res.code === 0) {
        common_vendor.index.showToast({
          title: "领取成功",
          icon: "none",
          duration: 1e3
        });
        setTimeout(() => {
          params.value.current = 1;
          dataList.value = [];
          getList();
        }, 1e3);
      }
    }
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(common_vendor.unref(searchValChange)),
        b: common_vendor.o(($event) => params.value.packageName = $event),
        c: common_vendor.p({
          placeholder: "请输入内容",
          clearable: true,
          border: "surround",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 32px;color: #909399",
          shape: "circle",
          customStyle,
          modelValue: params.value.packageName
        }),
        d: common_vendor.t(allTotal.value),
        e: common_vendor.n(params.value.selType === 1 ? "active-tab" : ""),
        f: common_vendor.o(($event) => tabClick(1)),
        g: common_vendor.n(params.value.selType === 2 ? "active-tab" : ""),
        h: common_vendor.o(($event) => tabClick(2)),
        i: !dateStr.year || !dateStr.month
      }, !dateStr.year || !dateStr.month ? {
        j: common_vendor.p({
          name: "arrow-down-fill",
          color: "#333"
        }),
        k: common_vendor.o(showDatePicker)
      } : {
        l: common_vendor.t(dateStr.year + "年" + dateStr.month + "月"),
        m: common_vendor.o(showDatePicker),
        n: common_vendor.o(clearDate),
        o: common_vendor.p({
          name: "close-circle",
          color: "#333"
        })
      }, {
        p: params.value.total != 0
      }, params.value.total != 0 ? {
        q: common_vendor.f(dataList.value, (item, k0, i0) => {
          return {
            a: item.id,
            b: common_vendor.o(($event) => getTaskClick(item), item.id),
            c: "d1e8a2a5-3-" + i0,
            d: common_vendor.p({
              item,
              type: "1"
            })
          };
        }),
        r: params.value.selType === 1,
        s: common_vendor.f(dataList.value, (item, k0, i0) => {
          return {
            a: item.id,
            b: "d1e8a2a5-4-" + i0,
            c: common_vendor.p({
              item,
              type: "2"
            })
          };
        }),
        t: params.value.selType === 2
      } : {}, {
        v: common_vendor.sr(datetimePicker, "d1e8a2a5-6", {
          "k": "datetimePicker"
        }),
        w: common_vendor.o(dateConfirm),
        x: common_vendor.o(($event) => dateValue.value = $event),
        y: common_vendor.p({
          mode: "year-month",
          modelValue: dateValue.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d1e8a2a5"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-packages/get-task/index.vue"]]);
wx.createPage(MiniProgramPage);
