"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
const service_modules_quiz = require("../../service/modules/quiz.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_notice_bar2 = common_vendor.resolveComponent("uv-notice-bar");
  const _easycom_uv_line_progress2 = common_vendor.resolveComponent("uv-line-progress");
  const _easycom_uv_datetime_picker2 = common_vendor.resolveComponent("uv-datetime-picker");
  (_easycom_uv_icon2 + _easycom_uv_notice_bar2 + _easycom_uv_line_progress2 + _easycom_uv_datetime_picker2)();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_notice_bar = () => "../../node-modules/@climblee/uv-ui/components/uv-notice-bar/uv-notice-bar.js";
const _easycom_uv_line_progress = () => "../../node-modules/@climblee/uv-ui/components/uv-line-progress/uv-line-progress.js";
const _easycom_uv_datetime_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-datetime-picker/uv-datetime-picker.js";
if (!Math) {
  (_easycom_uv_icon + _easycom_uv_notice_bar + _easycom_uv_line_progress + noData + _easycom_uv_datetime_picker)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    class Params {
      constructor() {
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 20);
        __publicField(this, "selType", 2);
        __publicField(this, "selDate", "");
        __publicField(this, "packageName", "");
        __publicField(this, "activeId", 1);
      }
    }
    const params = common_vendor.ref(new Params());
    const resetParams = () => {
      params.value = new Params();
    };
    const dataList = common_vendor.ref([]);
    async function getList() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      let res = await service_modules_getTask.getPackageList(params.value);
      if (res.data) {
        common_vendor.index.hideLoading();
        params.value.total = res.data.total;
        dataList.value = dataList.value.concat(res.data.records);
      }
    }
    const type = common_vendor.ref();
    common_vendor.onLoad((e) => {
      if (e == null ? void 0 : e.activeId) {
        params.value.activeId = Number(e == null ? void 0 : e.activeId);
      }
      type.value = e == null ? void 0 : e.type;
      dataList.value = [];
      getQuizPltTextResultGroupingFn();
      getList();
    });
    const passList = common_vendor.ref([]);
    const getQuizPltTextResultGroupingFn = async () => {
      var _a;
      const res = await service_modules_quiz.getQuizPltTextResultGroupingApi();
      passList.value = (_a = res.data) == null ? void 0 : _a.passed;
    };
    const showBtn = (item) => {
      const pkgQuizIds = (item == null ? void 0 : item.quizIds) || [];
      let flag = pkgQuizIds.every((iten) => {
        var _a;
        return (_a = passList.value) == null ? void 0 : _a.includes(iten);
      });
      return !flag;
    };
    const toQuizDetail = (item) => {
      const pkgQuizIds = (item == null ? void 0 : item.quizIds) || [];
      if (pkgQuizIds[0]) {
        common_vendor.index.navigateTo({
          url: `/pages-sub-mine/quizDetail/index?id=${pkgQuizIds[0]}`
        });
      }
    };
    const tabClick = (act) => {
      if (params.value.activeId === act)
        return;
      resetParams();
      dataList.value = [];
      params.value.activeId = act;
      getList();
    };
    const datetimePicker = common_vendor.ref();
    const dateValue = common_vendor.ref(Number(new Date()));
    const showDatePicker = () => datetimePicker.value.open();
    const dateStr = common_vendor.reactive({
      year: "",
      month: ""
    });
    const clearDate = () => {
      dateStr.year = "";
      dateStr.month = "";
      dateValue.value = Number(new Date());
      params.value.selDate = "";
      params.value.current = 1;
      dataList.value = [];
      getList();
    };
    const dateConfirm = (e) => {
      const date = common_vendor.dayjs(e.value).format("YYYY-MM");
      params.value.selDate = date;
      let arr = date.split("-");
      dateStr.year = arr[0];
      dateStr.month = arr[1];
      params.value.current = 1;
      dataList.value = [];
      getList();
    };
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.value.total)
        return;
      params.value.current++;
      getList();
    });
    function getDetail(item) {
      if (type.value !== "1") {
        common_vendor.index.navigateTo({
          url: `/pages-sub-packages/get-task/detail?id=${item.id}`
        });
      } else {
        if (item.status === "3") {
          return common_vendor.index.showToast({
            title: "当前无可查询的任务",
            icon: "none"
          });
        }
        common_vendor.index.navigateTo({
          url: `/pages-sub-packages/task-list/index?id=${item.id}`
        });
      }
    }
    function getText(item) {
      let str = "";
      item = item + "";
      switch (item) {
        case "1":
          str = "积分值";
          break;
        case "2":
          str = "任务量";
          break;
        case "3":
          str = "通用";
          break;
        case "4":
          str = "特定";
          break;
        case "6":
          str = "积分值";
          break;
      }
      return str;
    }
    const formatTime = (time) => common_vendor.dayjs(time).format("YYYY-MM-DD");
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.n(params.value.activeId === 1 ? "active-tab" : ""),
        b: common_vendor.o(($event) => tabClick(1)),
        c: common_vendor.n(params.value.activeId === 2 ? "active-tab" : ""),
        d: common_vendor.o(($event) => tabClick(2)),
        e: common_vendor.n(params.value.activeId === 3 ? "active-tab" : ""),
        f: common_vendor.o(($event) => tabClick(3)),
        g: common_vendor.n(params.value.activeId === 4 ? "active-tab" : ""),
        h: common_vendor.o(($event) => tabClick(4)),
        i: !dateStr.year || !dateStr.month
      }, !dateStr.year || !dateStr.month ? {
        j: common_vendor.p({
          name: "arrow-down-fill",
          color: "#333"
        }),
        k: common_vendor.o(showDatePicker)
      } : {
        l: common_vendor.t(dateStr.year + "年" + dateStr.month + "月"),
        m: common_vendor.o(showDatePicker),
        n: common_vendor.o(clearDate),
        o: common_vendor.p({
          name: "close-circle",
          color: "#333"
        })
      }, {
        p: params.value.total != 0
      }, params.value.total != 0 ? {
        q: common_vendor.p({
          text: "任务包即将完成，请不要做积分较高的任务，避免浪费",
          bgColor: "#6eb657",
          color: "#fff"
        }),
        r: common_vendor.f(dataList.value, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.scorePackageName),
            b: item.taskAddFlag === "0"
          }, item.taskAddFlag === "0" ? {
            c: common_vendor.t(getText(item.packageType1))
          } : common_vendor.e({
            d: item.packageType1 === "1" || item.packageType1 === "6"
          }, item.packageType1 === "1" || item.packageType1 === "6" ? {
            e: common_vendor.t(getText(item.packageType1))
          } : {}, {
            f: item.packageType1 === "2"
          }, item.packageType1 === "2" ? {
            g: common_vendor.t(getText(item.packageType1))
          } : {}, {
            h: item.packageType1 === "3"
          }, item.packageType1 === "3" ? {
            i: common_vendor.t(getText(item.packageType1))
          } : {}, {
            j: item.packageType1 === "4"
          }, item.packageType1 === "4" ? {
            k: common_vendor.t(getText(item.packageType1))
          } : {}), {
            l: item.enableType == "0"
          }, item.enableType == "0" ? common_vendor.e({
            m: item.settleNoteStatus == "1"
          }, item.settleNoteStatus == "1" ? {
            n: common_vendor.t(item.notifyTime)
          } : common_vendor.e({
            o: item.status === "1"
          }, item.status === "1" ? {} : {}, {
            p: item.status === "2"
          }, item.status === "2" ? {} : {}, {
            q: item.status === "3"
          }, item.status === "3" ? {} : {})) : item.enableType == "1" ? {} : item.enableType == "2" ? {} : {}, {
            r: item.enableType == "1",
            s: item.enableType == "2",
            t: common_vendor.t(item.packageEntName),
            v: common_vendor.t(formatTime(item.createTime)),
            w: common_vendor.t(formatTime(item.receiveTime)),
            x: item.taskAddFlag === "0"
          }, item.taskAddFlag === "0" ? {
            y: "d4ec91a4-3-" + i0,
            z: common_vendor.p({
              round: true,
              percentage: 100,
              activeColor: "#999",
              inactiveColor: "#f8f8f0"
            })
          } : {
            A: "d4ec91a4-4-" + i0,
            B: common_vendor.p({
              round: true,
              percentage: item.speedProgress,
              activeColor: "#6eb657",
              inactiveColor: "#f8f8f0"
            })
          }, {
            C: item.packageType1 === "1" || item.packageType1 === "6"
          }, item.packageType1 === "1" || item.packageType1 === "6" ? {
            D: common_vendor.t(item.finishScore),
            E: common_vendor.t(item.score),
            F: item.taskAddFlag === "0" ? 1 : ""
          } : {
            G: common_vendor.t(item.taskAddFlag === "1" ? item.taskFinishNum : item.taskNum2),
            H: common_vendor.t(item.taskNum2),
            I: item.taskAddFlag === "0" ? 1 : ""
          }, {
            J: showBtn(item)
          }, showBtn(item) ? {
            K: common_vendor.o(($event) => toQuizDetail(item), item.statusId)
          } : {}, {
            L: item.statusId,
            M: common_vendor.o(($event) => getDetail(item), item.statusId),
            N: item.taskAddFlag === "0" ? 1 : ""
          });
        })
      } : {}, {
        s: common_vendor.sr(datetimePicker, "d4ec91a4-6", {
          "k": "datetimePicker"
        }),
        t: common_vendor.o(dateConfirm),
        v: common_vendor.o(($event) => dateValue.value = $event),
        w: common_vendor.p({
          mode: "year-month",
          modelValue: dateValue.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d4ec91a4"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-packages/task-history/index.vue"]]);
wx.createPage(MiniProgramPage);
