"use strict";
const common_vendor = require("../../common/vendor.js");
const store_review = require("../../store/review.js");
const service_modules_assignPoints = require("../../service/modules/assignPoints.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_form2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_form_item + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "detail",
  setup(__props) {
    const reviewStore = store_review.useReview();
    const currInfo = common_vendor.ref();
    common_vendor.onLoad((e) => {
      const str = reviewStore.assignPointsInfo;
      if (str) {
        currInfo.value = JSON.parse(reviewStore.assignPointsInfo);
        initForm();
      }
    });
    const labelStyle = {
      fontWeight: 400,
      fontSize: "30rpx",
      color: "#000"
    };
    const form = common_vendor.reactive({
      scorePackageName: "",
      score: "",
      belongDate: "",
      userListLabel: "",
      scorePackageStatusName: "",
      ysh: 0,
      yshtt: 0,
      shtg: 0,
      shtgtt: 0,
      relationScoreId: "",
      packageUserScopeName: "",
      typeidName: ""
    });
    const plist = {
      "p-1": "学术会议服务",
      "p-2": "学术拜访服务",
      "p-3": "市场信息服务",
      "p-4": "产品推广",
      "p-5": "学术信息交流",
      "p-6": "医药研发服务",
      "p-7": "",
      "p-17": "专项服务",
      "p-18": "商业公司客户管理",
      "p-19": "代理商客户管理"
    };
    const taskTypeList = common_vendor.ref([]);
    const initForm = async () => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      const res = await service_modules_assignPoints.getTypeidPersonalApi();
      const resA = await service_modules_getDict.getDictByNameApi("score_package_status");
      form.scorePackageName = currInfo.value.scorePackageName;
      form.score = currInfo.value.score;
      form.belongDate = currInfo.value.belongDate;
      form.userListLabel = (_a = currInfo.value) == null ? void 0 : _a.userList[0];
      const currA = resA.data.find((item) => item.value == currInfo.value.scorePackageStatus);
      if (currA) {
        form.scorePackageStatusName = currA.label;
      }
      form.ysh = (_b = currInfo.value) == null ? void 0 : _b.ysh;
      form.yshtt = (_c = currInfo.value) == null ? void 0 : _c.yshtt;
      form.shtg = (_d = currInfo.value) == null ? void 0 : _d.shtg;
      form.shtgtt = (_e = currInfo.value) == null ? void 0 : _e.shtgtt;
      form.relationScoreId = (_f = currInfo.value) == null ? void 0 : _f.relationScoreId;
      form.packageUserScopeName = (_g = currInfo.value) == null ? void 0 : _g.packageUserScopeName;
      const currB = res.data.find((item) => item.value == currInfo.value.typeid);
      if (currB) {
        form.typeidName = currB.label;
      }
      const resC = await service_modules_assignPoints.selectByScorePackageIdById({ id: (_h = currInfo.value) == null ? void 0 : _h.id });
      resC.data.forEach((item) => {
        item.code = plist[item.code];
      });
      taskTypeList.value = resC.data;
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => form.scorePackageName = $event),
        b: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          inputAlign: "right",
          readonly: true,
          modelValue: form.scorePackageName
        }),
        c: common_vendor.p({
          label: "执行包名称",
          prop: "scorePackageName",
          borderBottom: true,
          required: true
        }),
        d: common_vendor.o(($event) => form.score = $event),
        e: common_vendor.p({
          inputAlign: "right",
          readonly: true,
          border: "none",
          modelValue: form.score
        }),
        f: common_vendor.p({
          label: "服务总值",
          prop: "score",
          borderBottom: true,
          required: true
        }),
        g: common_vendor.o(($event) => form.belongDate = $event),
        h: common_vendor.p({
          inputAlign: "right",
          readonly: true,
          border: "none",
          modelValue: form.belongDate
        }),
        i: common_vendor.p({
          label: "发布日期",
          prop: "belongDate",
          borderBottom: true,
          required: true
        }),
        j: common_vendor.o(($event) => form.userListLabel = $event),
        k: common_vendor.p({
          inputAlign: "right",
          readonly: true,
          border: "none",
          modelValue: form.userListLabel
        }),
        l: common_vendor.p({
          label: "承接对象",
          prop: "belongDate",
          borderBottom: true,
          required: true
        }),
        m: common_vendor.o(($event) => form.scorePackageStatusName = $event),
        n: common_vendor.p({
          inputAlign: "right",
          readonly: true,
          border: "none",
          modelValue: form.scorePackageStatusName
        }),
        o: common_vendor.p({
          label: "执行包状态",
          prop: "scorePackageStatusName",
          borderBottom: true,
          required: true
        }),
        p: common_vendor.o(($event) => form.ysh = $event),
        q: common_vendor.p({
          readonly: true,
          inputAlign: "right",
          border: "none",
          modelValue: form.ysh
        }),
        r: common_vendor.p({
          label: "完成服务分值",
          prop: "ysh",
          borderBottom: true,
          required: true
        }),
        s: common_vendor.o(($event) => form.yshtt = $event),
        t: common_vendor.p({
          readonly: true,
          inputAlign: "right",
          border: "none",
          modelValue: form.yshtt
        }),
        v: common_vendor.p({
          label: "完成百分比（%）",
          prop: "yshtt",
          borderBottom: true,
          required: true
        }),
        w: common_vendor.o(($event) => form.shtg = $event),
        x: common_vendor.p({
          readonly: true,
          inputAlign: "right",
          border: "none",
          modelValue: form.shtg
        }),
        y: common_vendor.p({
          label: "审核通过服务分值",
          prop: "shtg",
          borderBottom: true,
          required: true
        }),
        z: common_vendor.o(($event) => form.shtgtt = $event),
        A: common_vendor.p({
          readonly: true,
          inputAlign: "right",
          border: "none",
          modelValue: form.shtgtt
        }),
        B: common_vendor.p({
          label: "审核通过百分比(%)",
          prop: "shtgtt",
          borderBottom: true,
          required: true
        }),
        C: common_vendor.o(($event) => form.relationScoreId = $event),
        D: common_vendor.p({
          inputAlign: "right",
          readonly: true,
          border: "none",
          modelValue: form.relationScoreId
        }),
        E: common_vendor.p({
          label: "关联执行包名称",
          prop: "relationScoreId",
          borderBottom: true,
          required: true
        }),
        F: common_vendor.o(($event) => form.packageUserScopeName = $event),
        G: common_vendor.p({
          inputAlign: "right",
          readonly: true,
          border: "none",
          modelValue: form.packageUserScopeName
        }),
        H: common_vendor.p({
          label: "承接对象范围",
          prop: "packageUserScopeName",
          borderBottom: true,
          required: true
        }),
        I: common_vendor.o(($event) => form.typeidName = $event),
        J: common_vendor.p({
          inputAlign: "right",
          readonly: true,
          border: "none",
          modelValue: form.typeidName
        }),
        K: common_vendor.p({
          label: "承接对象范围",
          prop: "typeidName",
          borderBottom: true,
          required: true
        }),
        L: common_vendor.sr("formRef", "e27a09e8-0"),
        M: common_vendor.p({
          labelPosition: "left",
          model: form,
          labelWidth: "140",
          labelStyle
        }),
        N: common_vendor.f(taskTypeList.value, (item, index, i0) => {
          return {
            a: common_vendor.t(item.code),
            b: common_vendor.t(item.label),
            c: index
          };
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e27a09e8"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/assignPointsAdd/detail.vue"]]);
wx.createPage(MiniProgramPage);
