"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uni_th2 = common_vendor.resolveComponent("uni-th");
  const _easycom_uni_tr2 = common_vendor.resolveComponent("uni-tr");
  const _easycom_uni_td2 = common_vendor.resolveComponent("uni-td");
  const _easycom_uni_table2 = common_vendor.resolveComponent("uni-table");
  (_easycom_uni_th2 + _easycom_uni_tr2 + _easycom_uni_td2 + _easycom_uni_table2)();
}
const _easycom_uni_th = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-th/uni-th.js";
const _easycom_uni_tr = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-tr/uni-tr.js";
const _easycom_uni_td = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-td/uni-td.js";
const _easycom_uni_table = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-table/uni-table.js";
if (!Math) {
  (_easycom_uni_th + _easycom_uni_tr + _easycom_uni_td + _easycom_uni_table)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "TableData",
  setup(__props, { expose }) {
    const tableData = common_vendor.ref([]);
    const totalQty = common_vendor.ref(0);
    const totalsubtotal = common_vendor.ref(0);
    const change = (detail, index) => {
      tableData.value[index].subtotal = tableData.value[index].qty * tableData.value[index].score;
      totalQty.value = tableData.value.reduce((sum, row) => Number(sum) + Number(row.qty), 0);
      totalsubtotal.value = tableData.value.reduce((sum, row) => Number(sum) + Number(row.subtotal), 0);
    };
    const setData = (data, planDetails, planScore) => {
      totalQty.value = planDetails.qty;
      totalsubtotal.value = planDetails.total;
      tableData.value = data;
      let arr = tableData.value.map((item) => item.baseId);
      arr = [...new Set(arr)];
      for (let currBaseId of arr) {
        const allSubtotal = tableData.value.reduce((accumulator, currentValue) => {
          if (currentValue.baseId === currBaseId) {
            return accumulator + currentValue.subtotal;
          }
          return accumulator;
        }, 0);
        const percentage = calculatePercentage(allSubtotal, planScore);
        tableData.value.forEach((item) => {
          if (item.baseId === currBaseId) {
            item.percentage = percentage;
          }
        });
      }
    };
    const getData = () => {
      return tableData.value;
    };
    const calculatePercentage = (part, total) => {
      if (total === 0)
        return 0;
      return Number((part / total * 100).toFixed(2));
    };
    const showInfo = (item, index) => {
      if (index === 0) {
        return item.baseId;
      }
      if (tableData.value[index - 1].baseId === item.baseId) {
        return "";
      } else {
        return item.baseId;
      }
    };
    const showPercentage = (item, index) => {
      if (index === 0) {
        return item.percentage;
      }
      if (tableData.value[index - 1].baseId === item.baseId) {
        return "";
      } else {
        return item.percentage;
      }
    };
    expose({ setData, getData });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          align: "center",
          width: "50"
        }),
        b: common_vendor.p({
          align: "center"
        }),
        c: common_vendor.p({
          align: "center",
          width: "50"
        }),
        d: common_vendor.p({
          align: "center"
        }),
        e: common_vendor.p({
          align: "center",
          width: "50"
        }),
        f: common_vendor.p({
          align: "center",
          width: "50"
        }),
        g: common_vendor.p({
          align: "center",
          width: "80"
        }),
        h: common_vendor.f(tableData.value, (item, index, i0) => {
          return {
            a: common_vendor.t(index + 1),
            b: "cdfb62f3-10-" + i0 + "," + ("cdfb62f3-9-" + i0),
            c: common_vendor.t(showInfo(item, index)),
            d: "cdfb62f3-11-" + i0 + "," + ("cdfb62f3-9-" + i0),
            e: common_vendor.t(showPercentage(item, index)),
            f: item.score != 0 && (item.percentage < 25 || item.percentage > 50) ? 1 : "",
            g: "cdfb62f3-12-" + i0 + "," + ("cdfb62f3-9-" + i0),
            h: common_vendor.t(item.taskTypeName),
            i: "cdfb62f3-13-" + i0 + "," + ("cdfb62f3-9-" + i0),
            j: common_vendor.t(item.score),
            k: "cdfb62f3-14-" + i0 + "," + ("cdfb62f3-9-" + i0),
            l: common_vendor.o((e) => change(e, index), item == null ? void 0 : item.taskTypeId),
            m: item.qty,
            n: common_vendor.o(($event) => item.qty = $event.detail.value, item == null ? void 0 : item.taskTypeId),
            o: "cdfb62f3-15-" + i0 + "," + ("cdfb62f3-9-" + i0),
            p: common_vendor.t(item.subtotal),
            q: "cdfb62f3-16-" + i0 + "," + ("cdfb62f3-9-" + i0),
            r: item == null ? void 0 : item.taskTypeId,
            s: "cdfb62f3-9-" + i0 + ",cdfb62f3-0"
          };
        }),
        i: common_vendor.p({
          index: true
        }),
        j: common_vendor.t(totalQty.value),
        k: common_vendor.t(totalsubtotal.value),
        l: common_vendor.p({
          border: true,
          stripe: true,
          emptyText: "暂无更多数据"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-cdfb62f3"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/serviceDeliveryAdd/components/TableData.vue"]]);
wx.createComponent(Component);
