"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_serviceReviewed = require("../../service/modules/serviceReviewed.js");
const utils_abbreviationsProvinces = require("../../utils/abbreviationsProvinces.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  const _easycom_uv_datetime_picker2 = common_vendor.resolveComponent("uv-datetime-picker");
  const _easycom_uv_action_sheet2 = common_vendor.resolveComponent("uv-action-sheet");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_icon2 + _easycom_uv_popup2 + _easycom_uv_datetime_picker2 + _easycom_uv_action_sheet2 + _easycom_uv_picker2)();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_popup = () => "../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
const _easycom_uv_datetime_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-datetime-picker/uv-datetime-picker.js";
const _easycom_uv_action_sheet = () => "../../node-modules/@climblee/uv-ui/components/uv-action-sheet/uv-action-sheet.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_icon + noData + _easycom_uv_popup + _easycom_uv_datetime_picker + _easycom_uv_action_sheet + _easycom_uv_picker)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const params = common_vendor.reactive({
      currentPage: 1,
      pageSize: 20,
      total: 0
    });
    const hasInfo = common_vendor.ref(true);
    const dataList = common_vendor.ref([]);
    const dict = common_vendor.reactive({
      taskTypeAvailArr: [],
      deptListArr: [],
      userListArr: [],
      mahNameArr: [],
      drugListArr: [],
      currDrugList: [],
      relPkgNameArr: []
    });
    const showRef = common_vendor.ref(false);
    const popupChange = (e) => {
      showRef.value = e.show;
    };
    const getDictFn = () => {
      service_modules_serviceReviewed.getTaskTypeAvailApi().then((res) => dict.taskTypeAvailArr = res.data);
      service_modules_serviceReviewed.getDeptv2Avail().then((res) => dict.deptListArr = res.data);
      service_modules_serviceReviewed.getUserV2Avail().then((res) => dict.userListArr = res.data);
      service_modules_getDict.getDictByNameApi("mah_name").then((res) => dict.mahNameArr = res.data);
      service_modules_serviceReviewed.getDrug2Avail().then((res) => dict.drugListArr = res.data);
      service_modules_serviceReviewed.getPkgV2Api().then((res) => {
        let arr = [];
        let data = res.data;
        for (let key in data) {
          let obj = {
            label: key,
            value: data[key]
          };
          arr.push(obj);
        }
        dict.relPkgNameArr = arr;
      });
    };
    const getDatalist = async () => {
      const obj = Object.assign({
        current: params.currentPage,
        size: params.pageSize,
        taskStatus: 3,
        ...searchParams.value
      });
      common_vendor.index.showLoading({
        title: "正在获取数据"
      });
      const res = await service_modules_serviceReviewed.getTaskV2PageCheckedApi(obj);
      if (res.code === 0) {
        params.total = res.data.total;
        dataList.value = dataList.value.concat(res.data.records);
        hasInfo.value = !!dataList.value.length;
        common_vendor.index.hideLoading();
      }
      common_vendor.index.hideLoading();
    };
    const onDetail = (row) => {
      console.log("rwo", row);
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/taskAuditDetail/index?id=${row.taskId}&type=1&show=false`
      });
    };
    const getTaskName = (row) => {
      const taskTypeId = row.taskTypeId;
      const curr = dict.taskTypeAvailArr.find((iten) => iten.id === taskTypeId);
      return curr ? curr.name : "";
    };
    const hisList = common_vendor.ref([]);
    const popupRef = common_vendor.ref();
    const getDetail = async (item) => {
      hisList.value = [];
      const res = await service_modules_serviceReviewed.getTaskV2CheckHisApi({ taskId: item.taskId });
      if (res.code === 0) {
        hisList.value = res.data;
        popupRef.value.open();
      }
    };
    class SearchParams {
      constructor() {
        __publicField(this, "year", "");
        __publicField(this, "quarter", "");
        __publicField(this, "createTime", "");
        __publicField(this, "taskTypeId", "");
        __publicField(this, "vendorId", "");
        __publicField(this, "salesId", "");
        __publicField(this, "mahName", "");
        __publicField(this, "skuId", "");
        __publicField(this, "provAbbr", "");
        __publicField(this, "pkgIds", "");
      }
    }
    const searchParams = common_vendor.ref(new SearchParams());
    const clearSearch = () => {
      searchParams.value = new SearchParams();
      const lastYear = common_vendor.dayjs().subtract(1, "year").format("YYYY");
      searchParams.value.year = lastYear;
      init();
    };
    const currType = common_vendor.ref("");
    const datetimeRef = common_vendor.ref();
    const datetimePickerMode = common_vendor.ref("");
    const list = common_vendor.ref([]);
    let quarterList = [
      { name: "第一季度", value: "1" },
      { name: "第二季度", value: "2" },
      { name: "第三季度", value: "3" },
      { name: "第四季度", value: "4" }
    ];
    const actionSheetRef = common_vendor.ref();
    const pickerRef = common_vendor.ref();
    const pickerColumns = common_vendor.ref([]);
    const pickerLabel = common_vendor.ref("");
    const searchClick = (type) => {
      currType.value = type;
      switch (type) {
        case "year":
          datetimePickerMode.value = "year";
          datetimeRef.value.open();
          break;
        case "quarter":
          list.value = quarterList;
          actionSheetRef.value.open();
          break;
        case "createTime":
          datetimePickerMode.value = "date";
          datetimeRef.value.open();
          break;
        case "taskTypeId":
          pickerColumns.value = dict.taskTypeAvailArr;
          pickerLabel.value = "name";
          pickerRef.value.open();
          break;
        case "vendorId":
          pickerColumns.value = dict.deptListArr;
          pickerLabel.value = "name";
          pickerRef.value.open();
          break;
        case "salesId":
          pickerColumns.value = dict.userListArr;
          pickerLabel.value = "realName";
          pickerRef.value.open();
          break;
        case "mahName":
          pickerColumns.value = dict.mahNameArr;
          pickerLabel.value = "label";
          pickerRef.value.open();
          break;
        case "skuId":
          const name = searchParams.value.mahName;
          if (!name) {
            return common_vendor.index.showToast({
              title: "请先选择生产企业",
              icon: "none"
            });
          }
          const currList = dict.drugListArr[name];
          dict.currDrugList = currList;
          pickerColumns.value = dict.currDrugList;
          pickerLabel.value = "drugName";
          pickerRef.value.open();
          break;
        case "provAbbr":
          pickerColumns.value = utils_abbreviationsProvinces.provinces;
          pickerRef.value.open();
          break;
        case "pkgIds":
          pickerColumns.value = dict.relPkgNameArr;
          pickerLabel.value = "label";
          pickerRef.value.open();
          break;
      }
    };
    const confirm = (e) => {
      var _a, _b, _c, _d, _e;
      switch (currType.value) {
        case "year":
          searchParams.value.year = common_vendor.dayjs(e.value).format("YYYY");
          break;
        case "quarter":
          searchParams.value.quarter = e.value;
          break;
        case "createTime":
          searchParams.value.createTime = common_vendor.dayjs(e.value).format("YYYY-MM-DD");
          break;
        case "taskTypeId":
          searchParams.value.taskTypeId = (_a = e == null ? void 0 : e.value[0]) == null ? void 0 : _a.id;
          break;
        case "vendorId":
          searchParams.value.vendorId = (_b = e == null ? void 0 : e.value[0]) == null ? void 0 : _b.entId;
          break;
        case "salesId":
          searchParams.value.salesId = (_c = e == null ? void 0 : e.value[0]) == null ? void 0 : _c.userId;
          break;
        case "mahName":
          searchParams.value.mahName = (_d = e == null ? void 0 : e.value[0]) == null ? void 0 : _d.value;
          break;
        case "skuId":
          searchParams.value.skuId = (_e = e == null ? void 0 : e.value[0]) == null ? void 0 : _e.id;
          break;
        case "provAbbr":
          searchParams.value.provAbbr = e == null ? void 0 : e.value[0];
          break;
        case "pkgIds":
          searchParams.value.pkgIds = e == null ? void 0 : e.value[0];
          break;
      }
      init();
    };
    const init = () => {
      params.currentPage = 1;
      params.total = 0;
      dataList.value = [];
      getDatalist();
    };
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.total)
        return;
      params.currentPage++;
      getDatalist();
    });
    common_vendor.onMounted(async () => {
      const lastYear = common_vendor.dayjs().subtract(1, "year").format("YYYY");
      searchParams.value.year = lastYear;
      await getDictFn();
      getDatalist();
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.year ? "#6eb657" : "#000",
          size: "12"
        }),
        b: searchParams.value.year ? 1 : "",
        c: common_vendor.o(($event) => searchClick("year")),
        d: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.quarter ? "#6eb657" : "#000",
          size: "12"
        }),
        e: searchParams.value.quarter ? 1 : "",
        f: common_vendor.o(($event) => searchClick("quarter")),
        g: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.createTime ? "#6eb657" : "#000",
          size: "12"
        }),
        h: searchParams.value.createTime ? 1 : "",
        i: common_vendor.o(($event) => searchClick("createTime")),
        j: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.taskTypeId ? "#6eb657" : "#000",
          size: "12"
        }),
        k: searchParams.value.taskTypeId ? 1 : "",
        l: common_vendor.o(($event) => searchClick("taskTypeId")),
        m: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.vendorId ? "#6eb657" : "#000",
          size: "12"
        }),
        n: searchParams.value.vendorId ? 1 : "",
        o: common_vendor.o(($event) => searchClick("vendorId")),
        p: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.salesId ? "#6eb657" : "#000",
          size: "12"
        }),
        q: searchParams.value.salesId ? 1 : "",
        r: common_vendor.o(($event) => searchClick("salesId")),
        s: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.mahName ? "#6eb657" : "#000",
          size: "12"
        }),
        t: searchParams.value.mahName ? 1 : "",
        v: common_vendor.o(($event) => searchClick("mahName")),
        w: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.skuId ? "#6eb657" : "#000",
          size: "12"
        }),
        x: searchParams.value.skuId ? 1 : "",
        y: common_vendor.o(($event) => searchClick("skuId")),
        z: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.provAbbr ? "#6eb657" : "#000",
          size: "12"
        }),
        A: searchParams.value.provAbbr ? 1 : "",
        B: common_vendor.o(($event) => searchClick("provAbbr")),
        C: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.pkgIds ? "#6eb657" : "#000",
          size: "12"
        }),
        D: searchParams.value.pkgIds ? 1 : "",
        E: common_vendor.o(($event) => searchClick("pkgIds")),
        F: common_vendor.p({
          name: "close-circle",
          color: "#000",
          size: "24"
        }),
        G: common_vendor.o(clearSearch),
        H: hasInfo.value
      }, hasInfo.value ? {
        I: common_vendor.f(dataList.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.createTime),
            b: common_vendor.t(item.taskStatus === "2" ? "待服务商审核" : item.taskStatus === "3" ? "审核通过" : item.taskStatus === "4" ? "审核拒绝" : ""),
            c: common_vendor.t(getTaskName(item)),
            d: common_vendor.t(item.taskScore),
            e: common_vendor.t(item.taskNumber),
            f: "6c3ab86d-11-" + i0,
            g: common_vendor.o(($event) => getDetail(item), item.id),
            h: item.id,
            i: common_vendor.o(($event) => onDetail(item), item.id)
          };
        }),
        J: common_assets._imports_0$4,
        K: common_vendor.p({
          size: "16",
          name: "eye",
          color: "#999"
        }),
        L: showRef.value ? 1 : ""
      } : {}, {
        M: common_vendor.f(hisList.value, (item, index, i0) => {
          return {
            a: common_vendor.t(item.checker),
            b: common_vendor.t(item.checkTime),
            c: common_vendor.t(item.checkResult),
            d: common_vendor.t(item.checkMessage),
            e: index
          };
        }),
        N: common_vendor.sr(popupRef, "6c3ab86d-13", {
          "k": "popupRef"
        }),
        O: common_vendor.o(popupChange),
        P: common_vendor.p({
          round: "15",
          closeable: true
        }),
        Q: common_vendor.sr(datetimeRef, "6c3ab86d-14", {
          "k": "datetimeRef"
        }),
        R: common_vendor.o(confirm),
        S: common_vendor.p({
          mode: datetimePickerMode.value
        }),
        T: common_vendor.sr(actionSheetRef, "6c3ab86d-15", {
          "k": "actionSheetRef"
        }),
        U: common_vendor.o(confirm),
        V: common_vendor.p({
          actions: list.value
        }),
        W: common_vendor.sr(pickerRef, "6c3ab86d-16", {
          "k": "pickerRef"
        }),
        X: common_vendor.o(confirm),
        Y: common_vendor.p({
          columns: [pickerColumns.value],
          keyName: pickerLabel.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-6c3ab86d"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/serviceReviewed/index.vue"]]);
wx.createPage(MiniProgramPage);
