"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const utils_index = require("../../utils/index.js");
const store_task = require("../../store/task.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_radio2 = common_vendor.resolveComponent("uv-radio");
  const _easycom_uv_radio_group2 = common_vendor.resolveComponent("uv-radio-group");
  (_easycom_uv_input2 + _easycom_uv_radio2 + _easycom_uv_radio_group2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_radio = () => "../../node-modules/@climblee/uv-ui/components/uv-radio/uv-radio.js";
const _easycom_uv_radio_group = () => "../../node-modules/@climblee/uv-ui/components/uv-radio-group/uv-radio-group.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_radio + _easycom_uv_radio_group + noData)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const useTaskStore = store_task.useTask();
    const sendParamsKey = common_vendor.ref();
    const showTab = common_vendor.ref(true);
    const oldRadioValue = common_vendor.ref("");
    const oldActiveType = common_vendor.ref();
    class Params {
      constructor() {
        __publicField(this, "type", 1);
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 20);
        __publicField(this, "name", "");
      }
    }
    const params = common_vendor.ref(new Params());
    const radioValue = common_vendor.ref();
    common_vendor.onLoad((e) => {
      sendParamsKey.value = e == null ? void 0 : e.sendParamsKey;
      if ((e == null ? void 0 : e.sendParamsKey) === "temp26" && e.firstInvestigation === "first") {
        showTab.value = false;
      }
      params.value.type = Number(e == null ? void 0 : e.activeId) || 1;
      oldActiveType.value = Number(e == null ? void 0 : e.activeId);
      radioValue.value = (e == null ? void 0 : e.sendVal) || null;
      oldRadioValue.value = (e == null ? void 0 : e.sendVal) || null;
    });
    const resetParams = () => {
      params.value = new Params();
    };
    const dataList = common_vendor.ref([]);
    async function getList() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      let res;
      if (params.value.type === 1) {
        res = await service_modules_getTask.getListHospitalByNameApi(params.value);
      } else if (params.value.type === 2) {
        res = await service_modules_getTask.getListDrugstoreByNameApi(params.value);
      } else if (params.value.type === 3) {
        res = await service_modules_getTask.getListCompanyByNameApi(params.value);
      }
      if (res.data) {
        params.value.total = res.data.total;
        dataList.value = dataList.value.concat(res.data.records);
      }
      common_vendor.index.hideLoading();
    }
    common_vendor.onShow(() => {
      dataList.value = [];
      getList();
    });
    const customStyle = {
      background: "#f6f6f6",
      border: "none",
      height: "40rpx"
    };
    const tabClick = (act) => {
      if (params.value.type === act)
        return;
      resetParams();
      dataList.value = [];
      if (act === oldActiveType.value) {
        radioValue.value = oldRadioValue.value;
      } else {
        radioValue.value = "";
      }
      params.value.type = act;
      getList();
    };
    const searchValChange = utils_index.debounce(() => {
      params.value.current = 1;
      dataList.value = [];
      getList();
    });
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.value.total)
        return;
      params.value.current++;
      getList();
    });
    const radioGroupChange = (e, item) => {
      let obj = {
        label: item.yymc || item.gsmc || item.pharmacyName,
        value: e,
        sendParamsKey: sendParamsKey.value,
        activeId: params.value.type
      };
      useTaskStore.setAutoSelect(obj);
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(common_vendor.unref(searchValChange)),
        b: common_vendor.o(($event) => params.value.name = $event),
        c: common_vendor.p({
          placeholder: "请输入内容",
          clearable: true,
          border: "surround",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 32px;color: #909399",
          shape: "circle",
          customStyle,
          modelValue: params.value.name
        }),
        d: showTab.value
      }, showTab.value ? {
        e: common_vendor.n(params.value.type === 1 ? "active-tab" : ""),
        f: common_vendor.o(($event) => tabClick(1)),
        g: common_vendor.n(params.value.type === 2 ? "active-tab" : ""),
        h: common_vendor.o(($event) => tabClick(2)),
        i: common_vendor.n(params.value.type === 3 ? "active-tab" : ""),
        j: common_vendor.o(($event) => tabClick(3))
      } : {}, {
        k: showTab.value ? "155rpx" : "115rpx",
        l: params.value.total != 0
      }, params.value.total != 0 ? {
        m: common_vendor.f(dataList.value, (item, k0, i0) => {
          return {
            a: common_vendor.o(($event) => radioGroupChange($event, item), item.id),
            b: item.id,
            c: "5ffcf17c-2-" + i0 + ",5ffcf17c-1",
            d: common_vendor.p({
              size: "18",
              customStyle: {
                margin: "8px"
              },
              label: item.yymc || item.gsmc || item.pharmacyName,
              name: item.id
            })
          };
        }),
        n: common_vendor.o(($event) => radioValue.value = $event),
        o: common_vendor.p({
          placement: "column ",
          modelValue: radioValue.value
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5ffcf17c"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/hospital-drugstore-company/index.vue"]]);
wx.createPage(MiniProgramPage);
