"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const utils_index = require("../../utils/index.js");
const store_task = require("../../store/task.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_radio2 = common_vendor.resolveComponent("uv-radio");
  const _easycom_uv_radio_group2 = common_vendor.resolveComponent("uv-radio-group");
  const _component_noData = common_vendor.resolveComponent("noData");
  (_easycom_uv_input2 + _easycom_uv_radio2 + _easycom_uv_radio_group2 + _component_noData)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_radio = () => "../../node-modules/@climblee/uv-ui/components/uv-radio/uv-radio.js";
const _easycom_uv_radio_group = () => "../../node-modules/@climblee/uv-ui/components/uv-radio-group/uv-radio-group.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_radio + _easycom_uv_radio_group)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  props: ["hideLine"],
  setup(__props) {
    const useTaskStore = store_task.useTask();
    const sendParamsKey = common_vendor.ref();
    class Params {
      constructor() {
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 20);
        __publicField(this, "name", "");
        __publicField(this, "packageId", "");
      }
    }
    const params = common_vendor.ref(new Params());
    const radioValue = common_vendor.ref();
    const investigateDrug = common_vendor.ref();
    common_vendor.onLoad((e) => {
      sendParamsKey.value = e == null ? void 0 : e.sendParamsKey;
      radioValue.value = (e == null ? void 0 : e.sendVal) || null;
      params.value.packageId = e == null ? void 0 : e.packageId;
      investigateDrug.value = (e == null ? void 0 : e.investigateDrug) || null;
    });
    const dataList = common_vendor.ref([]);
    async function getList() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      const res = await service_modules_getTask.getListDrugsByNameApi(params.value);
      if (res.data) {
        params.value.total = res.data.total;
        dataList.value = dataList.value.concat(res.data.records);
      }
      common_vendor.index.hideLoading();
    }
    common_vendor.onShow(() => {
      dataList.value = [];
      getList();
    });
    const customStyle = {
      background: "#f6f6f6",
      border: "none",
      height: "40rpx"
    };
    const searchValChange = utils_index.debounce(() => {
      params.value.current = 1;
      dataList.value = [];
      getList();
    });
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.value.total)
        return;
      params.value.current++;
      getList();
    });
    const radioGroupChange = (e, item) => {
      let obj = {
        label: item.drugname,
        value: e,
        sendParamsKey: sendParamsKey.value,
        activeId: 0
      };
      useTaskStore.setAutoSelect(obj);
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(common_vendor.unref(searchValChange)),
        b: common_vendor.o(($event) => params.value.name = $event),
        c: common_vendor.p({
          placeholder: "请输入内容",
          clearable: true,
          border: "surround",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 32px;color: #909399",
          shape: "circle",
          customStyle,
          modelValue: params.value.name
        }),
        d: !__props.hideLine ? 1 : "",
        e: params.value.total != 0
      }, params.value.total != 0 ? {
        f: common_vendor.f(dataList.value, (item, k0, i0) => {
          return {
            a: common_vendor.o(($event) => radioGroupChange($event, item), item.id),
            b: item.id,
            c: "e925f5b7-2-" + i0 + ",e925f5b7-1",
            d: common_vendor.p({
              size: "18",
              customStyle: {
                margin: "8px"
              },
              label: item.drugname,
              name: item.id
            })
          };
        }),
        g: common_vendor.o(($event) => radioValue.value = $event),
        h: common_vendor.p({
          placement: "column ",
          modelValue: radioValue.value
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e925f5b7"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/investigate-varieties/index.vue"]]);
wx.createPage(MiniProgramPage);
