"use strict";
const common_vendor = require("../../common/vendor.js");
const wxUtils_index = require("../../wxUtils/index.js");
const wxUtils_QQMapWX = require("../../wxUtils/QQMapWX.js");
const utils_index = require("../../utils/index.js");
const store_task = require("../../store/task.js");
require("../../wxUtils/sdk/qqmap-wx-jssdk.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index2",
  setup(__props) {
    const { ctx } = common_vendor.getCurrentInstance();
    const taskStore = store_task.useTask();
    common_vendor.ref();
    const latitud = common_vendor.reactive({
      latitude: 39.909,
      longitude: 116.39742
    });
    const markers = common_vendor.ref([]);
    const circles = common_vendor.ref([]);
    const myMap = common_vendor.ref();
    const taskFiledKey = common_vendor.ref();
    common_vendor.onLoad(async (e) => {
      taskFiledKey.value = e == null ? void 0 : e.taskFiledKey;
      myMap.value = common_vendor.index.createMapContext("myMap", ctx);
      await getLocation();
    });
    const address = common_vendor.ref();
    const getLocation = async () => {
      try {
        const res = await wxUtils_index.getWxLocationApi();
        wxUtils_QQMapWX.qqmapsdk.reverseGeocoder({
          location: {
            latitude: res == null ? void 0 : res.latitude,
            longitude: res == null ? void 0 : res.longitude
          },
          success: function(res2) {
            const result = res2.result;
            address.value = result.address;
          }
        });
        latitud.latitude = res == null ? void 0 : res.latitude;
        latitud.longitude = res == null ? void 0 : res.longitude;
        setMarkers();
        setRegion();
      } catch (e) {
        common_vendor.index.showToast({
          title: "获取定位失败",
          icon: "none"
        });
        console.log(e);
      }
    };
    const setMarkers = () => {
      markers.value = [
        {
          id: Number(new Date()),
          latitude: latitud.latitude,
          longitude: latitud.longitude,
          width: 25,
          height: 35
        }
      ];
    };
    const mapRadius = 100;
    const setRegion = () => {
      myMap.value.getRegion({
        success() {
          circles.value = [
            {
              latitude: latitud.latitude,
              longitude: latitud.longitude,
              color: "#ffffff",
              fillColor: "#7cb5ec88",
              radius: mapRadius,
              strokeWidth: 2
            }
          ];
        }
      });
    };
    const signFn = () => {
      const obj = {
        sendParamsKey: taskFiledKey.value,
        value: address.value
      };
      taskStore.setLocationSelect(obj);
      common_vendor.index.navigateBack();
    };
    const locationChange = async (e) => {
      console.log("e", e);
      let point = e.detail;
      if (point.longitude && point.latitude) {
        let distance = utils_index.getDistance(point.longitude, point.latitude, latitud.longitude, latitud.latitude) * 1e3;
        if (distance > mapRadius) {
          return common_vendor.index.showToast({
            title: "不能超出打卡范围",
            icon: "none"
          });
        }
        wxUtils_QQMapWX.qqmapsdk.reverseGeocoder({
          location: {
            latitude: point == null ? void 0 : point.latitude,
            longitude: point == null ? void 0 : point.longitude
          },
          success: function(r) {
            let locationInfo;
            const res = r.result;
            let ad = res.address_component;
            let ar = res.address_reference;
            if (ad.province === ad.city) {
              locationInfo = ad.city + ad.district + ar.town.title;
            } else {
              locationInfo = ad.province + ad.city + ad.district + ar.town.title;
            }
            address.value = locationInfo + point.name;
          },
          fail(err) {
            console.log("err", err);
          }
        });
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(locationChange),
        b: latitud.latitude,
        c: latitud.longitude,
        d: markers.value,
        e: circles.value,
        f: common_vendor.t(address.value),
        g: common_vendor.o(signFn)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-c7ae2a0c"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/location-select/index2.vue"]]);
wx.createPage(MiniProgramPage);
