"use strict";
const common_vendor = require("../../../common/vendor.js");
const _sfc_main = {
  name: "htz-signature",
  props: {
    cid: {
      type: String,
      default: ""
    }
  },
  data() {
    return {
      id: "",
      Strokes: [],
      dom: null,
      width: 0,
      height: 0,
      colorShow: false,
      colorIndex: 0,
      colorData: [
        {
          name: "black",
          value: "#000000"
        },
        {
          name: "red",
          value: "#f34336"
        },
        {
          name: "blue",
          value: "#0238d0"
        },
        {
          name: "green",
          value: "#8bc24b"
        },
        {
          name: "yellow",
          value: "#ffeb3c"
        },
        {
          name: "purple",
          value: "#a603d0"
        },
        {
          name: "grey",
          value: "#a5a5a5"
        }
      ],
      lineWidthShow: false,
      lineWidthIndex: 0,
      lineWidthData: ["3", "6", "9", "12", "15", "18"]
    };
  },
  mounted: function() {
    this.$nextTick(function() {
      common_vendor.index.getSystemInfo({
        success: (res) => {
          this.width = res.windowWidth;
          this.height = res.windowHeight;
        }
      });
      this.dom = common_vendor.index.createCanvasContext(this.cid, this);
    });
  },
  beforeUnmount: function() {
  },
  methods: {
    touchmoveEnd(e) {
      e.preventDefault();
      e.stopPropagation();
    },
    sumbit() {
      common_vendor.index.canvasToTempFilePath(
        {
          fileType: "png",
          // 目标文件的类型，只支持 'jpg' 或 'png'。默认为 'png'
          quality: 1,
          // 图片的质量，取值范围为 (0, 1]，不在范围内时当作1.0处理
          canvasId: this.cid,
          success: (res) => {
            this.$emit("sumbit", res);
          },
          fail: (err) => {
            this.$emit("fail", err);
          }
        },
        this
      );
    },
    clear() {
      this.Strokes = [];
      this.dom.clearRect(0, 0, this.width, this.height);
      this.dom.draw();
    },
    lineWidth() {
      this.lineWidthShow = !this.lineWidthShow;
      this.colorShow = false;
    },
    selLineWidth(index) {
      this.lineWidthIndex = index;
      this.lineWidthShow = false;
    },
    color() {
      this.colorShow = !this.colorShow;
      this.lineWidthShow = false;
    },
    selColor(index) {
      this.colorIndex = index;
      this.colorShow = false;
    },
    drawCanves() {
      this.Strokes.forEach((item, index) => {
        let StrokesItem = item;
        if (StrokesItem.points.length > 1) {
          this.dom.beginPath();
          this.dom.setLineCap("round");
          this.dom.setStrokeStyle(item.style.color);
          this.dom.setLineWidth(item.style.lineWidth);
          StrokesItem.points.forEach((sitem, sindex) => {
            if (sitem.type == "touchstart") {
              this.dom.moveTo(sitem.x, sitem.y);
            } else {
              this.dom.lineTo(sitem.x, sitem.y);
            }
          });
          this.dom.stroke();
        }
      });
      this.dom.draw();
    },
    createId() {
      var d = new Date();
      return "can" + d.getTime();
    },
    touchstart(e) {
      this.Strokes.push({
        imageData: null,
        style: {
          color: this.colorData[this.colorIndex].value,
          lineWidth: this.lineWidthData[this.lineWidthIndex]
        },
        points: [
          {
            x: e.touches[0].x,
            y: e.touches[0].y,
            type: e.type
          }
        ]
      });
      this.drawLine(this.Strokes[this.Strokes.length - 1], e.type);
    },
    touchmove(e) {
      this.Strokes[this.Strokes.length - 1].points.push({
        x: e.touches[0].x,
        y: e.touches[0].y,
        type: e.type
      });
      this.drawLine(this.Strokes[this.Strokes.length - 1], e.type);
    },
    touchend(e) {
      if (this.Strokes[this.Strokes.length - 1].points.length < 2) {
        this.Strokes.pop();
      }
    },
    drawLine(StrokesItem, type) {
      if (StrokesItem.points.length > 1) {
        this.dom.beginPath();
        this.dom.setLineCap("round");
        this.dom.setStrokeStyle(StrokesItem.style.color);
        this.dom.setLineWidth(StrokesItem.style.lineWidth);
        this.dom.moveTo(
          StrokesItem.points[StrokesItem.points.length - 2].x,
          StrokesItem.points[StrokesItem.points.length - 2].y
        );
        this.dom.lineTo(
          StrokesItem.points[StrokesItem.points.length - 1].x,
          StrokesItem.points[StrokesItem.points.length - 1].y
        );
        this.dom.stroke();
        this.dom.draw(true);
      }
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $props.cid,
    b: $props.cid,
    c: common_vendor.o((...args) => $options.touchstart && $options.touchstart(...args)),
    d: common_vendor.o((...args) => $options.touchmove && $options.touchmove(...args)),
    e: common_vendor.o((...args) => $options.touchend && $options.touchend(...args)),
    f: common_vendor.o((...args) => $options.clear && $options.clear(...args)),
    g: common_vendor.o((...args) => $options.sumbit && $options.sumbit(...args))
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/signature/components/signatureCom.vue"]]);
wx.createComponent(Component);
