"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_upload = require("../../utils/upload.js");
const store_task = require("../../store/task.js");
const store_auth = require("../../store/auth.js");
require("../../service/modules/uploadFile.js");
require("../../store/login.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
if (!Math) {
  signatureCom();
}
const signatureCom = () => "./components/signatureCom.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const taskStore = store_task.useTask();
    const authStore = store_auth.useAuth();
    const type = common_vendor.ref();
    const taskFiledKey = common_vendor.ref();
    common_vendor.onLoad((e) => {
      if (e.type === "task") {
        type.value = "task";
        taskFiledKey.value = e == null ? void 0 : e.taskFiledKey;
      }
    });
    const sumbit = async (info) => {
      const res = await utils_upload.uploadFile(info.tempFilePath);
      if (res.code === 0) {
        if (type.value === "task") {
          backTask(res.data);
        } else {
          backAuth(res.data);
        }
      }
    };
    const backTask = (data) => {
      const obj = {
        sendParamsKey: taskFiledKey.value,
        url: data.url
      };
      taskStore.setSign(obj);
      common_vendor.index.navigateBack();
    };
    const backAuth = (data) => {
      authStore.setAgreementUrl(data.url);
      common_vendor.index.navigateBack();
    };
    const fail = (err) => {
      console.log("err", err);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(sumbit),
        b: common_vendor.o(fail),
        c: common_vendor.p({
          cid: "signature-cid"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/signature/index.vue"]]);
wx.createPage(MiniProgramPage);
