"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const utils_index = require("../../utils/index.js");
const store_task = require("../../store/task.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_radio2 = common_vendor.resolveComponent("uv-radio");
  const _easycom_uv_radio_group2 = common_vendor.resolveComponent("uv-radio-group");
  const _easycom_uv_modal2 = common_vendor.resolveComponent("uv-modal");
  (_easycom_uv_input2 + _easycom_uv_radio2 + _easycom_uv_radio_group2 + _easycom_uv_modal2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_radio = () => "../../node-modules/@climblee/uv-ui/components/uv-radio/uv-radio.js";
const _easycom_uv_radio_group = () => "../../node-modules/@climblee/uv-ui/components/uv-radio-group/uv-radio-group.js";
const _easycom_uv_modal = () => "../../node-modules/@climblee/uv-ui/components/uv-modal/uv-modal.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_radio + _easycom_uv_radio_group + noData + _easycom_uv_modal)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const useTaskStore = store_task.useTask();
    const sendParamsKey = common_vendor.ref();
    const taskTypeId = common_vendor.ref();
    class Params {
      constructor() {
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 20);
        __publicField(this, "name", "");
      }
    }
    const params = common_vendor.ref(new Params());
    const radioValue = common_vendor.ref();
    const typeName = common_vendor.ref("");
    common_vendor.onLoad(async (e) => {
      typeName.value = (e == null ? void 0 : e.taskTypeId) === "15" ? "医院" : "商业公司";
      taskTypeId.value = e == null ? void 0 : e.taskTypeId;
      sendParamsKey.value = e == null ? void 0 : e.sendParamsKey;
      dataList.value = [];
      await getList();
      if (e == null ? void 0 : e.sendVal) {
        let curr = dataList.value.find((item) => item.yymc === e.sendVal || item.gsmc === e.sendVal);
        if (curr)
          radioValue.value = curr.id;
      }
    });
    const dataList = common_vendor.ref([]);
    async function getList() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      let res;
      if (taskTypeId.value === "15") {
        res = await service_modules_getTask.getListHospitalByNameApi(params.value);
      } else {
        res = await service_modules_getTask.getListCompanyByNameApi(params.value);
      }
      if (res.data) {
        params.value.total = res.data.total;
        dataList.value = dataList.value.concat(res.data.records);
      }
      common_vendor.index.hideLoading();
    }
    const customStyle = {
      background: "#f6f6f6",
      border: "none",
      height: "40rpx"
    };
    const searchValChange = utils_index.debounce(() => {
      params.value.current = 1;
      dataList.value = [];
      getList();
    });
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.value.total)
        return;
      params.value.current++;
      getList();
    });
    const radioGroupChange = (item) => {
      if (taskTypeId.value === "15") {
        sendInfoHospital(item);
      } else {
        sendInfoCompanies(item);
      }
    };
    const sendInfoHospital = async (item) => {
      const res = await service_modules_getTask.getHospitalDetailApi(item.id);
      if (res.code === 0) {
        sendInfoTask(res.data);
      }
    };
    const sendInfoHospitalByAdd = async () => {
      const res = await service_modules_getTask.getHospitalByNameApi({ name: newName.value });
      if (res.data) {
        sendInfoTask(res.data);
      } else {
        sendSigleSelect();
      }
    };
    const sendInfoCompaniesByAdd = async () => {
      const res = await service_modules_getTask.getCompaniesByNameApi({ name: newName.value });
      if (res.data) {
        sendInfoTask(res.data);
      } else {
        sendSigleSelect();
      }
    };
    const sendInfoCompanies = async (item) => {
      const res = await service_modules_getTask.getCompaniesDetailApi(item.id);
      if (res.code === 0) {
        sendInfoTask(res.data);
      }
    };
    const sendSigleSelect = () => {
      const info = {
        sendParamsKey: sendParamsKey.value,
        taskTypeId: taskTypeId.value,
        name: newName.value
      };
      useTaskStore.setSingleSelectByAdd(info);
      common_vendor.index.navigateBack();
    };
    const sendInfoTask = (info) => {
      const data = {
        sendParamsKey: sendParamsKey.value,
        taskTypeId: taskTypeId.value,
        data: info
      };
      useTaskStore.setSingleSelect(data);
      common_vendor.index.navigateBack();
    };
    const inputCustomStyle = {
      width: "550rpx"
    };
    const modalRef = common_vendor.ref();
    const newName = common_vendor.ref("");
    const showModal = () => {
      modalRef.value.open();
    };
    const onCancel = () => {
      newName.value = "";
      modalRef.value.close();
    };
    const onConfirm = async () => {
      if (taskTypeId.value === "15") {
        sendInfoHospitalByAdd();
      } else {
        sendInfoCompaniesByAdd();
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(common_vendor.unref(searchValChange)),
        b: common_vendor.o(($event) => params.value.name = $event),
        c: common_vendor.p({
          placeholder: `搜索${typeName.value}名称`,
          clearable: true,
          border: "surround",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 32px;color: #909399",
          shape: "circle",
          customStyle,
          modelValue: params.value.name
        }),
        d: common_vendor.o(showModal),
        e: params.value.total != 0
      }, params.value.total != 0 ? {
        f: common_vendor.f(dataList.value, (item, k0, i0) => {
          return {
            a: common_vendor.o(($event) => radioGroupChange(item), item.id),
            b: item.id,
            c: "ab069790-2-" + i0 + ",ab069790-1",
            d: common_vendor.p({
              size: "18",
              customStyle: {
                margin: "8px"
              },
              label: item.yymc || item.gsmc,
              name: item.id
            })
          };
        }),
        g: common_vendor.o(($event) => radioValue.value = $event),
        h: common_vendor.p({
          placement: "column ",
          modelValue: radioValue.value
        })
      } : {}, {
        i: common_vendor.o(($event) => newName.value = $event),
        j: common_vendor.p({
          border: "surround",
          customStyle: inputCustomStyle,
          clearable: true,
          placeholder: `请输入${typeName.value}名称`,
          modelValue: newName.value
        }),
        k: common_vendor.sr(modalRef, "ab069790-4", {
          "k": "modalRef"
        }),
        l: common_vendor.o(onConfirm),
        m: common_vendor.o(onCancel),
        n: common_vendor.p({
          title: `新增${typeName.value}`,
          ["show-cancel-button"]: true
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ab069790"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/single-select/index.vue"]]);
wx.createPage(MiniProgramPage);
