"use strict";
const common_vendor = require("../../common/vendor.js");
const pages_index_taskList = require("./taskList.js");
const pages_index_taskListAdmin = require("./taskListAdmin.js");
const store_login = require("../../store/login.js");
const service_modules_userInfo = require("../../service/modules/userInfo.js");
const store_tabbar = require("../../store/tabbar.js");
const hooks_useLoginout = require("../../hooks/useLoginout.js");
require("./base64/xsbf.js");
require("./base64/scxxfw.js");
require("./base64/xxjl.js");
require("./base64/hypxyzf.js");
require("./base64/mbgl.js");
require("./base64/fwgl.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_navbar2 = common_vendor.resolveComponent("uv-navbar");
  const _easycom_uv_notice_bar2 = common_vendor.resolveComponent("uv-notice-bar");
  const _component_Tabbar = common_vendor.resolveComponent("Tabbar");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  (_easycom_uv_navbar2 + _easycom_uv_notice_bar2 + _component_Tabbar + _easycom_uv_icon2 + _easycom_uv_popup2)();
}
const _easycom_uv_navbar = () => "../../node-modules/@climblee/uv-ui/components/uv-navbar/uv-navbar.js";
const _easycom_uv_notice_bar = () => "../../node-modules/@climblee/uv-ui/components/uv-notice-bar/uv-notice-bar.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_popup = () => "../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
if (!Math) {
  (_easycom_uv_navbar + _easycom_uv_notice_bar + _easycom_uv_icon + _easycom_uv_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const tabbar = store_tabbar.useTabbar();
    let userInfo = loginStore.currentUserInfo;
    const roles = (userInfo == null ? void 0 : userInfo.roles) || [];
    function getPages() {
      if (!checkLogin())
        return;
      if (roles.includes(5)) {
        return common_vendor.index.showToast({
          title: "暂无权限",
          icon: "none",
          duration: 800
        });
      }
      common_vendor.index.navigateTo({
        url: "/pages-sub-packages/get-task/index"
      });
    }
    function goHistory(type) {
      if (!checkLogin())
        return;
      common_vendor.index.navigateTo({
        url: `/pages-sub-packages/task-history/index?activeId=${type}&type=1`
      });
    }
    function checkLogin() {
      if (!loginStore.isLogin) {
        common_vendor.index.showToast({
          title: "请先登录",
          icon: "none",
          duration: 800
        });
        hooks_useLoginout.useLogiutFn();
      }
      return loginStore.isLogin;
    }
    const total = common_vendor.reactive({
      onTheWay: "",
      waitApprove: ""
    });
    const taskListClick = (item) => {
      if (!checkLogin())
        return;
      if (item.type) {
        tabbar.setCurrentTabbar("news");
        common_vendor.index.switchTab({
          url: "/pages/news/index"
        });
        return;
      }
      common_vendor.index.navigateTo({
        url: item.url
      });
    };
    const currrRole = common_vendor.ref();
    const popupRef = common_vendor.ref();
    common_vendor.onShow(async () => {
      var _a;
      common_vendor.index.hideTabBar();
      currrRole.value = tabbar.roleType;
      if (loginStore.isLogin)
        loginStore.getUserInfoByCode();
      let userInfo2 = loginStore.currentUserInfo;
      if (userInfo2) {
        total.onTheWay = userInfo2.onTheWay;
        total.waitApprove = userInfo2.waitApprove;
        if (!((_a = userInfo2 == null ? void 0 : userInfo2.signedAgreement) == null ? void 0 : _a.length)) {
          showAgreement();
        } else {
          showLatestChangePwdTime();
        }
      }
    });
    const showLatestChangePwdTime = () => {
      let userInfo2 = loginStore.currentUserInfo;
      if (!userInfo2.latestChangePwdTime) {
        common_vendor.index.showModal({
          title: "提示",
          showCancel: false,
          content: "首次登录请先修改密码",
          success: function(res) {
            if (res.confirm) {
              common_vendor.index.navigateTo({
                url: `/pages-sub-mine/changePassword/index`
              });
            }
          }
        });
      } else {
        const latestChangePwdTime = userInfo2.latestChangePwdTime;
        const time1 = common_vendor.dayjs().subtract(90, "days").valueOf();
        const time2 = common_vendor.dayjs(latestChangePwdTime).valueOf();
        if (time1 > time2) {
          common_vendor.index.showModal({
            title: "提示",
            content: "当前用户密码90天未修改，是否前去修改?",
            success: async function(res) {
              if (res.confirm) {
                common_vendor.index.navigateTo({
                  url: `/pages-sub-mine/changePassword/index`
                });
              } else if (res.cancel) {
                hooks_useLoginout.useLogiutFn();
              }
            }
          });
        }
      }
    };
    const btnDisabled = common_vendor.ref(true);
    const scrolltolower = () => {
      btnDisabled.value = false;
    };
    const showAgreement = () => {
      setTimeout(() => {
        var _a;
        (_a = popupRef.value) == null ? void 0 : _a.open();
      }, 0);
    };
    const closePopup = () => {
      common_vendor.index.showModal({
        title: "提 示",
        content: "由于您未签署廉洁承诺书，即将退出登录！",
        cancelText: "继续签署",
        confirmText: "退出登录",
        success: async (e) => {
          var _a;
          if (e.confirm) {
            (_a = popupRef.value) == null ? void 0 : _a.close();
            hooks_useLoginout.useLogiutFn();
          }
        }
      });
    };
    const submitAgreement = async () => {
      var _a;
      if (btnDisabled.value)
        return;
      const obj = {
        agreementName: "agreementName_4eaed7b52078",
        agreementVersion: "agreementVersion_bb8bb35dfd1a"
      };
      const res = await service_modules_userInfo.signUserApi(obj);
      if (res.data) {
        common_vendor.index.showToast({
          title: "签署成功",
          icon: "none"
        });
        loginStore.getUserInfoByCode();
        (_a = popupRef.value) == null ? void 0 : _a.close();
        showLatestChangePwdTime();
      }
    };
    const goStatistics = () => {
      common_vendor.index.navigateTo({
        url: `/pages/statistics/index`
      });
    };
    const showPage = (id) => {
      if (id == 1) {
        if (roles.includes(38))
          return false;
      }
      return true;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          title: "营销行为信息化管控系统",
          fixed: true,
          ["bg-color"]: "rgba(0,0,0,0)"
        }),
        b: currrRole.value === 0
      }, currrRole.value === 0 ? {
        c: common_vendor.o(getPages),
        d: common_vendor.o(($event) => goHistory(1)),
        e: common_vendor.t(common_vendor.unref(loginStore).isLogin ? total.onTheWay : "-"),
        f: common_vendor.n(common_vendor.unref(loginStore).isLogin ? "is-login" : ""),
        g: common_vendor.o(($event) => goHistory(2)),
        h: common_vendor.t(common_vendor.unref(loginStore).isLogin ? total.waitApprove : "-"),
        i: common_vendor.n(common_vendor.unref(loginStore).isLogin ? "is-login" : ""),
        j: common_vendor.o(($event) => goHistory(3)),
        k: common_vendor.p({
          bgColor: "#6eb657",
          color: "#fff",
          text: "执行包即将完成，请不要做积分较高的执行，避免浪费"
        }),
        l: common_vendor.f(common_vendor.unref(pages_index_taskList.taskList), (item, k0, i0) => {
          return {
            a: common_vendor.o(($event) => taskListClick(item), item.backgroundImage),
            b: item.backgroundImage,
            c: "url(" + item.backgroundImage + ")"
          };
        })
      } : {}, {
        m: currrRole.value === 1
      }, currrRole.value === 1 ? {
        n: common_vendor.o(goStatistics),
        o: common_vendor.f(common_vendor.unref(pages_index_taskListAdmin.taskListAdmin), (item, k0, i0) => {
          return common_vendor.e({
            a: showPage(item.id)
          }, showPage(item.id) ? {
            b: common_vendor.o(($event) => taskListClick(item), item.backgroundImage),
            c: "url(" + item.backgroundImage + ")"
          } : {}, {
            d: item.backgroundImage
          });
        })
      } : {}, {
        p: common_vendor.o(closePopup),
        q: common_vendor.p({
          name: "close",
          color: "#000",
          size: "24"
        }),
        r: common_vendor.o(scrolltolower),
        s: common_vendor.t(btnDisabled.value ? "请上滑看完本条款再同意" : "同意"),
        t: common_vendor.o(submitAgreement),
        v: common_vendor.n(btnDisabled.value ? "btn-disabled" : ""),
        w: common_vendor.sr(popupRef, "83a5a03c-3", {
          "k": "popupRef"
        }),
        x: common_vendor.p({
          mode: "bottom",
          ["close-on-click-overlay"]: false,
          round: "10"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-83a5a03c"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
