"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_login = require("../../service/modules/login.js");
const utils_index = require("../../utils/index.js");
const store_login = require("../../store/login.js");
const store_tabbar = require("../../store/tabbar.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_navbar2 = common_vendor.resolveComponent("uv-navbar");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_code2 = common_vendor.resolveComponent("uv-code");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_navbar2 + _easycom_uv_form_item2 + _easycom_uv_code2 + _easycom_uv_button2 + _easycom_uv_form2)();
}
const _easycom_uv_navbar = () => "../../node-modules/@climblee/uv-ui/components/uv-navbar/uv-navbar.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_code = () => "../../node-modules/@climblee/uv-ui/components/uv-code/uv-code.js";
const _easycom_uv_button = () => "../../node-modules/@climblee/uv-ui/components/uv-button/uv-button.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_navbar + _easycom_uv_form_item + _easycom_uv_code + _easycom_uv_button + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tabbar = store_tabbar.useTabbar();
    const labelStyle = {
      fontSize: "32rpx",
      fontWeight: 600,
      color: "#333"
    };
    const formData = common_vendor.reactive({
      phone: "",
      password: "",
      code: ""
    });
    const code = common_vendor.ref("获取验证码");
    const codeRef = common_vendor.ref();
    const codeDisabled = common_vendor.ref(false);
    function codeChange(text) {
      code.value = text;
    }
    const codeDisabledChange = (flag) => {
      codeDisabled.value = flag;
    };
    let codeDisabledType = common_vendor.computed(() => {
      return formData.phone && formData.password;
    });
    const customStyle = {
      height: "64rpx",
      width: "200rpx",
      background: "rgba(110,182,87, .1)",
      borderRadius: "16rpx",
      color: "#6eb657",
      fontWeight: 500,
      lineHeight: "64rpx",
      fontSize: "28rpx"
    };
    const getCodeFn = utils_index.debounce(() => {
      getCode();
    }, 500);
    async function getCode() {
      if (!utils_index.isValidPhoneNumber(formData.phone)) {
        return common_vendor.index.showToast({
          title: "请检查手机号码格式",
          icon: "none"
        });
      }
      if (!formData.password) {
        return common_vendor.index.showToast({
          title: "密码不能为空",
          icon: "none"
        });
      }
      const passwordRes = await loginStore.loginByPassword({
        phone: formData.phone,
        password: formData.password
      });
      if (passwordRes.access_token) {
        common_vendor.index.showLoading({
          title: "正在获取验证码"
        });
        const res = await service_modules_login.getSmsCode(formData.phone);
        common_vendor.index.hideLoading();
        if (!res.data) {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        } else {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        }
        codeRef.value.start();
      }
    }
    const readAgreementAndPolicy = (type) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-packages/agreement/${type}`
      });
    };
    const forgotPassword = () => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-mine/forgotPassword/index`
      });
    };
    const loginStore = store_login.useLoginStore();
    const agreemetChecked = common_vendor.ref(false);
    async function loginBtnClck() {
      if (!formData.phone) {
        return common_vendor.index.showToast({
          title: "请输入手机号",
          icon: "none"
        });
      }
      if (!utils_index.isValidPhoneNumber(formData.phone)) {
        return common_vendor.index.showToast({
          title: "请检查手机号码格式",
          icon: "none"
        });
      }
      if (!formData.password) {
        return common_vendor.index.showToast({
          title: "密码不能为空",
          icon: "none"
        });
      }
      if (!formData.code) {
        return common_vendor.index.showToast({
          title: "请输入验证码",
          icon: "none"
        });
      }
      if (!agreemetChecked.value) {
        return common_vendor.index.showToast({
          title: "请先勾选协议",
          icon: "none"
        });
      }
      try {
        const res = await loginStore.loginBySms(formData);
        const roles = res.roles;
        if (roles.length === 1) {
          if (roles.includes(5) || roles.includes(6)) {
            tabbar.setRoleType(0);
          } else {
            tabbar.setRoleType(1);
          }
        }
        tabbar.setCurrentTabbar("work");
        common_vendor.index.reLaunch({
          url: "/pages/index/index"
        });
      } catch (err) {
        console.log("err", err);
      }
    }
    const leftClick = () => {
      common_vendor.index.switchTab({
        url: "/pages/index/index"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(leftClick),
        b: common_vendor.p({
          title: "营销行为信息化管控系统",
          fixed: true,
          ["bg-color"]: "rgba(0,0,0,0)"
        }),
        c: formData.phone,
        d: common_vendor.o(($event) => formData.phone = $event.detail.value),
        e: common_vendor.p({
          label: "手机号",
          prop: "formData.phone",
          borderBottom: true
        }),
        f: formData.password,
        g: common_vendor.o(($event) => formData.password = $event.detail.value),
        h: common_vendor.o(forgotPassword),
        i: common_vendor.p({
          label: "密码",
          prop: "formData.password",
          borderBottom: true
        }),
        j: formData.code,
        k: common_vendor.o(($event) => formData.code = $event.detail.value),
        l: common_vendor.sr(codeRef, "45258083-5,45258083-4", {
          "k": "codeRef"
        }),
        m: common_vendor.o(codeChange),
        n: common_vendor.o(($event) => codeDisabledChange(true)),
        o: common_vendor.o(($event) => codeDisabledChange(false)),
        p: common_vendor.p({
          changeText: "Xs"
        }),
        q: common_vendor.o(common_vendor.unref(getCodeFn)),
        r: common_vendor.p({
          disabled: codeDisabled.value || !common_vendor.unref(codeDisabledType),
          text: code.value,
          ["custom-style"]: customStyle
        }),
        s: common_vendor.p({
          label: "验证码",
          prop: "formData.code",
          borderBottom: true
        }),
        t: common_vendor.sr("form", "45258083-1"),
        v: common_vendor.p({
          labelPosition: "top",
          labelWidth: "80",
          labelStyle,
          model: formData
        }),
        w: agreemetChecked.value,
        x: common_vendor.o(($event) => agreemetChecked.value = !agreemetChecked.value),
        y: common_vendor.o(($event) => readAgreementAndPolicy("platformUsers")),
        z: common_vendor.o(($event) => readAgreementAndPolicy("privacyPolicy")),
        A: common_vendor.o(($event) => readAgreementAndPolicy("personalInfoAuth")),
        B: common_vendor.o(loginBtnClck)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-45258083"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/login/index.vue"]]);
wx.createPage(MiniProgramPage);
