"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_index = require("../../utils/index.js");
const store_login = require("../../store/login.js");
const store_tabbar = require("../../store/tabbar.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_navbar2 = common_vendor.resolveComponent("uv-navbar");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_navbar2 + _easycom_uv_form_item2 + _easycom_uv_form2)();
}
const _easycom_uv_navbar = () => "../../node-modules/@climblee/uv-ui/components/uv-navbar/uv-navbar.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_navbar + _easycom_uv_form_item + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "password",
  setup(__props) {
    const tabbar = store_tabbar.useTabbar();
    const labelStyle = {
      fontSize: "32rpx",
      fontWeight: 600,
      color: "#333"
    };
    const formData = common_vendor.reactive({
      phone: "",
      password: ""
    });
    const readAgreementAndPolicy = (type) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-packages/agreement/${type}`
      });
    };
    const loginStore = store_login.useLoginStore();
    const agreemetChecked = common_vendor.ref(false);
    async function loginBtnClck() {
      if (!formData.phone) {
        return common_vendor.index.showToast({
          title: "请输入手机号",
          icon: "none"
        });
      }
      if (!utils_index.isValidPhoneNumber(formData.phone)) {
        return common_vendor.index.showToast({
          title: "请检查手机号码格式",
          icon: "none"
        });
      }
      if (!formData.password) {
        return common_vendor.index.showToast({
          title: "密码不能为空",
          icon: "none"
        });
      }
      if (!agreemetChecked.value) {
        return common_vendor.index.showToast({
          title: "请先勾选协议",
          icon: "none"
        });
      }
      try {
        const res = await loginStore.loginByPassword(formData);
        const roles = res.roles;
        if (roles.length === 1) {
          if (roles.includes(5) || roles.includes(6)) {
            tabbar.setRoleType(0);
          } else {
            tabbar.setRoleType(1);
          }
        }
        tabbar.setCurrentTabbar("work");
        common_vendor.index.reLaunch({
          url: "/pages/index/index"
        });
      } catch (err) {
        console.log("err", err);
      }
    }
    const leftClick = () => {
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(leftClick),
        b: common_vendor.p({
          title: "营销行为信息化管控系统",
          fixed: true,
          ["bg-color"]: "rgba(0,0,0,0)"
        }),
        c: formData.phone,
        d: common_vendor.o(($event) => formData.phone = $event.detail.value),
        e: common_vendor.p({
          label: "手机号",
          prop: "formData.phone",
          borderBottom: true
        }),
        f: formData.password,
        g: common_vendor.o(($event) => formData.password = $event.detail.value),
        h: common_vendor.p({
          label: "密码",
          prop: "formData.password",
          borderBottom: true
        }),
        i: common_vendor.sr("form", "f5737803-1"),
        j: common_vendor.p({
          labelPosition: "top",
          labelWidth: "80",
          labelStyle,
          model: formData
        }),
        k: agreemetChecked.value,
        l: common_vendor.o(($event) => agreemetChecked.value = !agreemetChecked.value),
        m: common_vendor.o(($event) => readAgreementAndPolicy("platformUsers")),
        n: common_vendor.o(($event) => readAgreementAndPolicy("privacyPolicy")),
        o: common_vendor.o(($event) => readAgreementAndPolicy("personalInfoAuth")),
        p: common_vendor.o(loginBtnClck)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f5737803"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/login/password.vue"]]);
wx.createPage(MiniProgramPage);
