"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const pages_mine_cardList = require("./cardList.js");
const constants_rolesType = require("../../constants/rolesType.js");
const utils_wxSaveCode = require("../../utils/wxSaveCode.js");
const hooks_useLoginout = require("../../hooks/useLoginout.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
require("../../store/tabbar.js");
if (!Array) {
  const _easycom_uv_image2 = common_vendor.resolveComponent("uv-image");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  const _easycom_uv_overlay2 = common_vendor.resolveComponent("uv-overlay");
  const _component_Tabbar = common_vendor.resolveComponent("Tabbar");
  (_easycom_uv_image2 + _easycom_uv_icon2 + _easycom_uv_popup2 + _easycom_uv_overlay2 + _component_Tabbar)();
}
const _easycom_uv_image = () => "../../node-modules/@climblee/uv-ui/components/uv-image/uv-image.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_popup = () => "../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
const _easycom_uv_overlay = () => "../../node-modules/@climblee/uv-ui/components/uv-overlay/uv-overlay.js";
if (!Math) {
  (_easycom_uv_image + _easycom_uv_icon + _easycom_uv_popup + _easycom_uv_overlay)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    var _a;
    const loginStore = store_login.useLoginStore();
    const defaultAvatar = "https://yy-cloud-oss.oss-cn-beijing.aliyuncs.com/img/default_avatar.png";
    function checkLogin() {
      if (!loginStore.isLogin) {
        common_vendor.index.showToast({
          title: "请先登录",
          icon: "none",
          duration: 800
        });
        setTimeout(() => {
          common_vendor.index.reLaunch({
            url: "/pages/login/index"
          });
        }, 1200);
      }
      return loginStore.isLogin;
    }
    const toLogin = () => {
      common_vendor.index.reLaunch({
        url: "/pages/login/index"
      });
    };
    const popupRef = common_vendor.ref();
    (_a = popupRef.value) == null ? void 0 : _a.open();
    function changeCurrent() {
      popupRef.value.open();
    }
    const hidePopup = () => popupRef.value.close();
    async function companyChangeClick(item) {
      popupRef.value.close();
      if (item.userId === currentUserInfo.value.userId)
        return;
      common_vendor.index.showLoading();
      loginStore.setCurrentUserId(item.userId);
      const sendParams = {
        code: item.userId,
        phone: item.phone
      };
      await loginStore.changeWeiXinLogin(sendParams);
      currentUserInfo.value = loginStore.currentUserInfo;
      common_vendor.index.hideLoading();
    }
    const currentUserInfo = common_vendor.ref();
    const userInfoList = common_vendor.ref([]);
    common_vendor.onShow(() => {
      common_vendor.index.hideTabBar();
      const loginStore2 = store_login.useLoginStore();
      if (!loginStore2.isLogin)
        return;
      currentUserInfo.value = loginStore2.currentUserInfo;
      userInfoList.value = loginStore2.userInfo;
    });
    const getRolesName = (roles) => {
      if (!(roles == null ? void 0 : roles.length))
        return;
      return constants_rolesType.RoleEnum[roles[0]];
    };
    const navigateClick = (item) => {
      if (!checkLogin())
        return;
      if (item.customerService) {
        openService();
      }
      if (item.path) {
        common_vendor.index.navigateTo({
          url: item.path
        });
      }
    };
    const serviceItem = common_vendor.ref();
    const serviceShow = common_vendor.ref(false);
    function openService() {
      var _a2;
      const userInfo = loginStore.currentUserInfo;
      if (!((_a2 = userInfo == null ? void 0 : userInfo.csm) == null ? void 0 : _a2.corpId))
        return;
      common_vendor.wx$1.request({
        url: `https://scrm-wx.weiling.cn/marketing/webresource/live_code/mobile?corp_id=${userInfo.csm.corpId}&code_channel_id=${userInfo.csm.qrCodeId}&third_unique_user_id=${userInfo.userId}_${new Date().getTime()}`,
        method: "POST",
        data: {
          公司名称: userInfo.deptName,
          手机号: userInfo.phone,
          客户成功: userInfo.csm.csmName
        },
        header: {
          "content-type": "application/json"
          // 默认值
        },
        success: (res) => {
          serviceItem.value = res.data.data;
          serviceShow.value = true;
        }
      });
    }
    function saveCodeFn(serviceItem2) {
      const imgSrc = serviceItem2.live_code;
      utils_wxSaveCode.wxSaveCode(imgSrc);
    }
    const loginOutClick = () => {
      common_vendor.index.showModal({
        title: "提示",
        content: "是否退出登录",
        success: async function(res) {
          if (res.confirm) {
            hooks_useLoginout.useLogiutFn();
          }
        }
      });
    };
    return (_ctx, _cache) => {
      var _a2, _b, _c, _d, _e, _f, _g;
      return common_vendor.e({
        a: !common_vendor.unref(loginStore).isLogin
      }, !common_vendor.unref(loginStore).isLogin ? {
        b: common_vendor.p({
          src: "/static/images/mine/defaultAvatar.png",
          width: "120rpx",
          height: "120rpx"
        }),
        c: common_vendor.o(toLogin)
      } : {
        d: common_vendor.t((_a2 = currentUserInfo.value) == null ? void 0 : _a2.deptName),
        e: common_vendor.o(changeCurrent),
        f: common_vendor.p({
          src: ((_b = currentUserInfo.value) == null ? void 0 : _b.avatar) || defaultAvatar,
          width: "120rpx",
          height: "120rpx",
          shape: "circle"
        }),
        g: common_vendor.t((_c = currentUserInfo.value) == null ? void 0 : _c.realname),
        h: common_vendor.t(((_d = currentUserInfo.value) == null ? void 0 : _d.phone) || ((_e = currentUserInfo.value) == null ? void 0 : _e.deptName)),
        i: common_vendor.t(getRolesName((_f = currentUserInfo.value) == null ? void 0 : _f.roles))
      }, {
        j: common_vendor.f(common_vendor.unref(pages_mine_cardList.mineCardList), (item, k0, i0) => {
          return {
            a: "9023ef44-2-" + i0,
            b: common_vendor.p({
              src: item.icon,
              alt: "",
              width: "40rpx",
              height: "40rpx"
            }),
            c: common_vendor.t(item.txt),
            d: "9023ef44-3-" + i0,
            e: item.icon,
            f: common_vendor.o(($event) => navigateClick(item), item.icon)
          };
        }),
        k: common_vendor.p({
          name: "arrow-right",
          color: "#333333",
          size: "20"
        }),
        l: common_vendor.f(common_vendor.unref(pages_mine_cardList.myCommonFunList), (item, k0, i0) => {
          return {
            a: "9023ef44-4-" + i0,
            b: common_vendor.p({
              src: item.icon,
              alt: "",
              width: "56rpx",
              height: "56rpx"
            }),
            c: common_vendor.t(item.txt),
            d: item.txt,
            e: common_vendor.o(($event) => navigateClick(item), item.txt)
          };
        }),
        m: common_vendor.unref(loginStore).isLogin
      }, common_vendor.unref(loginStore).isLogin ? {
        n: common_vendor.o(loginOutClick)
      } : {}, {
        o: common_vendor.f(userInfoList.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.deptName),
            b: common_vendor.o(($event) => companyChangeClick(item), item.userId),
            c: item.userId,
            d: common_vendor.n(item.userId === currentUserInfo.value.userId ? "active-tab" : "")
          };
        }),
        p: common_vendor.o(hidePopup),
        q: common_vendor.sr(popupRef, "9023ef44-5", {
          "k": "popupRef"
        }),
        r: common_vendor.p({
          mode: "bottom",
          round: "10",
          bgColor: "#fafafa"
        }),
        s: (_g = serviceItem.value) == null ? void 0 : _g.live_code,
        t: common_vendor.o(($event) => saveCodeFn(serviceItem.value)),
        v: common_vendor.p({
          name: "download",
          color: "#2979ff",
          size: "28"
        }),
        w: common_vendor.o(() => {
        }),
        x: common_vendor.o(($event) => serviceShow.value = false),
        y: common_vendor.p({
          show: serviceShow.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-9023ef44"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/mine/index.vue"]]);
wx.createPage(MiniProgramPage);
