"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_common = require("../../service/modules/common.js");
const service_modules_newsDetail = require("../../service/modules/newsDetail.js");
const store_login = require("../../store/login.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
const utils_formatTime = require("../../utils/formatTime.js");
const utils_index = require("../../utils/index.js");
const wxUtils_index = require("../../wxUtils/index.js");
require("../../service/index.js");
require("../../service/modules/login.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_overlay2 = common_vendor.resolveComponent("uv-overlay");
  (_easycom_uv_icon2 + _easycom_uv_overlay2)();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_overlay = () => "../../node-modules/@climblee/uv-ui/components/uv-overlay/uv-overlay.js";
if (!Math) {
  (_easycom_uv_icon + _easycom_uv_overlay + sharePopup)();
}
const sharePopup = () => "../../components/sharePopup/index.js";
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const type = common_vendor.ref();
    const detailId = common_vendor.ref();
    const toPx = common_vendor.ref();
    common_vendor.onLoad(async (e) => {
      type.value = e == null ? void 0 : e.type;
      detailId.value = e == null ? void 0 : e.id;
      getDetail(e);
      if (loginStore.isLogin) {
        getPackageListByTaskType(e == null ? void 0 : e.type);
      }
      const res = await wxUtils_index.getSystemInfo();
      toPx.value = res.toPx;
    });
    const loginInfoCode = common_vendor.ref();
    const openId = common_vendor.ref();
    const getDetail = async (e) => {
      if ((e == null ? void 0 : e.shareUserId) && (e == null ? void 0 : e.packageId)) {
        try {
          const loginInfo = await service_modules_common.login();
          loginInfoCode.value = loginInfo == null ? void 0 : loginInfo.code;
          const res = await service_modules_newsDetail.getOpenId(loginInfoCode.value);
          openId.value = res.openid;
        } catch (err) {
          console.log("err", err);
        }
      }
      if ((e == null ? void 0 : e.type) === "article") {
        getArticleDetail(e);
      } else {
        getAlbumDetail(e);
      }
    };
    const result = common_vendor.ref();
    const getArticleDetail = async (e) => {
      common_vendor.index.showLoading();
      let res;
      if (e.shareUserId && e.packageId) {
        res = await service_modules_newsDetail.shareArticleByIdApi(
          e.id,
          e.shareUserId,
          openId.value,
          "open",
          e.packageId,
          "",
          e.remark
        );
      } else {
        res = await service_modules_newsDetail.getArticleByIdApi(e.id);
      }
      if (res.data.content) {
        res.data.content = res.data.content.replace(
          /\\<img/gi,
          '<img style="width:100%;height:auto;display:block;" '
        );
        res.data.content = res.data.content.replace(/https/gi, "http");
        res.data.content = res.data.content.replace(
          /https:\/\/mic.cnbg.com.cn/g,
          // eslint-disable-next-line no-useless-escape
          "https://cnbg.yaoyi.net"
        );
      } else {
        if (res.data.web) {
          res.data.wb = res.data.wb.replace(
            /\\<img/gi,
            '<img style="width:100%;height:auto;display:block" '
          );
          res.data.wb = res.data.wb.replace(/https/gi, "http");
          res.data.wb = res.data.wb.replace(/https:\/\/mic.cnbg.com.cn/g, "https://cnbg.yaoyi.net");
        }
      }
      result.value = res.data;
      common_vendor.index.hideLoading();
    };
    const getAlbumDetail = async (e) => {
      var _a;
      let res;
      common_vendor.index.showLoading();
      if (e.shareUserId && e.packageId) {
        res = await service_modules_newsDetail.shareAlbumByIdApi(
          e.id,
          e.shareUserId,
          openId.value,
          "open",
          e.packageId,
          "",
          e.remark
        );
      } else {
        res = await service_modules_newsDetail.getAlbumByIdApi(e.id);
      }
      if ((_a = res.data) == null ? void 0 : _a.wb) {
        res.data.wb = res.data.wb.replace(
          /\\<img/gi,
          '<img style="width:100%;height:auto;display:block" '
        );
        res.data.wb = res.data.wb.replace(/https:\/\/mic.cnbg.com.cn/g, "https://cnbg.yaoyi.net");
      }
      result.value = res.data;
      common_vendor.index.hideLoading();
    };
    const getPackageListByTaskType = async (currType) => {
      const type2 = currType === "article" ? "9" : "8";
      await service_modules_getTask.getPackageListByTaskTypeApi(type2);
    };
    const overlayShow = common_vendor.ref(false);
    const shareFn = async () => {
      await getErrCode();
      overlayShow.value = true;
    };
    const ercodeUrl = common_vendor.ref();
    const getErrCode = async () => {
      let url = "";
      if (loginStore.isLogin) {
        let userId = loginStore.currentUserInfo.userId;
        url = `/pages/news-detail/index?type=${type.value}&id=${detailId.value}&shareUserId=${userId}`;
      } else {
        url = `/pages/news-detail/index?type=${type.value}&id=${detailId.value}`;
      }
      const res = await service_modules_getTask.getQrCodeByUrlApi(url);
      if (res.code === 0) {
        ercodeUrl.value = "https://cnbg.yaoyi.net" + res.data.data.url;
      }
    };
    const shareId = common_vendor.ref("");
    const packageIdVal = common_vendor.ref("");
    const remarkVal = common_vendor.ref("");
    common_vendor.onShareAppMessage((res) => {
      if (res.from === "button") {
        const { id, title, remark, packageid } = res.target.dataset;
        let path = "";
        if (loginStore.isLogin) {
          const shareUserId = loginStore.currentUserInfo.userId;
          shareSuccess();
          path = `/pages/news-detail/index?type=${type.value}&id=${id}&shareUserId=${shareUserId}&packageId=${packageid}&remark=${remark}`;
        } else {
          path = `/pages/news-detail/index?type=${type.value}&id=${id}`;
        }
        return {
          title,
          path
        };
      } else {
        const pages = getCurrentPages();
        const prevPage = pages[pages.length - 1];
        return {
          title: "营销行为管理小助手",
          path: prevPage.$page.fullPath
        };
      }
    });
    const shareSuccess = async () => {
      let res;
      if (type.value === "article") {
        res = await service_modules_newsDetail.shareArticleByIdApi(
          shareId.value,
          loginStore.currentUserInfo.userId || "",
          loginStore.currentUserInfo.userId || "",
          "share",
          packageIdVal.value,
          "",
          remarkVal.value
        );
      } else {
        res = await service_modules_newsDetail.shareAlbumByIdApi(
          shareId.value,
          loginStore.currentUserInfo.userId || "",
          loginStore.currentUserInfo.userId || "",
          "share",
          packageIdVal.value,
          "",
          remarkVal.value
        );
      }
      console.log("res", res);
      common_vendor.index.showToast({
        title: res.msg,
        icon: "none"
      });
      sharePopupRef.value.close();
    };
    const formatHtml = (str) => {
      if (!str)
        return "";
      return utils_index.formatRichTxt(str);
    };
    const saveBtn = () => {
      initImage();
    };
    const picOption = common_vendor.ref({
      x: 0,
      y: 0,
      w: 0,
      h: 0
    });
    const initImage = async () => {
      const item = result.value;
      const ctx = common_vendor.index.createCanvasContext("myCanvas");
      const miniShareBg = "https://api.yaoyi.net/wmkj/miniProgram/artileBg.png";
      const miniShareBgInfo = await wxUtils_index.downloadFile(miniShareBg);
      picOption.value = {
        w: 668 * toPx.value,
        h: 718 * toPx.value,
        x: 0,
        // 居中
        y: 0
      };
      console.log("picOption.value", picOption.value);
      let { w, h, x, y } = picOption.value;
      let topBgH = 718 * toPx.value;
      let topBgW = 588 * toPx.value;
      let topTitle = item.title || item.temp1 || (item == null ? void 0 : item.xcmc);
      let topTitleX = 36 * toPx.value;
      let topTitleY = 76 * toPx.value;
      let topTitleFont = 44 * toPx.value;
      ctx.setFontSize(topTitleFont);
      let topTitleArr = utils_index.transformContentToMultiLineText(ctx, topTitle, topBgW - 48 * toPx.value, 1);
      let topDescY = topTitleY + topTitleFont + 50 * toPx.value;
      let topDescDateTxt = item.createTime.slice(0, item.createTime.length - 3);
      let topDescCreate = item.createUser || "";
      ctx.setFillStyle("#ffffff");
      ctx.fillRect(x, y, w, h);
      ctx.drawImage(miniShareBgInfo.tempFilePath, x, y, w, topBgH);
      ctx.restore();
      ctx.save();
      ctx.setFillStyle("black");
      ctx.fillText(topTitleArr[0], topTitleX, topTitleY + topTitleFont);
      ctx.setFontSize(26 * toPx.value);
      ctx.setFillStyle("#898989");
      ctx.fillText(topDescDateTxt, topTitleX, topDescY);
      ctx.fillText(
        topDescCreate,
        topTitleX + ctx.measureText(topDescDateTxt).width + 38 * toPx.value,
        topDescY
      );
      let txt = utils_index.formatRichTxt((item == null ? void 0 : item.content) || (item == null ? void 0 : item.wb));
      ctx.setFontSize(28 * toPx.value);
      ctx.setFillStyle("#333333");
      let txtArr = utils_index.transformContentToMultiLineText(ctx, txt, topBgW - 48 * toPx.value, 4);
      let txtLineHeight = 46 * toPx.value;
      txtArr.forEach((tItem, index) => {
        ctx.fillText(tItem, topTitleX, topDescY + 80 * toPx.value + txtLineHeight * index);
      });
      const miniShareCode = `https://api.yaoyi.net/wmkj/miniProgram/min-share-code.png`;
      const miniShareCodeInfo = await wxUtils_index.downloadFile(miniShareCode);
      ctx.restore();
      ctx.save();
      let ercodeY = topDescY + 100 * toPx.value + txtLineHeight * txtArr.length;
      let ercodeW = 182 * toPx.value;
      ctx.drawImage(miniShareCodeInfo.tempFilePath, w / 2 - ercodeW / 2, ercodeY, ercodeW, ercodeW);
      const ercodePath = ercodeUrl.value;
      const ercodeUrlInfo = await wxUtils_index.downloadFile(ercodePath);
      ctx.restore();
      ctx.save();
      let ercodeUrlY = ercodeY + 18 * toPx.value;
      let ercodeUrlW = 150 * toPx.value;
      ctx.drawImage(
        ercodeUrlInfo.tempFilePath,
        w / 2 - ercodeUrlW / 2,
        ercodeUrlY,
        ercodeUrlW,
        ercodeUrlW
      );
      ctx.setFontSize(20 * toPx.value);
      ctx.setFillStyle("#222222");
      let bottomTxt = "（长按识别二维码查看更多）";
      let bottomTxtW = ctx.measureText(bottomTxt).width;
      ctx.fillText(bottomTxt, w / 2 - bottomTxtW / 2, ercodeY + ercodeW + 40 * toPx.value);
      ctx.draw(false, () => {
        onSave();
      });
    };
    const onSave = () => {
      common_vendor.index.showLoading({
        title: "生成图片中.."
      });
      const { w, h, x, y } = picOption.value;
      common_vendor.index.canvasToTempFilePath({
        x,
        y,
        width: w,
        height: h,
        destWidth: w * 2,
        destHeight: h * 2,
        canvasId: "myCanvas",
        success: async (res) => {
          const tempFilePath = res.tempFilePath;
          try {
            let res2 = await wxUtils_index.saveImageToPhotosAlbum(tempFilePath);
            common_vendor.index.hideLoading();
            if (res2) {
              setTimeout(() => {
                common_vendor.index.showToast({
                  title: "保存成功，请到相册查看",
                  icon: "none"
                });
              }, 300);
            }
            overlayShow.value = false;
            common_vendor.index.hideLoading();
          } catch (e) {
            common_vendor.index.hideLoading();
            console.log(e);
          }
        },
        fail: function(res) {
          common_vendor.index.hideLoading();
        }
      });
    };
    const sharePopupRef = common_vendor.ref();
    const sharePopupType = common_vendor.ref("");
    const sharePopupId = common_vendor.ref("");
    const shareTitle = common_vendor.ref("");
    const loginShareFn = () => {
      var _a, _b;
      sharePopupType.value = type.value === "article" ? "9" : "8";
      sharePopupId.value = detailId.value;
      shareTitle.value = ((_a = result.value) == null ? void 0 : _a.title) || ((_b = result.value) == null ? void 0 : _b.xcmc);
    };
    const initInfo = () => {
      sharePopupType.value = "";
      sharePopupId.value = "";
      shareTitle.value = "";
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r;
      return common_vendor.e({
        a: common_vendor.t(((_a = result.value) == null ? void 0 : _a.title) || ((_b = result.value) == null ? void 0 : _b.xcmc)),
        b: common_vendor.t(common_vendor.unref(utils_formatTime.formatTime)((_c = result.value) == null ? void 0 : _c.createTime)),
        c: common_vendor.t((_d = result.value) == null ? void 0 : _d.author),
        d: (_e = result.value) == null ? void 0 : _e.glyp
      }, ((_f = result.value) == null ? void 0 : _f.glyp) ? {
        e: common_vendor.t((_g = result.value) == null ? void 0 : _g.glyp)
      } : {}, {
        f: ((_h = result.value) == null ? void 0 : _h.content) || ((_i = result.value) == null ? void 0 : _i.wb),
        g: common_vendor.unref(loginStore).isLogin
      }, common_vendor.unref(loginStore).isLogin ? {
        h: common_assets._imports_0,
        i: common_vendor.o(loginShareFn)
      } : {
        j: common_assets._imports_0,
        k: ((_j = result.value) == null ? void 0 : _j.title) || ((_k = result.value) == null ? void 0 : _k.xcmc),
        l: detailId.value
      }, {
        m: common_vendor.o(shareFn),
        n: common_assets._imports_1,
        o: common_vendor.t(((_l = result.value) == null ? void 0 : _l.title) || ((_m = result.value) == null ? void 0 : _m.xcmc)),
        p: common_vendor.t(common_vendor.unref(utils_formatTime.formatTime)((_n = result.value) == null ? void 0 : _n.createTime)),
        q: common_vendor.t(((_o = result.value) == null ? void 0 : _o.author) || ((_p = result.value) == null ? void 0 : _p.createUser)),
        r: common_vendor.t(formatHtml(((_q = result.value) == null ? void 0 : _q.content) || ((_r = result.value) == null ? void 0 : _r.wb))),
        s: ercodeUrl.value,
        t: common_vendor.p({
          name: "close-circle",
          color: "#A3A3A3",
          size: "32"
        }),
        v: common_vendor.o(($event) => overlayShow.value = false),
        w: common_vendor.o(saveBtn),
        x: common_vendor.p({
          show: overlayShow.value
        }),
        y: `${picOption.value.h}PX`,
        z: common_vendor.sr(sharePopupRef, "f604934f-2", {
          "k": "sharePopupRef"
        }),
        A: common_vendor.o(initInfo),
        B: common_vendor.p({
          sharePopupType: sharePopupType.value,
          sharePopupId: sharePopupId.value,
          shareTitle: shareTitle.value
        })
      });
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 2;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__scopeId", "data-v-f604934f"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/news-detail/index.vue"]]);
wx.createPage(MiniProgramPage);
