"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const constants_provinces = require("../../constants/provinces.js");
const service_modules_news = require("../../service/modules/news.js");
const hooks_useGetLoginStatus = require("../../hooks/useGetLoginStatus.js");
const store_login = require("../../store/login.js");
const utils_index = require("../../utils/index.js");
const service_modules_newsDetail = require("../../service/modules/newsDetail.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  const _component_Tabbar = common_vendor.resolveComponent("Tabbar");
  (_easycom_uv_icon2 + _easycom_uv_input2 + _easycom_uv_picker2 + _component_Tabbar)();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (albumCard + noData + _easycom_uv_icon + _easycom_uv_input + infoCard + _easycom_uv_picker + sharePopup)();
}
const infoCard = () => "./components/infoCard.js";
const albumCard = () => "./components/albumCard.js";
const noData = () => "../../components/noData/index.js";
const sharePopup = () => "../../components/sharePopup/index.js";
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const currTab = common_vendor.ref("album");
    const columns = common_vendor.ref([constants_provinces.provinces]);
    const areaPicker = common_vendor.ref();
    const areaSearch = common_vendor.ref("");
    const areaIndex = common_vendor.ref();
    const hasInfo = common_vendor.ref(true);
    class Params {
      constructor() {
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 20);
        __publicField(this, "title", "");
        __publicField(this, "area", "");
      }
    }
    const shareId = common_vendor.ref("");
    const packageIdVal = common_vendor.ref("");
    const remarkVal = common_vendor.ref("");
    common_vendor.onShareAppMessage((res) => {
      if (res.from === "button") {
        const { id, title, remark, packageid } = res.target.dataset;
        shareId.value = id;
        packageIdVal.value = packageid;
        remarkVal.value = remark;
        let path = "";
        if (isLogin.value) {
          const shareUserId = loginStore.currentUserInfo.userId;
          shareSuccess();
          path = `/pages/news-detail/index?type=${currTab.value}&id=${id}&shareUserId=${shareUserId}&packageId=${packageid}&remark=${remark}`;
        } else {
          path = `/pages/news-detail/index?type=${currTab.value}&id=${id}`;
        }
        return {
          title,
          path
        };
      } else {
        const pages = getCurrentPages();
        const prevPage = pages[pages.length - 1];
        return {
          title: "营销行为管理小助手",
          path: prevPage.route
        };
      }
    });
    function checkLogin() {
      if (!loginStore.isLogin) {
        common_vendor.index.showToast({
          title: "请先登录",
          icon: "none",
          duration: 800
        });
        setTimeout(() => {
          common_vendor.index.navigateTo({
            url: "/pages/login/index"
          });
        }, 1200);
      }
      return loginStore.isLogin;
    }
    const shareSuccess = async () => {
      let res;
      if (currTab.value === "article") {
        res = await service_modules_newsDetail.shareArticleByIdApi(
          shareId.value,
          loginStore.currentUserInfo.userId || "",
          loginStore.currentUserInfo.userId || "",
          "share",
          packageIdVal.value,
          "",
          remarkVal.value
        );
      } else {
        res = await service_modules_newsDetail.shareAlbumByIdApi(
          shareId.value,
          loginStore.currentUserInfo.userId || "",
          loginStore.currentUserInfo.userId || "",
          "share",
          packageIdVal.value,
          "",
          remarkVal.value
        );
      }
      if (res.code === 0) {
        common_vendor.index.showToast({
          title: "分享成功",
          icon: "none"
        });
      }
      sharePopupRef.value.close();
    };
    const params = common_vendor.ref(new Params());
    const articleList = common_vendor.ref([]);
    async function getArticleList() {
      common_vendor.index.showLoading();
      const res = await service_modules_news.getArticlePage(params.value);
      if (res.data) {
        params.value.total = res.data.total;
        articleList.value = articleList.value.concat(res.data.records);
        hasInfo.value = !!articleList.value.length;
      }
      common_vendor.index.hideLoading();
    }
    const tabClick = (curr) => {
      params.value = new Params();
      if (curr === "article") {
        if (!checkLogin())
          return;
        articleList.value = [];
        getArticleList();
      } else {
        albumList.value = [];
        getAlbumList();
      }
      currTab.value = curr;
    };
    const showAreaPicker = () => areaPicker.value.open();
    const areaConfirm = (e) => {
      params.value.area = e.value[0].value === "1" ? "" : e.value[0].label;
      areaSearch.value = params.value.area;
      areaIndex.value = e.value.index;
      articleList.value = [];
      params.value.current = 1;
      getArticleList();
    };
    const searchValChange = utils_index.debounce(() => {
      params.value.current = 1;
      articleList.value = [];
      getArticleList();
    });
    const albumList = common_vendor.ref([]);
    async function getAlbumList() {
      common_vendor.index.showLoading();
      const res = await service_modules_news.getAlbumPage(params.value);
      if (res.data) {
        params.value.total = res.data.total;
        albumList.value = albumList.value.concat(res.data.records);
        hasInfo.value = !!albumList.value.length;
      }
      common_vendor.index.hideLoading();
    }
    const onDetail = (item) => {
      common_vendor.index.navigateTo({
        url: `/pages/news-detail/index?type=${currTab.value}&id=${item.id}`
      });
    };
    const isLogin = common_vendor.ref(false);
    common_vendor.onLoad(() => {
      getAlbumList();
    });
    common_vendor.onShow(() => {
      common_vendor.index.hideTabBar();
      isLogin.value = hooks_useGetLoginStatus.useGetLoginStatus();
    });
    common_vendor.onReachBottom(() => {
      if (currTab.value === "article") {
        if (articleList.value.length === params.value.total)
          return;
        params.value.current++;
        getArticleList();
      } else {
        params.value.current++;
        getAlbumList();
      }
    });
    const sharePopupRef = common_vendor.ref();
    const sharePopupType = common_vendor.ref("");
    const sharePopupId = common_vendor.ref("");
    const shareTitle = common_vendor.ref("");
    const shareFn = (info) => {
      sharePopupType.value = info.type;
      sharePopupId.value = info.id + "";
      shareTitle.value = info.shareTitle;
    };
    const initInfo = () => {
      sharePopupType.value = "";
      sharePopupId.value = "";
      shareTitle.value = "";
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.n(currTab.value === "album" ? "active-tab" : ""),
        b: common_vendor.o(($event) => tabClick("album")),
        c: common_vendor.n(currTab.value === "article" ? "active-tab" : ""),
        d: common_vendor.o(($event) => tabClick("article")),
        e: currTab.value === "album"
      }, currTab.value === "album" ? common_vendor.e({
        f: hasInfo.value
      }, hasInfo.value ? {
        g: common_vendor.f(albumList.value, (item, index, i0) => {
          return {
            a: common_vendor.o(onDetail, index),
            b: common_vendor.o(shareFn, index),
            c: index,
            d: "a33dc070-0-" + i0,
            e: common_vendor.p({
              item,
              isLogin: isLogin.value
            })
          };
        })
      } : {}) : {}, {
        h: currTab.value === "article"
      }, currTab.value === "article" ? common_vendor.e({
        i: common_vendor.t(areaSearch.value || "区域"),
        j: common_vendor.p({
          name: "arrow-down-fill",
          color: "#999",
          size: "10"
        }),
        k: common_vendor.o(showAreaPicker),
        l: common_vendor.o(common_vendor.unref(searchValChange)),
        m: common_vendor.o(($event) => params.value.title = $event),
        n: common_vendor.p({
          placeholder: "输入关键字",
          clearable: true,
          customStyle: {
            height: "48rpx"
          },
          modelValue: params.value.title
        }),
        o: hasInfo.value
      }, hasInfo.value ? {
        p: common_vendor.f(articleList.value, (item, index, i0) => {
          return {
            a: common_vendor.o(onDetail, index),
            b: common_vendor.o(shareFn, index),
            c: index,
            d: "a33dc070-4-" + i0,
            e: common_vendor.p({
              item,
              isLogin: isLogin.value
            })
          };
        })
      } : {}) : {}, {
        q: common_vendor.sr(areaPicker, "a33dc070-6", {
          "k": "areaPicker"
        }),
        r: common_vendor.o(areaConfirm),
        s: common_vendor.p({
          defaultIndex: areaIndex.value,
          columns: columns.value,
          keyName: "label"
        }),
        t: common_vendor.sr(sharePopupRef, "a33dc070-7", {
          "k": "sharePopupRef"
        }),
        v: common_vendor.o(initInfo),
        w: common_vendor.p({
          sharePopupType: sharePopupType.value,
          sharePopupId: sharePopupId.value,
          shareTitle: shareTitle.value
        })
      });
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 2;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__scopeId", "data-v-a33dc070"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/news/index.vue"]]);
wx.createPage(MiniProgramPage);
