"use strict";
const service_index = require("../index.js");
function getPackageList(data) {
  return service_index.http.get(`/admin/api/getUserScorePackageList2`, {
    data
  });
}
function receivePackage(packageId) {
  return service_index.http.get(`/admin/api/receivePackage?packageId=${packageId}`);
}
function getScorePackageInfoById(packageId) {
  return service_index.http.get(`/admin/api/getScorePackageInfoById?id=${packageId}`);
}
function getTaskCompletionList(data) {
  return service_index.http.get(`/admin/api/getHistoryTaskList`, {
    data
  });
}
function getTaskListByPackageIdApi(data) {
  return service_index.http.get(`/admin/api/getTaskListByPackageId`, {
    data
  });
}
function getDictPointApi() {
  return service_index.http.get("/admin/dict/type/point_jwd");
}
function getPointSignInfoApi(params) {
  return service_index.http.get("/admin/api/getPointSignInfo", { params });
}
function getPackageListByTaskTypeApi(type) {
  return service_index.http.get(`/admin/api/getPackageListByTaskType?type=${type}`);
}
function getTaskContentConfigByTaskTypeIdApi(taskTypeId) {
  return service_index.http.get(`admin/api/getTaskContentConfigByTaskTypeId/${taskTypeId}`);
}
function getListHospitalByNameApi(params) {
  return service_index.http.get("/admin/wmdahospital/listHospitalByName", { params });
}
function getListDrugstoreByNameApi(params) {
  return service_index.http.get("/admin/wmdapharmacy/listWmDaPharmacyByName", { params });
}
function getListCompanyByNameApi(params) {
  return service_index.http.get("/admin/wmdadistribution/listDistributionByName", { params });
}
function getListDrugsByNameApi(params) {
  return service_index.http.get("/admin/wmscorepackage/drugs", { params });
}
function saveTaskInfoApi(data) {
  return service_index.http.post(`/admin/api/task-content/draft`, data);
}
function getSaveTaskInfoApi(taskTypeId) {
  return service_index.http.get(`/admin/api/task-content/draft/${taskTypeId}`);
}
function saveTaskContentApi(data) {
  return service_index.http.post(`/admin/api/saveTaskContent`, data);
}
function getPharmacyByNameApi(params) {
  return service_index.http.get("/admin/wmdapharmacy/getWmDaPharmacyByName", { params });
}
function getHospitalDetailApi(id) {
  return service_index.http.get(`/admin/wmdahospital/${id}`);
}
function getHospitalByNameApi(params) {
  return service_index.http.get("/admin/wmdahospital/getHospitalByName", { params });
}
function getCompaniesDetailApi(id) {
  return service_index.http.get(`/admin/wmdadistribution/${id}`);
}
function getCompaniesByNameApi(params) {
  return service_index.http.get("/admin/wmdadistribution/getDistributionByName", { params });
}
function getTaskInfoByIdApi(id) {
  return service_index.http.get(`/admin/api/getTaskInfoById?taskId=${id}`);
}
function getSignInfoByTaskIdApi(params) {
  return service_index.http.get(`/admin/api/getSignInfoByTaskId`, { params });
}
function getQrCodeByUrlApi(url) {
  return service_index.http.get(
    `/admin/api/getQrCodeByUrl?url=${encodeURIComponent(url)}&width=${170}&height=${170}`
  );
}
function exportZbInfoFormWeiNewApi(params) {
  return service_index.http.get(`/admin/reportExport/exportZbInfoFormWeiNew`, { params });
}
function signTempApi(data) {
  return service_index.http.post(`/admin/wmusersign/temp/sign`, data);
}
function getSignTempResultApi(data) {
  return service_index.http.post(`/admin/wmusersign/temp/sign/result`, data);
}
function getPkgTaskDetailsApi(params) {
  return service_index.http.get(`/admin/api/v2/getPkgTaskDetails`, { params });
}
exports.exportZbInfoFormWeiNewApi = exportZbInfoFormWeiNewApi;
exports.getCompaniesByNameApi = getCompaniesByNameApi;
exports.getCompaniesDetailApi = getCompaniesDetailApi;
exports.getDictPointApi = getDictPointApi;
exports.getHospitalByNameApi = getHospitalByNameApi;
exports.getHospitalDetailApi = getHospitalDetailApi;
exports.getListCompanyByNameApi = getListCompanyByNameApi;
exports.getListDrugsByNameApi = getListDrugsByNameApi;
exports.getListDrugstoreByNameApi = getListDrugstoreByNameApi;
exports.getListHospitalByNameApi = getListHospitalByNameApi;
exports.getPackageList = getPackageList;
exports.getPackageListByTaskTypeApi = getPackageListByTaskTypeApi;
exports.getPharmacyByNameApi = getPharmacyByNameApi;
exports.getPkgTaskDetailsApi = getPkgTaskDetailsApi;
exports.getPointSignInfoApi = getPointSignInfoApi;
exports.getQrCodeByUrlApi = getQrCodeByUrlApi;
exports.getSaveTaskInfoApi = getSaveTaskInfoApi;
exports.getScorePackageInfoById = getScorePackageInfoById;
exports.getSignInfoByTaskIdApi = getSignInfoByTaskIdApi;
exports.getSignTempResultApi = getSignTempResultApi;
exports.getTaskCompletionList = getTaskCompletionList;
exports.getTaskContentConfigByTaskTypeIdApi = getTaskContentConfigByTaskTypeIdApi;
exports.getTaskInfoByIdApi = getTaskInfoByIdApi;
exports.getTaskListByPackageIdApi = getTaskListByPackageIdApi;
exports.receivePackage = receivePackage;
exports.saveTaskContentApi = saveTaskContentApi;
exports.saveTaskInfoApi = saveTaskInfoApi;
exports.signTempApi = signTempApi;
