"use strict";
const service_index = require("../index.js");
function getSmsCode(phone) {
  return service_index.http.get(`/admin/mobile/${phone}`);
}
function loginBySms(mobile, code) {
  return service_index.http.post(`auth/mobile/token/sms?code=${code}&mobile=SMS@${mobile}&grant_type=mobile`);
}
function logoutApi() {
  return service_index.http.delete(`auth/token/logout`);
}
function loginByPassword(mobile, password) {
  const grant_type = "password";
  const passwordStr = encodeURIComponent(password);
  return service_index.http.post(
    `/auth/oauth/token?grant_type=${grant_type}&username=${mobile}&password=${passwordStr}&w1=${passwordStr}&scope=server`,
    {},
    {
      header: {
        isToken: false,
        "TENANT-ID": "1"
      }
    }
  );
}
function getUserInfoByCode(wxCode, avatar) {
  return service_index.http.get(`admin/api/getUserInfoByCode?code=${wxCode}&avatar=${avatar}`);
}
function changeEnt(sendParams) {
  return service_index.http.post(
    `auth/mobile/token/smsForChangeEnt?drugEntId=${sendParams.code}&mobile=SMS@${sendParams.phone}&grant_type=changeEnt`
  );
}
function getMobileUpdApi(mobile) {
  return service_index.http.get(`/admin/mobile/upd/${mobile}`);
}
function postUserUpdApi(data) {
  return service_index.http.post(`/admin/user/upd`, data);
}
exports.changeEnt = changeEnt;
exports.getMobileUpdApi = getMobileUpdApi;
exports.getSmsCode = getSmsCode;
exports.getUserInfoByCode = getUserInfoByCode;
exports.loginByPassword = loginByPassword;
exports.loginBySms = loginBySms;
exports.logoutApi = logoutApi;
exports.postUserUpdApi = postUserUpdApi;
