"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const requestInterceptors = () => {
  common_vendor.index.$uv.http.interceptors.request.use(
    (config) => {
      const loginStore = store_login.useLoginStore();
      config.data = config.data || {};
      if (config.url.includes("auth/mobile/token/sms")) {
        config.header["Authorization"] = "Basic cGlnOnBpZw==";
      } else if (config.url.includes("auth/oauth/token")) {
        config.header["Authorization"] = "Basic dGVzdDp0ZXN0";
      } else {
        const accessToken = loginStore.accessToken;
        config.header["Authorization"] = `Bearer ${accessToken}`;
      }
      return config;
    },
    (config) => Promise.reject(config)
  );
};
exports.requestInterceptors = requestInterceptors;
