"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const responseInterceptors = () => {
  common_vendor.index.$uv.http.interceptors.response.use(
    (response) => {
      return response.data;
    },
    (response) => {
      if (response.statusCode === 401) {
        const loginStore = store_login.useLoginStore();
        loginStore.$reset();
        setTimeout(() => {
          common_vendor.index.reLaunch({
            url: "/pages/login/index"
          });
        }, 500);
      }
      const data = response == null ? void 0 : response.data;
      if (data == null ? void 0 : data.msg) {
        common_vendor.index.showModal({
          title: data.msg,
          showCancel: false
        });
      }
      if ((data == null ? void 0 : data.code) === 1) {
        setTimeout(() => {
          common_vendor.index.hideLoading();
        }, 1e3);
      }
      return Promise.reject(response);
    }
  );
};
exports.responseInterceptors = responseInterceptors;
