"use strict";
const common_vendor = require("../common/vendor.js");
const useTabbar = common_vendor.defineStore("tabbar", {
  state() {
    return {
      currentTabbar: "work",
      roleType: 0
    };
  },
  actions: {
    setCurrentTabbar(current) {
      this.currentTabbar = current;
    },
    setRoleType(type) {
      this.roleType = type;
    }
  },
  persist: {
    storage: {
      getItem(key) {
        return common_vendor.index.getStorageSync(key);
      },
      setItem(key, value) {
        return common_vendor.index.setStorageSync(key, value);
      }
    }
  }
});
exports.useTabbar = useTabbar;
