"use strict";
const common_vendor = require("../common/vendor.js");
const service_modules_uploadFile = require("../service/modules/uploadFile.js");
const store_login = require("../store/login.js");
function uploadFile(params) {
  return new Promise((resove, reject) => {
    const loginStore = store_login.useLoginStore();
    common_vendor.index.uploadFile({
      url: service_modules_uploadFile.fileUpload(),
      filePath: params,
      name: "file",
      header: {
        Authorization: `Bearer ${loginStore.accessToken}`
      },
      success: (uploadFileRes) => {
        if (uploadFileRes.statusCode === 200) {
          const data = JSON.parse(uploadFileRes.data);
          resove(data);
        } else {
          reject(uploadFileRes);
        }
      },
      fail(e) {
        console.log("uploadImg", e);
        reject(e);
      }
    });
  });
}
exports.uploadFile = uploadFile;
