"use strict";
const common_vendor = require("../common/vendor.js");
function wxSaveCode(imgSrc) {
  common_vendor.wx$1.getSetting({
    success(res) {
      if (!res.authSetting["scope.writePhotosAlbum"]) {
        common_vendor.wx$1.authorize({
          scope: "scope.writePhotosAlbum",
          success() {
            common_vendor.wx$1.getImageInfo({
              src: imgSrc,
              success: function(res2) {
                common_vendor.wx$1.saveImageToPhotosAlbum({
                  filePath: res2.path,
                  success: function(data) {
                    console.log(data);
                    common_vendor.index.showToast({
                      title: "保存成功",
                      icon: "success",
                      duration: 2e3
                    });
                  },
                  fail: function(err) {
                    console.log(err);
                    if (err.errMsg === "saveImageToPhotosAlbum:fail auth deny") {
                      common_vendor.wx$1.openSetting({
                        success(settingdata) {
                          if (settingdata.authSetting["scope.writePhotosAlbum"]) {
                            console.log("获取权限成功，给出再次点击图片保存到相册的提示。");
                            common_vendor.index.showToast({
                              title: "请重新点击下载按钮",
                              duration: 1e3
                            });
                          } else {
                            common_vendor.index.showModal({
                              title: "提示",
                              content: "您已禁止小程序授权相册存储权限，请到设置开启权限或清除小程序缓存",
                              showCancel: false
                            });
                          }
                        }
                      });
                    }
                    if (err.errMsg === "saveImageToPhotosAlbum:fail:system permission denied") {
                      common_vendor.index.showModal({
                        title: "提示",
                        content: "您已禁止应用存储权限，请到系统设置开启应用存储权限",
                        showCancel: false
                      });
                    }
                  }
                });
              }
            });
          },
          fail() {
            common_vendor.index.showModal({
              title: "提示",
              content: "您已禁止小程序授权相册存储权限，请到设置开启权限或清除小程序缓存",
              showCancel: false
            });
          }
        });
      } else {
        common_vendor.wx$1.getImageInfo({
          src: imgSrc,
          success: function(res2) {
            console.log(res2);
            common_vendor.wx$1.saveImageToPhotosAlbum({
              filePath: res2.path,
              success: function(data) {
                console.log(data);
                common_vendor.index.showToast({
                  title: "保存成功",
                  icon: "success",
                  duration: 2e3
                });
              },
              fail: function(err) {
                if (err.errMsg === "saveImageToPhotosAlbum:fail auth deny") {
                  common_vendor.wx$1.openSetting({
                    success(settingdata) {
                      if (settingdata.authSetting["scope.writePhotosAlbum"]) {
                        console.log("获取权限成功，给出再次点击图片保存到相册的提示。");
                        common_vendor.index.showToast({
                          title: "请重新点击下载按钮",
                          duration: 1e3
                        });
                      } else {
                        common_vendor.index.showModal({
                          title: "提示",
                          content: "您已禁止小程序授权相册存储权限，请到设置开启权限或清除小程序缓存",
                          showCancel: false
                        });
                      }
                    }
                  });
                }
                if (err.errMsg === "saveImageToPhotosAlbum:fail:system permission denied") {
                  common_vendor.index.showModal({
                    title: "提示",
                    content: "您已禁止应用存储权限，请到系统设置开启应用存储权限",
                    showCancel: false
                  });
                }
              }
            });
          }
        });
      }
    }
  });
}
exports.wxSaveCode = wxSaveCode;
